--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: attribute; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE attribute (
    attributeid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    valuetype character varying(50) NOT NULL,
    mandatory boolean NOT NULL,
    isunique boolean,
    dataelementattribute boolean NOT NULL,
    dataelementgroupattribute boolean,
    indicatorattribute boolean NOT NULL,
    indicatorgroupattribute boolean,
    datasetattribute boolean,
    organisationunitattribute boolean NOT NULL,
    organisationunitgroupattribute boolean,
    organisationunitgroupsetattribute boolean,
    userattribute boolean NOT NULL,
    usergroupattribute boolean,
    programattribute boolean,
    programstageattribute boolean,
    trackedentityattribute boolean,
    trackedentityattributeattribute boolean,
    categoryoptionattribute boolean,
    categoryoptiongroupattribute boolean,
    documentattribute boolean,
    optionattribute boolean,
    optionsetattribute boolean,
    sortorder integer,
    optionsetid integer
);


ALTER TABLE public.attribute OWNER TO dhis;

--
-- Name: attributevalue; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE attributevalue (
    attributevalueid integer NOT NULL,
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    value text,
    attributeid integer NOT NULL
);


ALTER TABLE public.attributevalue OWNER TO dhis;

--
-- Name: caseaggregationcondition; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE caseaggregationcondition (
    caseaggregationconditionid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    operator character varying(255) NOT NULL,
    aggregationexpression character varying(1000) NOT NULL,
    aggregationdataelementid integer,
    optioncomboid integer,
    desum integer
);


ALTER TABLE public.caseaggregationcondition OWNER TO dhis;

--
-- Name: categories_categoryoptions; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categories_categoryoptions (
    categoryoptionid integer NOT NULL,
    categoryid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.categories_categoryoptions OWNER TO dhis;

--
-- Name: categorycombo; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categorycombo (
    categorycomboid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    datadimensiontype character varying(255),
    skiptotal boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.categorycombo OWNER TO dhis;

--
-- Name: categorycombos_categories; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categorycombos_categories (
    categoryid integer NOT NULL,
    categorycomboid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.categorycombos_categories OWNER TO dhis;

--
-- Name: categorycombos_optioncombos; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categorycombos_optioncombos (
    categoryoptioncomboid integer NOT NULL,
    categorycomboid integer NOT NULL
);


ALTER TABLE public.categorycombos_optioncombos OWNER TO dhis;

--
-- Name: categorycombousergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categorycombousergroupaccesses (
    categorycomboid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.categorycombousergroupaccesses OWNER TO dhis;

--
-- Name: categorydimension; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categorydimension (
    categorydimensionid integer NOT NULL,
    categoryid integer
);


ALTER TABLE public.categorydimension OWNER TO dhis;

--
-- Name: categorydimension_items; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categorydimension_items (
    categorydimensionid integer NOT NULL,
    categoryoptionid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.categorydimension_items OWNER TO dhis;

--
-- Name: categoryoption_organisationunits; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categoryoption_organisationunits (
    categoryoptionid integer NOT NULL,
    organisationunitid integer NOT NULL
);


ALTER TABLE public.categoryoption_organisationunits OWNER TO dhis;

--
-- Name: categoryoptioncombo; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categoryoptioncombo (
    categoryoptioncomboid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(255),
    ignoreapproval boolean
);


ALTER TABLE public.categoryoptioncombo OWNER TO dhis;

--
-- Name: categoryoptioncombos_categoryoptions; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categoryoptioncombos_categoryoptions (
    categoryoptioncomboid integer NOT NULL,
    categoryoptionid integer NOT NULL
);


ALTER TABLE public.categoryoptioncombos_categoryoptions OWNER TO dhis;

--
-- Name: categoryoptiongroup; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categoryoptiongroup (
    categoryoptiongroupid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50) NOT NULL,
    datadimensiontype character varying(255),
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.categoryoptiongroup OWNER TO dhis;

--
-- Name: categoryoptiongroupattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categoryoptiongroupattributevalues (
    categoryoptiongroupid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.categoryoptiongroupattributevalues OWNER TO dhis;

--
-- Name: categoryoptiongroupmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categoryoptiongroupmembers (
    categoryoptionid integer NOT NULL,
    categoryoptiongroupid integer NOT NULL
);


ALTER TABLE public.categoryoptiongroupmembers OWNER TO dhis;

--
-- Name: categoryoptiongroupset; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categoryoptiongroupset (
    categoryoptiongroupsetid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description text,
    datadimension boolean,
    datadimensiontype character varying(255),
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.categoryoptiongroupset OWNER TO dhis;

--
-- Name: categoryoptiongroupsetmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categoryoptiongroupsetmembers (
    categoryoptiongroupid integer NOT NULL,
    categoryoptiongroupsetid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.categoryoptiongroupsetmembers OWNER TO dhis;

--
-- Name: categoryoptiongroupsetusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categoryoptiongroupsetusergroupaccesses (
    categoryoptiongroupsetid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.categoryoptiongroupsetusergroupaccesses OWNER TO dhis;

--
-- Name: categoryoptiongroupusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE categoryoptiongroupusergroupaccesses (
    categoryoptiongroupid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.categoryoptiongroupusergroupaccesses OWNER TO dhis;

--
-- Name: chart; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart (
    chartid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    domainaxislabel character varying(255),
    rangeaxislabel character varying(255),
    type character varying(40) NOT NULL,
    series character varying(255),
    category character varying(255),
    hidelegend boolean,
    regression boolean,
    hidetitle boolean,
    hidesubtitle boolean,
    title character varying(255),
    targetlinevalue double precision,
    targetlinelabel character varying(255),
    baselinevalue double precision,
    baselinelabel character varying(255),
    relativeperiodsid integer,
    programid integer,
    userorganisationunit boolean,
    userorganisationunitchildren boolean,
    userorganisationunitgrandchildren boolean,
    aggregationtype character varying(40),
    completedonly boolean,
    showdata boolean,
    hideemptyrows boolean,
    rangeaxismaxvalue double precision,
    rangeaxisminvalue double precision,
    rangeaxissteps integer,
    rangeaxisdecimals integer,
    sortorder integer,
    externalaccess boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.chart OWNER TO dhis;

--
-- Name: chart_categorydimensions; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart_categorydimensions (
    chartid integer NOT NULL,
    categorydimensionid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.chart_categorydimensions OWNER TO dhis;

--
-- Name: chart_categoryoptiongroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart_categoryoptiongroups (
    chartid integer NOT NULL,
    categoryoptiongroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.chart_categoryoptiongroups OWNER TO dhis;

--
-- Name: chart_datadimensionitems; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart_datadimensionitems (
    chartid integer NOT NULL,
    datadimensionitemid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.chart_datadimensionitems OWNER TO dhis;

--
-- Name: chart_dataelementgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart_dataelementgroups (
    chartid integer NOT NULL,
    dataelementgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.chart_dataelementgroups OWNER TO dhis;

--
-- Name: chart_filters; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart_filters (
    chartid integer NOT NULL,
    filter character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.chart_filters OWNER TO dhis;

--
-- Name: chart_itemorgunitgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart_itemorgunitgroups (
    chartid integer NOT NULL,
    orgunitgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.chart_itemorgunitgroups OWNER TO dhis;

--
-- Name: chart_organisationunits; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart_organisationunits (
    chartid integer NOT NULL,
    organisationunitid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.chart_organisationunits OWNER TO dhis;

--
-- Name: chart_orgunitgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart_orgunitgroups (
    chartid integer NOT NULL,
    orgunitgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.chart_orgunitgroups OWNER TO dhis;

--
-- Name: chart_orgunitlevels; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart_orgunitlevels (
    chartid integer NOT NULL,
    orgunitlevel integer,
    sort_order integer NOT NULL
);


ALTER TABLE public.chart_orgunitlevels OWNER TO dhis;

--
-- Name: chart_periods; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chart_periods (
    chartid integer NOT NULL,
    periodid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.chart_periods OWNER TO dhis;

--
-- Name: chartusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE chartusergroupaccesses (
    chartid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.chartusergroupaccesses OWNER TO dhis;

--
-- Name: color; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE color (
    colorid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    color character varying(255)
);


ALTER TABLE public.color OWNER TO dhis;

--
-- Name: colorset; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE colorset (
    colorsetid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL
);


ALTER TABLE public.colorset OWNER TO dhis;

--
-- Name: colorset_colors; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE colorset_colors (
    colorsetid integer NOT NULL,
    colorid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.colorset_colors OWNER TO dhis;

--
-- Name: completedatasetregistration; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE completedatasetregistration (
    datasetid integer NOT NULL,
    periodid integer NOT NULL,
    sourceid integer NOT NULL,
    attributeoptioncomboid integer NOT NULL,
    date timestamp without time zone,
    storedby character varying(255)
);


ALTER TABLE public.completedatasetregistration OWNER TO dhis;

--
-- Name: configuration; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE configuration (
    configurationid integer NOT NULL,
    systemid character varying(255),
    feedbackrecipientsid integer,
    offlineorgunitlevelid integer,
    infrastructuralindicatorsid integer,
    infrastructuraldataelementsid integer,
    infrastructuralperiodtypeid integer,
    selfregistrationrole integer,
    selfregistrationorgunit integer
);


ALTER TABLE public.configuration OWNER TO dhis;

--
-- Name: configuration_corswhitelist; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE configuration_corswhitelist (
    configurationid integer NOT NULL,
    corswhitelist character varying(255)
);


ALTER TABLE public.configuration_corswhitelist OWNER TO dhis;

--
-- Name: constant; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE constant (
    constantid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50),
    description text,
    value double precision NOT NULL,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.constant OWNER TO dhis;

--
-- Name: constantusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE constantusergroupaccesses (
    constantid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.constantusergroupaccesses OWNER TO dhis;

--
-- Name: dashboard; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dashboard (
    dashboardid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    userid integer,
    externalaccess boolean,
    publicaccess character varying(8)
);


ALTER TABLE public.dashboard OWNER TO dhis;

--
-- Name: dashboard_items; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dashboard_items (
    dashboardid integer NOT NULL,
    dashboarditemid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.dashboard_items OWNER TO dhis;

--
-- Name: dashboarditem; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dashboarditem (
    dashboarditemid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    chartid integer,
    eventchartid integer,
    mapid integer,
    reporttable integer,
    eventreport integer,
    messages boolean,
    shape character varying(50)
);


ALTER TABLE public.dashboarditem OWNER TO dhis;

--
-- Name: dashboarditem_reports; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dashboarditem_reports (
    dashboarditemid integer NOT NULL,
    reportid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.dashboarditem_reports OWNER TO dhis;

--
-- Name: dashboarditem_resources; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dashboarditem_resources (
    dashboarditemid integer NOT NULL,
    resourceid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.dashboarditem_resources OWNER TO dhis;

--
-- Name: dashboarditem_users; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dashboarditem_users (
    dashboarditemid integer NOT NULL,
    userid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.dashboarditem_users OWNER TO dhis;

--
-- Name: dashboardusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dashboardusergroupaccesses (
    dashboardid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.dashboardusergroupaccesses OWNER TO dhis;

--
-- Name: dataapproval; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataapproval (
    dataapprovalid integer NOT NULL,
    dataapprovallevelid integer NOT NULL,
    workflowid integer NOT NULL,
    periodid integer NOT NULL,
    organisationunitid integer NOT NULL,
    attributeoptioncomboid integer NOT NULL,
    accepted boolean NOT NULL,
    created timestamp without time zone NOT NULL,
    creator integer NOT NULL
);


ALTER TABLE public.dataapproval OWNER TO dhis;

--
-- Name: dataapprovallevel; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataapprovallevel (
    dataapprovallevelid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    level integer NOT NULL,
    orgunitlevel integer NOT NULL,
    categoryoptiongroupsetid integer,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.dataapprovallevel OWNER TO dhis;

--
-- Name: dataapprovallevelusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataapprovallevelusergroupaccesses (
    dataapprovallevelid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.dataapprovallevelusergroupaccesses OWNER TO dhis;

--
-- Name: dataapprovalworkflow; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataapprovalworkflow (
    workflowid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    periodtypeid integer NOT NULL,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.dataapprovalworkflow OWNER TO dhis;

--
-- Name: dataapprovalworkflowlevels; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataapprovalworkflowlevels (
    workflowid integer NOT NULL,
    dataapprovallevelid integer NOT NULL
);


ALTER TABLE public.dataapprovalworkflowlevels OWNER TO dhis;

--
-- Name: dataapprovalworkflowusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataapprovalworkflowusergroupaccesses (
    workflowid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.dataapprovalworkflowusergroupaccesses OWNER TO dhis;

--
-- Name: datadimensionitem; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE datadimensionitem (
    datadimensionitemid integer NOT NULL,
    indicatorid integer,
    dataelementid integer,
    dataelementoperandid integer,
    datasetid integer,
    programindicatorid integer,
    programdataelementid integer,
    programattributeid integer
);


ALTER TABLE public.datadimensionitem OWNER TO dhis;

--
-- Name: dataelement; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelement (
    dataelementid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50) NOT NULL,
    description text,
    formname character varying(230),
    valuetype character varying(50) NOT NULL,
    domaintype character varying(255) NOT NULL,
    aggregationtype character varying(50) NOT NULL,
    categorycomboid integer,
    url character varying(255),
    zeroissignificant boolean NOT NULL,
    optionsetid integer,
    commentoptionsetid integer,
    legendsetid integer,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.dataelement OWNER TO dhis;

--
-- Name: dataelementaggregationlevels; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementaggregationlevels (
    dataelementid integer NOT NULL,
    aggregationlevel integer,
    sort_order integer NOT NULL
);


ALTER TABLE public.dataelementaggregationlevels OWNER TO dhis;

--
-- Name: dataelementattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementattributevalues (
    dataelementid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.dataelementattributevalues OWNER TO dhis;

--
-- Name: dataelementcategory; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementcategory (
    categoryid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    datadimensiontype character varying(255),
    datadimension boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.dataelementcategory OWNER TO dhis;

--
-- Name: dataelementcategoryoption; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementcategoryoption (
    categoryoptionid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50),
    startdate date,
    enddate date,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.dataelementcategoryoption OWNER TO dhis;

--
-- Name: dataelementcategoryoptionattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementcategoryoptionattributevalues (
    categoryoptionid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.dataelementcategoryoptionattributevalues OWNER TO dhis;

--
-- Name: dataelementcategoryoptionusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementcategoryoptionusergroupaccesses (
    categoryoptionid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.dataelementcategoryoptionusergroupaccesses OWNER TO dhis;

--
-- Name: dataelementcategoryusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementcategoryusergroupaccesses (
    categoryid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.dataelementcategoryusergroupaccesses OWNER TO dhis;

--
-- Name: dataelementgroup; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementgroup (
    dataelementgroupid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50),
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.dataelementgroup OWNER TO dhis;

--
-- Name: dataelementgroupattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementgroupattributevalues (
    dataelementgroupid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.dataelementgroupattributevalues OWNER TO dhis;

--
-- Name: dataelementgroupmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementgroupmembers (
    dataelementgroupid integer NOT NULL,
    dataelementid integer NOT NULL
);


ALTER TABLE public.dataelementgroupmembers OWNER TO dhis;

--
-- Name: dataelementgroupset; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementgroupset (
    dataelementgroupsetid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description text,
    compulsory boolean,
    datadimension boolean NOT NULL,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.dataelementgroupset OWNER TO dhis;

--
-- Name: dataelementgroupsetmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementgroupsetmembers (
    dataelementgroupid integer NOT NULL,
    dataelementgroupsetid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.dataelementgroupsetmembers OWNER TO dhis;

--
-- Name: dataelementgroupsetusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementgroupsetusergroupaccesses (
    dataelementgroupsetid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.dataelementgroupsetusergroupaccesses OWNER TO dhis;

--
-- Name: dataelementgroupusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementgroupusergroupaccesses (
    dataelementgroupid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.dataelementgroupusergroupaccesses OWNER TO dhis;

--
-- Name: dataelementoperand; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementoperand (
    dataelementoperandid integer NOT NULL,
    dataelementid integer,
    categoryoptioncomboid integer
);


ALTER TABLE public.dataelementoperand OWNER TO dhis;

--
-- Name: dataelementusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataelementusergroupaccesses (
    dataelementid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.dataelementusergroupaccesses OWNER TO dhis;

--
-- Name: dataentryform; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataentryform (
    dataentryformid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(160) NOT NULL,
    style character varying(40),
    htmlcode text,
    format integer
);


ALTER TABLE public.dataentryform OWNER TO dhis;

--
-- Name: dataset; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE dataset (
    datasetid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50),
    description text,
    periodtypeid integer NOT NULL,
    categorycomboid integer,
    dataentryform integer,
    mobile boolean NOT NULL,
    version integer,
    expirydays integer,
    timelydays integer,
    notificationrecipients integer,
    notifycompletinguser boolean,
    workflowid integer,
    openfutureperiods integer,
    fieldcombinationrequired boolean,
    validcompleteonly boolean,
    novaluerequirescomment boolean,
    skipoffline boolean,
    dataelementdecoration boolean,
    renderastabs boolean,
    renderhorizontally boolean,
    userid integer,
    publicaccess character varying(8),
    legendsetid integer
);


ALTER TABLE public.dataset OWNER TO dhis;

--
-- Name: datasetattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE datasetattributevalues (
    datasetid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.datasetattributevalues OWNER TO dhis;

--
-- Name: datasetindicators; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE datasetindicators (
    indicatorid integer NOT NULL,
    datasetid integer NOT NULL
);


ALTER TABLE public.datasetindicators OWNER TO dhis;

--
-- Name: datasetmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE datasetmembers (
    dataelementid integer NOT NULL,
    datasetid integer NOT NULL
);


ALTER TABLE public.datasetmembers OWNER TO dhis;

--
-- Name: datasetoperands; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE datasetoperands (
    datasetid integer NOT NULL,
    dataelementoperandid integer NOT NULL
);


ALTER TABLE public.datasetoperands OWNER TO dhis;

--
-- Name: datasetsource; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE datasetsource (
    sourceid integer NOT NULL,
    datasetid integer NOT NULL
);


ALTER TABLE public.datasetsource OWNER TO dhis;

--
-- Name: datasetusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE datasetusergroupaccesses (
    datasetid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.datasetusergroupaccesses OWNER TO dhis;

--
-- Name: datavalue; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE datavalue (
    dataelementid integer NOT NULL,
    periodid integer NOT NULL,
    sourceid integer NOT NULL,
    categoryoptioncomboid integer NOT NULL,
    attributeoptioncomboid integer NOT NULL,
    value character varying(50000),
    storedby character varying(255),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    comment character varying(50000),
    followup boolean
);


ALTER TABLE public.datavalue OWNER TO dhis;

--
-- Name: datavalueaudit; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE datavalueaudit (
    datavalueauditid integer NOT NULL,
    dataelementid integer NOT NULL,
    periodid integer NOT NULL,
    organisationunitid integer NOT NULL,
    categoryoptioncomboid integer NOT NULL,
    attributeoptioncomboid integer NOT NULL,
    value character varying(50000),
    created timestamp without time zone NOT NULL,
    modifiedby character varying(100),
    audittype character varying(100) NOT NULL
);


ALTER TABLE public.datavalueaudit OWNER TO dhis;

--
-- Name: document; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE document (
    documentid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    url text NOT NULL,
    external boolean NOT NULL,
    contenttype character varying(255),
    attachment boolean,
    externalaccess boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.document OWNER TO dhis;

--
-- Name: documentattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE documentattributevalues (
    documentid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.documentattributevalues OWNER TO dhis;

--
-- Name: documentusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE documentusergroupaccesses (
    documentid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.documentusergroupaccesses OWNER TO dhis;

--
-- Name: eventchart; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart (
    eventchartid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    relativeperiodsid integer,
    userorganisationunit boolean,
    userorganisationunitchildren boolean,
    userorganisationunitgrandchildren boolean,
    programid integer NOT NULL,
    programstageid integer,
    startdate timestamp without time zone,
    enddate timestamp without time zone,
    dataelementvaluedimensionid integer,
    attributevaluedimensionid integer,
    aggregationtype character varying(40),
    completedonly boolean,
    type character varying(40) NOT NULL,
    showdata boolean,
    hideemptyrows boolean,
    hidenadata boolean,
    rangeaxismaxvalue double precision,
    rangeaxisminvalue double precision,
    rangeaxissteps integer,
    rangeaxisdecimals integer,
    outputtype character varying(30),
    collapsedatadimensions boolean,
    domainaxislabel character varying(255),
    rangeaxislabel character varying(255),
    hidelegend boolean,
    regression boolean,
    hidetitle boolean,
    hidesubtitle boolean,
    title character varying(255),
    targetlinevalue double precision,
    targetlinelabel character varying(255),
    baselinevalue double precision,
    baselinelabel character varying(255),
    sortorder integer,
    externalaccess boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.eventchart OWNER TO dhis;

--
-- Name: eventchart_attributedimensions; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_attributedimensions (
    eventchartid integer NOT NULL,
    trackedentityattributedimensionid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_attributedimensions OWNER TO dhis;

--
-- Name: eventchart_columns; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_columns (
    eventchartid integer NOT NULL,
    dimension character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_columns OWNER TO dhis;

--
-- Name: eventchart_dataelementdimensions; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_dataelementdimensions (
    eventchartid integer NOT NULL,
    trackedentitydataelementdimensionid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_dataelementdimensions OWNER TO dhis;

--
-- Name: eventchart_filters; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_filters (
    eventchartid integer NOT NULL,
    dimension character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_filters OWNER TO dhis;

--
-- Name: eventchart_itemorgunitgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_itemorgunitgroups (
    eventchartid integer NOT NULL,
    orgunitgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_itemorgunitgroups OWNER TO dhis;

--
-- Name: eventchart_organisationunits; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_organisationunits (
    eventchartid integer NOT NULL,
    organisationunitid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_organisationunits OWNER TO dhis;

--
-- Name: eventchart_orgunitgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_orgunitgroups (
    eventchartid integer NOT NULL,
    orgunitgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_orgunitgroups OWNER TO dhis;

--
-- Name: eventchart_orgunitlevels; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_orgunitlevels (
    eventchartid integer NOT NULL,
    orgunitlevel integer,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_orgunitlevels OWNER TO dhis;

--
-- Name: eventchart_periods; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_periods (
    eventchartid integer NOT NULL,
    periodid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_periods OWNER TO dhis;

--
-- Name: eventchart_programindicatordimensions; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_programindicatordimensions (
    eventchartid integer NOT NULL,
    trackedentityprogramindicatordimensionid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_programindicatordimensions OWNER TO dhis;

--
-- Name: eventchart_rows; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchart_rows (
    eventchartid integer NOT NULL,
    dimension character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.eventchart_rows OWNER TO dhis;

--
-- Name: eventchartusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventchartusergroupaccesses (
    eventchartid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.eventchartusergroupaccesses OWNER TO dhis;

--
-- Name: eventreport; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport (
    eventreportid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    relativeperiodsid integer,
    userorganisationunit boolean,
    userorganisationunitchildren boolean,
    userorganisationunitgrandchildren boolean,
    programid integer NOT NULL,
    programstageid integer,
    startdate timestamp without time zone,
    enddate timestamp without time zone,
    dataelementvaluedimensionid integer,
    attributevaluedimensionid integer,
    aggregationtype character varying(40),
    completedonly boolean,
    datatype character varying(40),
    rowtotals boolean,
    coltotals boolean,
    rowsubtotals boolean,
    colsubtotals boolean,
    hideemptyrows boolean,
    hidenadata boolean,
    showhierarchy boolean,
    outputtype character varying(30),
    collapsedatadimensions boolean,
    showdimensionlabels boolean,
    digitgroupseparator character varying(40),
    displaydensity character varying(40),
    fontsize character varying(40),
    sortorder integer,
    toplimit integer,
    externalaccess boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.eventreport OWNER TO dhis;

--
-- Name: eventreport_attributedimensions; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_attributedimensions (
    eventreportid integer NOT NULL,
    trackedentityattributedimensionid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_attributedimensions OWNER TO dhis;

--
-- Name: eventreport_columns; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_columns (
    eventreportid integer NOT NULL,
    dimension character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_columns OWNER TO dhis;

--
-- Name: eventreport_dataelementdimensions; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_dataelementdimensions (
    eventreportid integer NOT NULL,
    trackedentitydataelementdimensionid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_dataelementdimensions OWNER TO dhis;

--
-- Name: eventreport_filters; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_filters (
    eventreportid integer NOT NULL,
    dimension character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_filters OWNER TO dhis;

--
-- Name: eventreport_itemorgunitgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_itemorgunitgroups (
    eventreportid integer NOT NULL,
    orgunitgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_itemorgunitgroups OWNER TO dhis;

--
-- Name: eventreport_organisationunits; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_organisationunits (
    eventreportid integer NOT NULL,
    organisationunitid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_organisationunits OWNER TO dhis;

--
-- Name: eventreport_orgunitgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_orgunitgroups (
    eventreportid integer NOT NULL,
    orgunitgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_orgunitgroups OWNER TO dhis;

--
-- Name: eventreport_orgunitlevels; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_orgunitlevels (
    eventreportid integer NOT NULL,
    orgunitlevel integer,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_orgunitlevels OWNER TO dhis;

--
-- Name: eventreport_periods; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_periods (
    eventreportid integer NOT NULL,
    periodid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_periods OWNER TO dhis;

--
-- Name: eventreport_programindicatordimensions; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_programindicatordimensions (
    eventreportid integer NOT NULL,
    trackedentityprogramindicatordimensionid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_programindicatordimensions OWNER TO dhis;

--
-- Name: eventreport_rows; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreport_rows (
    eventreportid integer NOT NULL,
    dimension character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.eventreport_rows OWNER TO dhis;

--
-- Name: eventreportusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE eventreportusergroupaccesses (
    eventreportid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.eventreportusergroupaccesses OWNER TO dhis;

--
-- Name: expression; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE expression (
    expressionid integer NOT NULL,
    description character varying(255),
    expression text,
    missingvaluestrategy character varying(100) NOT NULL
);


ALTER TABLE public.expression OWNER TO dhis;

--
-- Name: expressiondataelement; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE expressiondataelement (
    expressionid integer NOT NULL,
    dataelementid integer NOT NULL
);


ALTER TABLE public.expressiondataelement OWNER TO dhis;

--
-- Name: fileresource; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE fileresource (
    fileresourceid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    contenttype character varying(255) NOT NULL,
    contentlength bigint NOT NULL,
    contentmd5 character varying(32) NOT NULL,
    storagekey character varying(1024) NOT NULL,
    isassigned boolean NOT NULL,
    storagestatus character varying(40),
    domain character varying(40),
    userid integer
);


ALTER TABLE public.fileresource OWNER TO dhis;

--
-- Name: hibernate_sequence; Type: SEQUENCE; Schema: public; Owner: dhis
--

CREATE SEQUENCE hibernate_sequence
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.hibernate_sequence OWNER TO dhis;

--
-- Name: i18nlocale; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE i18nlocale (
    i18nlocaleid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(250) NOT NULL,
    locale character varying(15) NOT NULL
);


ALTER TABLE public.i18nlocale OWNER TO dhis;

--
-- Name: incomingsms; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE incomingsms (
    id integer NOT NULL,
    originator character varying(255) NOT NULL,
    encoding integer NOT NULL,
    sentdate timestamp without time zone NOT NULL,
    receiveddate timestamp without time zone NOT NULL,
    text character varying(255),
    gatewayid character varying(255) NOT NULL,
    status integer NOT NULL,
    parsed boolean,
    statusmessage character varying(255)
);


ALTER TABLE public.incomingsms OWNER TO dhis;

--
-- Name: indicator; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicator (
    indicatorid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50) NOT NULL,
    description text,
    annualized boolean NOT NULL,
    decimals integer,
    indicatortypeid integer NOT NULL,
    numerator text NOT NULL,
    numeratordescription text,
    denominator text NOT NULL,
    denominatordescription text,
    url character varying(255),
    userid integer,
    publicaccess character varying(8),
    legendsetid integer
);


ALTER TABLE public.indicator OWNER TO dhis;

--
-- Name: indicatorattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicatorattributevalues (
    indicatorid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.indicatorattributevalues OWNER TO dhis;

--
-- Name: indicatorgroup; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicatorgroup (
    indicatorgroupid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.indicatorgroup OWNER TO dhis;

--
-- Name: indicatorgroupattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicatorgroupattributevalues (
    indicatorgroupid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.indicatorgroupattributevalues OWNER TO dhis;

--
-- Name: indicatorgroupmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicatorgroupmembers (
    indicatorgroupid integer NOT NULL,
    indicatorid integer NOT NULL
);


ALTER TABLE public.indicatorgroupmembers OWNER TO dhis;

--
-- Name: indicatorgroupset; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicatorgroupset (
    indicatorgroupsetid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description text,
    compulsory boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.indicatorgroupset OWNER TO dhis;

--
-- Name: indicatorgroupsetmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicatorgroupsetmembers (
    indicatorgroupid integer NOT NULL,
    indicatorgroupsetid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.indicatorgroupsetmembers OWNER TO dhis;

--
-- Name: indicatorgroupsetusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicatorgroupsetusergroupaccesses (
    indicatorgroupsetid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.indicatorgroupsetusergroupaccesses OWNER TO dhis;

--
-- Name: indicatorgroupusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicatorgroupusergroupaccesses (
    indicatorgroupid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.indicatorgroupusergroupaccesses OWNER TO dhis;

--
-- Name: indicatortype; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicatortype (
    indicatortypeid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    indicatorfactor integer NOT NULL,
    indicatornumber boolean
);


ALTER TABLE public.indicatortype OWNER TO dhis;

--
-- Name: indicatorusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE indicatorusergroupaccesses (
    indicatorid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.indicatorusergroupaccesses OWNER TO dhis;

--
-- Name: interpretation; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE interpretation (
    interpretationid integer NOT NULL,
    uid character varying(11),
    lastupdated timestamp without time zone,
    chartid integer,
    mapid integer,
    reporttableid integer,
    datasetid integer,
    periodid integer,
    organisationunitid integer,
    interpretationtext text,
    created timestamp without time zone NOT NULL,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.interpretation OWNER TO dhis;

--
-- Name: interpretation_comments; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE interpretation_comments (
    interpretationid integer NOT NULL,
    interpretationcommentid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.interpretation_comments OWNER TO dhis;

--
-- Name: interpretationcomment; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE interpretationcomment (
    interpretationcommentid integer NOT NULL,
    uid character varying(11),
    lastupdated timestamp without time zone,
    commenttext text,
    userid integer NOT NULL,
    created timestamp without time zone NOT NULL
);


ALTER TABLE public.interpretationcomment OWNER TO dhis;

--
-- Name: interpretationusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE interpretationusergroupaccesses (
    interpretationid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.interpretationusergroupaccesses OWNER TO dhis;

--
-- Name: keyjsonvalue; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE keyjsonvalue (
    keyjsonvalueid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    namespace character varying(255) NOT NULL,
    namespacekey character varying(255) NOT NULL,
    value text
);


ALTER TABLE public.keyjsonvalue OWNER TO dhis;

--
-- Name: lockexception; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE lockexception (
    lockexceptionid integer NOT NULL,
    organisationunitid integer,
    periodid integer,
    datasetid integer
);


ALTER TABLE public.lockexception OWNER TO dhis;

--
-- Name: map; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE map (
    mapid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    longitude double precision,
    latitude double precision,
    zoom integer,
    externalaccess boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.map OWNER TO dhis;

--
-- Name: maplayer; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE maplayer (
    maplayerid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    type character varying(255),
    url text,
    layers text,
    "time" text,
    fillcolor character varying(255),
    fillopacity double precision NOT NULL,
    strokecolor character varying(255),
    strokewidth integer NOT NULL
);


ALTER TABLE public.maplayer OWNER TO dhis;

--
-- Name: maplegend; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE maplegend (
    maplegendid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    startvalue double precision,
    endvalue double precision,
    color character varying(255),
    image character varying(255)
);


ALTER TABLE public.maplegend OWNER TO dhis;

--
-- Name: maplegendset; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE maplegendset (
    maplegendsetid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    symbolizer character varying(255)
);


ALTER TABLE public.maplegendset OWNER TO dhis;

--
-- Name: maplegendsetmaplegend; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE maplegendsetmaplegend (
    legendsetid integer NOT NULL,
    maplegendid integer NOT NULL
);


ALTER TABLE public.maplegendsetmaplegend OWNER TO dhis;

--
-- Name: mapmapviews; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE mapmapviews (
    mapid integer NOT NULL,
    mapviewid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.mapmapviews OWNER TO dhis;

--
-- Name: mapusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE mapusergroupaccesses (
    mapid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.mapusergroupaccesses OWNER TO dhis;

--
-- Name: mapview; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE mapview (
    mapviewid integer NOT NULL,
    uid character varying(11),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    layer character varying(255) NOT NULL,
    relativeperiodsid integer,
    programid integer,
    userorganisationunit boolean,
    userorganisationunitchildren boolean,
    userorganisationunitgrandchildren boolean,
    method integer,
    classes integer,
    colorlow character varying(255),
    colorhigh character varying(255),
    legendsetid integer,
    radiuslow integer,
    radiushigh integer,
    opacity double precision,
    orgunitgroupsetid integer,
    arearadius integer,
    hidden boolean,
    labels boolean,
    labelfontsize character varying(255),
    labelfontweight character varying(255),
    labelfontstyle character varying(255),
    labelfontcolor character varying(255)
);


ALTER TABLE public.mapview OWNER TO dhis;

--
-- Name: mapview_datadimensionitems; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE mapview_datadimensionitems (
    mapviewid integer NOT NULL,
    datadimensionitemid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.mapview_datadimensionitems OWNER TO dhis;

--
-- Name: mapview_itemorgunitgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE mapview_itemorgunitgroups (
    mapviewid integer NOT NULL,
    orgunitgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.mapview_itemorgunitgroups OWNER TO dhis;

--
-- Name: mapview_organisationunits; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE mapview_organisationunits (
    mapviewid integer NOT NULL,
    organisationunitid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.mapview_organisationunits OWNER TO dhis;

--
-- Name: mapview_orgunitlevels; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE mapview_orgunitlevels (
    mapviewid integer NOT NULL,
    orgunitlevel integer,
    sort_order integer NOT NULL
);


ALTER TABLE public.mapview_orgunitlevels OWNER TO dhis;

--
-- Name: mapview_periods; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE mapview_periods (
    mapviewid integer NOT NULL,
    periodid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.mapview_periods OWNER TO dhis;

--
-- Name: message; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE message (
    messageid integer NOT NULL,
    uid character varying(11),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    messagetext text,
    metadata character varying(255),
    userid integer
);


ALTER TABLE public.message OWNER TO dhis;

--
-- Name: messageconversation; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE messageconversation (
    messageconversationid integer NOT NULL,
    uid character varying(11),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    subject character varying(255) NOT NULL,
    lastsenderid integer,
    lastmessage timestamp without time zone,
    userid integer
);


ALTER TABLE public.messageconversation OWNER TO dhis;

--
-- Name: messageconversation_messages; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE messageconversation_messages (
    messageconversationid integer NOT NULL,
    messageid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.messageconversation_messages OWNER TO dhis;

--
-- Name: messageconversation_usermessages; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE messageconversation_usermessages (
    messageconversationid integer NOT NULL,
    usermessageid integer NOT NULL
);


ALTER TABLE public.messageconversation_usermessages OWNER TO dhis;

--
-- Name: metadatafilter; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE metadatafilter (
    metadatafilterid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(160) NOT NULL,
    description text,
    jsonfilter text
);


ALTER TABLE public.metadatafilter OWNER TO dhis;

--
-- Name: minmaxdataelement; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE minmaxdataelement (
    minmaxdataelementid integer NOT NULL,
    sourceid integer,
    dataelementid integer,
    categoryoptioncomboid integer,
    minimumvalue integer NOT NULL,
    maximumvalue integer NOT NULL,
    generatedvalue boolean NOT NULL
);


ALTER TABLE public.minmaxdataelement OWNER TO dhis;

--
-- Name: oauth2client; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE oauth2client (
    oauth2clientid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    cid character varying(230) NOT NULL,
    secret character varying(512) NOT NULL
);


ALTER TABLE public.oauth2client OWNER TO dhis;

--
-- Name: oauth2clientgranttypes; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE oauth2clientgranttypes (
    oauth2clientid integer NOT NULL,
    granttype character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.oauth2clientgranttypes OWNER TO dhis;

--
-- Name: oauth2clientredirecturis; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE oauth2clientredirecturis (
    oauth2clientid integer NOT NULL,
    redirecturi character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.oauth2clientredirecturis OWNER TO dhis;

--
-- Name: oauth_access_token; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE oauth_access_token (
    token_id character varying(256),
    token bytea,
    authentication_id character varying(256) NOT NULL,
    user_name character varying(256),
    client_id character varying(256),
    authentication bytea,
    refresh_token character varying(256)
);


ALTER TABLE public.oauth_access_token OWNER TO dhis;

--
-- Name: oauth_code; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE oauth_code (
    code character varying(256),
    authentication bytea
);


ALTER TABLE public.oauth_code OWNER TO dhis;

--
-- Name: oauth_refresh_token; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE oauth_refresh_token (
    token_id character varying(256),
    token bytea,
    authentication bytea
);


ALTER TABLE public.oauth_refresh_token OWNER TO dhis;

--
-- Name: optionattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE optionattributevalues (
    optionvalueid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.optionattributevalues OWNER TO dhis;

--
-- Name: optionset; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE optionset (
    optionsetid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    valuetype character varying(50),
    version integer,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.optionset OWNER TO dhis;

--
-- Name: optionsetattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE optionsetattributevalues (
    optionsetid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.optionsetattributevalues OWNER TO dhis;

--
-- Name: optionsetusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE optionsetusergroupaccesses (
    optionsetid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.optionsetusergroupaccesses OWNER TO dhis;

--
-- Name: optionvalue; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE optionvalue (
    optionvalueid integer NOT NULL,
    uid character varying(11),
    code character varying(230),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    optionsetid integer,
    sort_order integer
);


ALTER TABLE public.optionvalue OWNER TO dhis;

--
-- Name: organisationunit; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE organisationunit (
    organisationunitid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50) NOT NULL,
    parentid integer,
    path character varying(255),
    hierarchylevel integer,
    uuid character varying(36),
    description text,
    openingdate date NOT NULL,
    closeddate date,
    comment text,
    featuretype character varying(50),
    coordinates text,
    url character varying(255),
    contactperson character varying(255),
    address character varying(255),
    email character varying(150),
    phonenumber character varying(150),
    userid integer
);


ALTER TABLE public.organisationunit OWNER TO dhis;

--
-- Name: organisationunitattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE organisationunitattributevalues (
    organisationunitid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.organisationunitattributevalues OWNER TO dhis;

--
-- Name: orgunitgroup; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE orgunitgroup (
    orgunitgroupid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50),
    symbol character varying(255),
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.orgunitgroup OWNER TO dhis;

--
-- Name: orgunitgroupattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE orgunitgroupattributevalues (
    orgunitgroupid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.orgunitgroupattributevalues OWNER TO dhis;

--
-- Name: orgunitgroupmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE orgunitgroupmembers (
    organisationunitid integer NOT NULL,
    orgunitgroupid integer NOT NULL
);


ALTER TABLE public.orgunitgroupmembers OWNER TO dhis;

--
-- Name: orgunitgroupset; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE orgunitgroupset (
    orgunitgroupsetid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description text,
    compulsory boolean NOT NULL,
    datadimension boolean NOT NULL,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.orgunitgroupset OWNER TO dhis;

--
-- Name: orgunitgroupsetattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE orgunitgroupsetattributevalues (
    orgunitgroupsetid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.orgunitgroupsetattributevalues OWNER TO dhis;

--
-- Name: orgunitgroupsetmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE orgunitgroupsetmembers (
    orgunitgroupid integer NOT NULL,
    orgunitgroupsetid integer NOT NULL
);


ALTER TABLE public.orgunitgroupsetmembers OWNER TO dhis;

--
-- Name: orgunitgroupsetusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE orgunitgroupsetusergroupaccesses (
    orgunitgroupsetid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.orgunitgroupsetusergroupaccesses OWNER TO dhis;

--
-- Name: orgunitgroupusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE orgunitgroupusergroupaccesses (
    orgunitgroupid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.orgunitgroupusergroupaccesses OWNER TO dhis;

--
-- Name: orgunitlevel; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE orgunitlevel (
    orgunitlevelid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    level integer NOT NULL,
    offlinelevels integer
);


ALTER TABLE public.orgunitlevel OWNER TO dhis;

--
-- Name: outbound_sms; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE outbound_sms (
    id integer NOT NULL,
    date timestamp without time zone NOT NULL,
    message character varying(255),
    status integer NOT NULL,
    sender character varying(255)
);


ALTER TABLE public.outbound_sms OWNER TO dhis;

--
-- Name: outbound_sms_recipients; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE outbound_sms_recipients (
    outbound_sms_id integer NOT NULL,
    elt text
);


ALTER TABLE public.outbound_sms_recipients OWNER TO dhis;

--
-- Name: period; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE period (
    periodid integer NOT NULL,
    periodtypeid integer,
    startdate date NOT NULL,
    enddate date NOT NULL
);


ALTER TABLE public.period OWNER TO dhis;

--
-- Name: periodtype; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE periodtype (
    periodtypeid integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.periodtype OWNER TO dhis;

--
-- Name: program; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE program (
    programid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50),
    description text,
    version integer,
    enrollmentdatelabel text,
    incidentdatelabel text,
    type character varying(255) NOT NULL,
    displayincidentdate boolean,
    onlyenrollonce boolean,
    skipoffline boolean,
    displayfrontpagelist boolean,
    ignoreoverdueevents boolean,
    selectenrollmentdatesinfuture boolean,
    selectincidentdatesinfuture boolean,
    relationshiptext character varying(255),
    relationshiptypeid integer,
    relationshipfroma boolean,
    relatedprogramid integer,
    dataentrymethod boolean,
    categorycomboid integer,
    trackedentityid integer,
    dataentryformid integer,
    workflowid integer,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.program OWNER TO dhis;

--
-- Name: program_attributes; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE program_attributes (
    programtrackedentityattributeid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    programid integer,
    trackedentityattributeid integer,
    displayinlist boolean,
    mandatory boolean,
    allowfuturedate boolean,
    sort_order integer
);


ALTER TABLE public.program_attributes OWNER TO dhis;

--
-- Name: program_criteria; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE program_criteria (
    programid integer NOT NULL,
    validationcriteriaid integer NOT NULL
);


ALTER TABLE public.program_criteria OWNER TO dhis;

--
-- Name: program_organisationunits; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE program_organisationunits (
    programid integer NOT NULL,
    organisationunitid integer NOT NULL
);


ALTER TABLE public.program_organisationunits OWNER TO dhis;

--
-- Name: program_userroles; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE program_userroles (
    programid integer NOT NULL,
    userroleid integer NOT NULL
);


ALTER TABLE public.program_userroles OWNER TO dhis;

--
-- Name: programattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programattributevalues (
    programid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.programattributevalues OWNER TO dhis;

--
-- Name: programdataelement; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programdataelement (
    programdataelementid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    programid integer NOT NULL,
    dataelementid integer NOT NULL
);


ALTER TABLE public.programdataelement OWNER TO dhis;

--
-- Name: programexpression; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programexpression (
    programexpressionid integer NOT NULL,
    description character varying(255),
    expression text
);


ALTER TABLE public.programexpression OWNER TO dhis;

--
-- Name: programindicator; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programindicator (
    programindicatorid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(255),
    description text,
    programid integer NOT NULL,
    expression text,
    filter text,
    aggregationtype character varying(40),
    decimals integer,
    legendsetid integer,
    displayinform boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.programindicator OWNER TO dhis;

--
-- Name: programindicatorusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programindicatorusergroupaccesses (
    programindicatorid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.programindicatorusergroupaccesses OWNER TO dhis;

--
-- Name: programinstance; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programinstance (
    programinstanceid integer NOT NULL,
    uid character varying(11),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    incidentdate timestamp without time zone NOT NULL,
    enrollmentdate timestamp without time zone NOT NULL,
    enddate timestamp without time zone,
    followup boolean,
    completedby character varying(255),
    status character varying(50),
    trackedentityinstanceid integer,
    programid integer NOT NULL,
    organisationunitid integer
);


ALTER TABLE public.programinstance OWNER TO dhis;

--
-- Name: programinstance_messageconversation; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programinstance_messageconversation (
    programinstanceid integer NOT NULL,
    messageconversationid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.programinstance_messageconversation OWNER TO dhis;

--
-- Name: programinstance_outboundsms; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programinstance_outboundsms (
    programinstanceid integer NOT NULL,
    outboundsmsid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.programinstance_outboundsms OWNER TO dhis;

--
-- Name: programinstancecomments; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programinstancecomments (
    programinstanceid integer NOT NULL,
    trackedentitycommentid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.programinstancecomments OWNER TO dhis;

--
-- Name: programrule; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programrule (
    programruleid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description character varying(255),
    programid integer NOT NULL,
    programstageid integer,
    rulecondition text,
    priority integer
);


ALTER TABLE public.programrule OWNER TO dhis;

--
-- Name: programruleaction; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programruleaction (
    programruleactionid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    programruleid integer,
    actiontype character varying(255) NOT NULL,
    dataelementid integer,
    trackedentityattributeid integer,
    programindicatorid integer,
    programstagesectionid integer,
    programstageid integer,
    location character varying(255),
    content text,
    data text
);


ALTER TABLE public.programruleaction OWNER TO dhis;

--
-- Name: programrulevariable; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programrulevariable (
    programrulevariableid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    programid integer NOT NULL,
    sourcetype character varying(255) NOT NULL,
    trackedentityattributeid integer,
    dataelementid integer,
    programstageid integer
);


ALTER TABLE public.programrulevariable OWNER TO dhis;

--
-- Name: programstage; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programstage (
    programstageid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230),
    description text,
    mindaysfromstart integer NOT NULL,
    programid integer,
    repeatable boolean,
    dataentryformid integer,
    standardinterval integer,
    excecutiondatelabel character varying(255),
    autogenerateevent boolean,
    validcompleteonly boolean,
    displaygenerateeventbox boolean,
    capturecoordinates boolean,
    generatedbyenrollmentdate boolean,
    blockentryform boolean,
    remindcompleted boolean,
    allowgeneratenextvisit boolean,
    openafterenrollment boolean,
    reportdatetouse character varying(255),
    pregenerateuid boolean,
    hideduedate boolean,
    sort_order integer,
    periodtypeid integer
);


ALTER TABLE public.programstage OWNER TO dhis;

--
-- Name: programstageattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programstageattributevalues (
    programstageid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.programstageattributevalues OWNER TO dhis;

--
-- Name: programstagedataelement; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programstagedataelement (
    programstagedataelementid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    programstageid integer,
    dataelementid integer,
    compulsory boolean NOT NULL,
    allowprovidedelsewhere boolean,
    sort_order integer,
    displayinreports boolean,
    allowfuturedate boolean,
    programstagesectionid integer,
    section_sort_order integer
);


ALTER TABLE public.programstagedataelement OWNER TO dhis;

--
-- Name: programstageinstance; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programstageinstance (
    programstageinstanceid integer NOT NULL,
    uid character varying(11),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    programinstanceid integer NOT NULL,
    programstageid integer NOT NULL,
    attributeoptioncomboid integer,
    storedby character varying(255),
    duedate timestamp without time zone,
    executiondate timestamp without time zone,
    organisationunitid integer,
    status character varying(25) NOT NULL,
    longitude double precision,
    latitude double precision,
    completedby character varying(255),
    completeddate timestamp without time zone
);


ALTER TABLE public.programstageinstance OWNER TO dhis;

--
-- Name: programstageinstance_messageconversation; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programstageinstance_messageconversation (
    programstageinstanceid integer NOT NULL,
    messageconversationid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.programstageinstance_messageconversation OWNER TO dhis;

--
-- Name: programstageinstance_outboundsms; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programstageinstance_outboundsms (
    programstageinstanceid integer NOT NULL,
    outboundsmsid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.programstageinstance_outboundsms OWNER TO dhis;

--
-- Name: programstageinstancecomments; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programstageinstancecomments (
    programstageinstanceid integer NOT NULL,
    trackedentitycommentid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.programstageinstancecomments OWNER TO dhis;

--
-- Name: programstagesection; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programstagesection (
    programstagesectionid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    programstageid integer,
    sortorder integer NOT NULL
);


ALTER TABLE public.programstagesection OWNER TO dhis;

--
-- Name: programstagesection_programindicators; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programstagesection_programindicators (
    programstagesectionid integer NOT NULL,
    programindicatorid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.programstagesection_programindicators OWNER TO dhis;

--
-- Name: programusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programusergroupaccesses (
    programid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.programusergroupaccesses OWNER TO dhis;

--
-- Name: programvalidation; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE programvalidation (
    programvalidationid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    leftprogramexpressionid integer,
    operator character varying(255),
    rightprogramexpressionid integer,
    programid integer NOT NULL
);


ALTER TABLE public.programvalidation OWNER TO dhis;

--
-- Name: relationship; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE relationship (
    relationshipid integer NOT NULL,
    trackedentityinstanceaid integer NOT NULL,
    relationshiptypeid integer NOT NULL,
    trackedentityinstancebid integer NOT NULL
);


ALTER TABLE public.relationship OWNER TO dhis;

--
-- Name: relationshiptype; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE relationshiptype (
    relationshiptypeid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    a_is_to_b character varying(255) NOT NULL,
    b_is_to_a character varying(255) NOT NULL
);


ALTER TABLE public.relationshiptype OWNER TO dhis;

--
-- Name: relativeperiods; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE relativeperiods (
    relativeperiodsid integer NOT NULL,
    thismonth boolean,
    lastmonth boolean,
    thisbimonth boolean,
    lastbimonth boolean,
    thisquarter boolean,
    lastquarter boolean,
    thissixmonth boolean,
    lastsixmonth boolean,
    monthsthisyear boolean,
    quartersthisyear boolean,
    thisyear boolean,
    monthslastyear boolean,
    quarterslastyear boolean,
    lastyear boolean,
    last5years boolean,
    last12months boolean,
    last6months boolean,
    last3months boolean,
    last6bimonths boolean,
    last4quarters boolean,
    last2sixmonths boolean,
    thisfinancialyear boolean,
    lastfinancialyear boolean,
    last5financialyears boolean,
    thisweek boolean,
    lastweek boolean,
    last4weeks boolean,
    last12weeks boolean,
    last52weeks boolean
);


ALTER TABLE public.relativeperiods OWNER TO dhis;

--
-- Name: report; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE report (
    reportid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    type character varying(50),
    designcontent text,
    reporttableid integer,
    relativeperiodsid integer,
    paramreportingmonth boolean,
    paramorganisationunit boolean,
    cachestrategy character varying(40),
    externalaccess boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.report OWNER TO dhis;

--
-- Name: reporttable; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable (
    reporttableid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    regression boolean,
    cumulative boolean,
    relativeperiodsid integer,
    programid integer,
    paramreportingmonth boolean,
    paramgrandparentorganisationunit boolean,
    paramparentorganisationunit boolean,
    paramorganisationunit boolean,
    sortorder integer,
    toplimit integer,
    rowtotals boolean,
    coltotals boolean,
    rowsubtotals boolean,
    colsubtotals boolean,
    hideemptyrows boolean,
    aggregationtype character varying(40),
    completedonly boolean,
    digitgroupseparator character varying(40),
    displaydensity character varying(40),
    fontsize character varying(40),
    userorganisationunit boolean,
    userorganisationunitchildren boolean,
    userorganisationunitgrandchildren boolean,
    legendsetid integer,
    showhierarchy boolean,
    showdimensionlabels boolean,
    skiprounding boolean,
    externalaccess boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.reporttable OWNER TO dhis;

--
-- Name: reporttable_categorydimensions; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_categorydimensions (
    reporttableid integer NOT NULL,
    categorydimensionid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_categorydimensions OWNER TO dhis;

--
-- Name: reporttable_categoryoptiongroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_categoryoptiongroups (
    reporttableid integer NOT NULL,
    categoryoptiongroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_categoryoptiongroups OWNER TO dhis;

--
-- Name: reporttable_columns; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_columns (
    reporttableid integer NOT NULL,
    dimension character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_columns OWNER TO dhis;

--
-- Name: reporttable_datadimensionitems; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_datadimensionitems (
    reporttableid integer NOT NULL,
    datadimensionitemid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_datadimensionitems OWNER TO dhis;

--
-- Name: reporttable_dataelementgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_dataelementgroups (
    reporttableid integer NOT NULL,
    dataelementgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_dataelementgroups OWNER TO dhis;

--
-- Name: reporttable_filters; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_filters (
    reporttableid integer NOT NULL,
    dimension character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_filters OWNER TO dhis;

--
-- Name: reporttable_itemorgunitgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_itemorgunitgroups (
    reporttableid integer NOT NULL,
    orgunitgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_itemorgunitgroups OWNER TO dhis;

--
-- Name: reporttable_organisationunits; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_organisationunits (
    reporttableid integer NOT NULL,
    organisationunitid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_organisationunits OWNER TO dhis;

--
-- Name: reporttable_orgunitgroups; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_orgunitgroups (
    reporttableid integer NOT NULL,
    orgunitgroupid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_orgunitgroups OWNER TO dhis;

--
-- Name: reporttable_orgunitlevels; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_orgunitlevels (
    reporttableid integer NOT NULL,
    orgunitlevel integer,
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_orgunitlevels OWNER TO dhis;

--
-- Name: reporttable_periods; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_periods (
    reporttableid integer NOT NULL,
    periodid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_periods OWNER TO dhis;

--
-- Name: reporttable_rows; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttable_rows (
    reporttableid integer NOT NULL,
    dimension character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.reporttable_rows OWNER TO dhis;

--
-- Name: reporttableusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reporttableusergroupaccesses (
    reporttableid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.reporttableusergroupaccesses OWNER TO dhis;

--
-- Name: reportusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE reportusergroupaccesses (
    reportid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.reportusergroupaccesses OWNER TO dhis;

--
-- Name: section; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE section (
    sectionid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description text,
    datasetid integer NOT NULL,
    sortorder integer NOT NULL
);


ALTER TABLE public.section OWNER TO dhis;

--
-- Name: sectiondataelements; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE sectiondataelements (
    sectionid integer NOT NULL,
    dataelementid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.sectiondataelements OWNER TO dhis;

--
-- Name: sectiongreyedfields; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE sectiongreyedfields (
    sectionid integer NOT NULL,
    dataelementoperandid integer NOT NULL
);


ALTER TABLE public.sectiongreyedfields OWNER TO dhis;

--
-- Name: sectionindicators; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE sectionindicators (
    sectionid integer NOT NULL,
    indicatorid integer NOT NULL,
    sort_order integer NOT NULL
);


ALTER TABLE public.sectionindicators OWNER TO dhis;

--
-- Name: smscodes; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE smscodes (
    smscodeid integer NOT NULL,
    code text,
    formula text,
    dataelementid integer,
    trackedentityattributeid integer,
    optionid integer
);


ALTER TABLE public.smscodes OWNER TO dhis;

--
-- Name: smscommandcodes; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE smscommandcodes (
    id integer NOT NULL,
    codeid integer NOT NULL
);


ALTER TABLE public.smscommandcodes OWNER TO dhis;

--
-- Name: smscommands; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE smscommands (
    smscommandid integer NOT NULL,
    name text,
    parser text,
    parsertype integer,
    separatorkey text,
    codeseparator text,
    defaultmessage text,
    receivedmessage text,
    wrongformatmessage text,
    nousermessage text,
    morethanoneorgunitmessage text,
    successmessage text,
    currentperiodusedforreporting boolean,
    completenessmethod integer,
    datasetid integer,
    usergroupid integer,
    programid integer
);


ALTER TABLE public.smscommands OWNER TO dhis;

--
-- Name: smscommandspecialcharacters; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE smscommandspecialcharacters (
    smscommandid integer NOT NULL,
    specialcharacterid integer NOT NULL
);


ALTER TABLE public.smscommandspecialcharacters OWNER TO dhis;

--
-- Name: smsspecialcharacter; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE smsspecialcharacter (
    specialcharacterid integer NOT NULL,
    name text,
    value text
);


ALTER TABLE public.smsspecialcharacter OWNER TO dhis;

--
-- Name: sqlview; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE sqlview (
    sqlviewid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description text,
    sqlquery text NOT NULL,
    type character varying(40),
    cachestrategy character varying(40),
    externalaccess boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.sqlview OWNER TO dhis;

--
-- Name: sqlviewusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE sqlviewusergroupaccesses (
    sqlviewid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.sqlviewusergroupaccesses OWNER TO dhis;

--
-- Name: systemsetting; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE systemsetting (
    systemsettingid integer NOT NULL,
    name character varying(255) NOT NULL,
    value bytea
);


ALTER TABLE public.systemsetting OWNER TO dhis;

--
-- Name: trackedentity; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentity (
    trackedentityid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description text
);


ALTER TABLE public.trackedentity OWNER TO dhis;

--
-- Name: trackedentityattribute; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityattribute (
    trackedentityattributeid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    shortname character varying(50),
    description text,
    valuetype character varying(36),
    aggregationtype character varying(40),
    trackedentityattributegroupid integer,
    optionsetid integer,
    trackedentityid integer,
    legendsetid integer,
    inherit boolean,
    expression character varying(255),
    displayonvisitschedule boolean,
    sortorderinvisitschedule integer,
    displayinlistnoprogram boolean,
    sortorderinlistnoprogram integer,
    confidential boolean,
    uniquefield boolean,
    orgunitscope boolean,
    programscope boolean,
    userid integer,
    publicaccess character varying(8),
    sort_order integer
);


ALTER TABLE public.trackedentityattribute OWNER TO dhis;

--
-- Name: trackedentityattributeattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityattributeattributevalues (
    trackedentityattributeid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.trackedentityattributeattributevalues OWNER TO dhis;

--
-- Name: trackedentityattributedimension; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityattributedimension (
    trackedentityattributedimensionid integer NOT NULL,
    trackedentityattributeid integer,
    legendsetid integer,
    filter character varying(255)
);


ALTER TABLE public.trackedentityattributedimension OWNER TO dhis;

--
-- Name: trackedentityattributegroup; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityattributegroup (
    trackedentityattributegroupid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description text,
    sortorder integer
);


ALTER TABLE public.trackedentityattributegroup OWNER TO dhis;

--
-- Name: trackedentityattributeusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityattributeusergroupaccesses (
    trackedentityattributeid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.trackedentityattributeusergroupaccesses OWNER TO dhis;

--
-- Name: trackedentityattributevalue; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityattributevalue (
    trackedentityinstanceid integer NOT NULL,
    trackedentityattributeid integer NOT NULL,
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    value character varying(50000),
    encryptedvalue character varying(50000)
);


ALTER TABLE public.trackedentityattributevalue OWNER TO dhis;

--
-- Name: trackedentityattributevalueaudit; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityattributevalueaudit (
    trackedentityattributevalueauditid integer NOT NULL,
    trackedentityinstanceid integer,
    trackedentityattributeid integer,
    value character varying(50000),
    encryptedvalue character varying(50000),
    created timestamp without time zone,
    modifiedby character varying(255),
    audittype character varying(100) NOT NULL
);


ALTER TABLE public.trackedentityattributevalueaudit OWNER TO dhis;

--
-- Name: trackedentityattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityattributevalues (
    trackedentityid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.trackedentityattributevalues OWNER TO dhis;

--
-- Name: trackedentitycomment; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentitycomment (
    trackedentitycommentid integer NOT NULL,
    commenttext text,
    createddate timestamp without time zone,
    creator character varying(255)
);


ALTER TABLE public.trackedentitycomment OWNER TO dhis;

--
-- Name: trackedentitydataelementdimension; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentitydataelementdimension (
    trackedentitydataelementdimensionid integer NOT NULL,
    dataelementid integer,
    legendsetid integer,
    filter character varying(255)
);


ALTER TABLE public.trackedentitydataelementdimension OWNER TO dhis;

--
-- Name: trackedentitydatavalue; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentitydatavalue (
    programstageinstanceid integer NOT NULL,
    dataelementid integer NOT NULL,
    value character varying(50000),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    providedelsewhere boolean,
    storedby character varying(255)
);


ALTER TABLE public.trackedentitydatavalue OWNER TO dhis;

--
-- Name: trackedentitydatavalueaudit; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentitydatavalueaudit (
    trackedentitydatavalueauditid integer NOT NULL,
    programstageinstanceid integer,
    dataelementid integer,
    value character varying(50000),
    created timestamp without time zone,
    providedelsewhere boolean,
    modifiedby character varying(255),
    audittype character varying(100) NOT NULL
);


ALTER TABLE public.trackedentitydatavalueaudit OWNER TO dhis;

--
-- Name: trackedentityinstance; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityinstance (
    trackedentityinstanceid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    inactive boolean,
    representativeid integer,
    organisationunitid integer NOT NULL,
    trackedentityid integer
);


ALTER TABLE public.trackedentityinstance OWNER TO dhis;

--
-- Name: trackedentityinstancereminder; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityinstancereminder (
    trackedentityinstancereminderid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230),
    daysallowedsendmessage integer,
    templatemessage character varying(255),
    datetocompare character varying(255),
    sendto integer,
    whentosend integer,
    messagetype integer,
    usergroupid integer,
    programid integer,
    programstageid integer
);


ALTER TABLE public.trackedentityinstancereminder OWNER TO dhis;

--
-- Name: trackedentityprogramindicatordimension; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE trackedentityprogramindicatordimension (
    trackedentityprogramindicatordimensionid integer NOT NULL,
    programindicatorid integer,
    legendsetid integer,
    filter character varying(255)
);


ALTER TABLE public.trackedentityprogramindicatordimension OWNER TO dhis;

--
-- Name: translation; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE translation (
    translationid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    objectclass character varying(127),
    objectuid character varying(11),
    locale character varying(15),
    objectproperty character varying(63),
    value text NOT NULL
);


ALTER TABLE public.translation OWNER TO dhis;

--
-- Name: userapps; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE userapps (
    userinfoid integer NOT NULL,
    app character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE public.userapps OWNER TO dhis;

--
-- Name: userattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE userattributevalues (
    userinfoid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.userattributevalues OWNER TO dhis;

--
-- Name: userdatavieworgunits; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE userdatavieworgunits (
    userinfoid integer NOT NULL,
    organisationunitid integer NOT NULL
);


ALTER TABLE public.userdatavieworgunits OWNER TO dhis;

--
-- Name: usergroup; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE usergroup (
    usergroupid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.usergroup OWNER TO dhis;

--
-- Name: usergroupaccess; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE usergroupaccess (
    usergroupaccessid integer NOT NULL,
    access character varying(255),
    usergroupid integer
);


ALTER TABLE public.usergroupaccess OWNER TO dhis;

--
-- Name: usergroupattributevalues; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE usergroupattributevalues (
    usergroupid integer NOT NULL,
    attributevalueid integer NOT NULL
);


ALTER TABLE public.usergroupattributevalues OWNER TO dhis;

--
-- Name: usergroupmanaged; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE usergroupmanaged (
    managedbygroupid integer NOT NULL,
    managedgroupid integer NOT NULL
);


ALTER TABLE public.usergroupmanaged OWNER TO dhis;

--
-- Name: usergroupmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE usergroupmembers (
    userid integer NOT NULL,
    usergroupid integer NOT NULL
);


ALTER TABLE public.usergroupmembers OWNER TO dhis;

--
-- Name: usergroupusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE usergroupusergroupaccesses (
    usergroupid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.usergroupusergroupaccesses OWNER TO dhis;

--
-- Name: userinfo; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE userinfo (
    userinfoid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    lastupdated timestamp without time zone,
    created timestamp without time zone,
    surname character varying(160) NOT NULL,
    firstname character varying(160) NOT NULL,
    email character varying(160),
    phonenumber character varying(80),
    jobtitle character varying(160),
    introduction text,
    gender character varying(50),
    birthday date,
    nationality character varying(160),
    employer character varying(160),
    education text,
    interests text,
    languages text,
    lastcheckedinterpretations timestamp without time zone
);


ALTER TABLE public.userinfo OWNER TO dhis;

--
-- Name: usermembership; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE usermembership (
    userinfoid integer NOT NULL,
    organisationunitid integer NOT NULL
);


ALTER TABLE public.usermembership OWNER TO dhis;

--
-- Name: usermessage; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE usermessage (
    usermessageid integer NOT NULL,
    usermessagekey character varying(255),
    userid integer NOT NULL,
    isread boolean NOT NULL,
    isfollowup boolean
);


ALTER TABLE public.usermessage OWNER TO dhis;

--
-- Name: userrole; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE userrole (
    userroleid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description character varying(255),
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.userrole OWNER TO dhis;

--
-- Name: userroleauthorities; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE userroleauthorities (
    userroleid integer NOT NULL,
    authority character varying(255)
);


ALTER TABLE public.userroleauthorities OWNER TO dhis;

--
-- Name: userroledataset; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE userroledataset (
    userroleid integer NOT NULL,
    datasetid integer NOT NULL
);


ALTER TABLE public.userroledataset OWNER TO dhis;

--
-- Name: userrolemembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE userrolemembers (
    userroleid integer NOT NULL,
    userid integer NOT NULL
);


ALTER TABLE public.userrolemembers OWNER TO dhis;

--
-- Name: userroleusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE userroleusergroupaccesses (
    userroleid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.userroleusergroupaccesses OWNER TO dhis;

--
-- Name: users; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE users (
    userid integer NOT NULL,
    creatoruserid integer,
    username character varying(255) NOT NULL,
    password character varying(60),
    externalauth boolean,
    openid text,
    ldapid text,
    passwordlastupdated timestamp without time zone,
    lastlogin timestamp without time zone,
    restoretoken character varying(255),
    restorecode character varying(255),
    restoreexpiry timestamp without time zone,
    selfregistered boolean,
    invitation boolean,
    disabled boolean,
    created timestamp without time zone
);


ALTER TABLE public.users OWNER TO dhis;

--
-- Name: users_catdimensionconstraints; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE users_catdimensionconstraints (
    userid integer NOT NULL,
    dataelementcategoryid integer NOT NULL
);


ALTER TABLE public.users_catdimensionconstraints OWNER TO dhis;

--
-- Name: users_cogsdimensionconstraints; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE users_cogsdimensionconstraints (
    userid integer NOT NULL,
    categoryoptiongroupsetid integer NOT NULL
);


ALTER TABLE public.users_cogsdimensionconstraints OWNER TO dhis;

--
-- Name: usersetting; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE usersetting (
    userinfoid integer NOT NULL,
    name character varying(255) NOT NULL,
    value bytea
);


ALTER TABLE public.usersetting OWNER TO dhis;

--
-- Name: validationcriteria; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE validationcriteria (
    validationcriteriaid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description character varying(255),
    property character varying(255),
    operator integer NOT NULL,
    value bytea
);


ALTER TABLE public.validationcriteria OWNER TO dhis;

--
-- Name: validationrule; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE validationrule (
    validationruleid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description text,
    instruction text,
    importance character varying(50),
    ruletype character varying(50),
    operator character varying(255) NOT NULL,
    leftexpressionid integer,
    rightexpressionid integer,
    organisationunitlevel integer,
    periodtypeid integer NOT NULL,
    sequentialsamplecount integer,
    annualsamplecount integer
);


ALTER TABLE public.validationrule OWNER TO dhis;

--
-- Name: validationrulegroup; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE validationrulegroup (
    validationrulegroupid integer NOT NULL,
    uid character varying(11),
    code character varying(50),
    created timestamp without time zone,
    lastupdated timestamp without time zone,
    name character varying(230) NOT NULL,
    description text,
    alertbyorgunits boolean,
    userid integer,
    publicaccess character varying(8)
);


ALTER TABLE public.validationrulegroup OWNER TO dhis;

--
-- Name: validationrulegroupmembers; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE validationrulegroupmembers (
    validationruleid integer NOT NULL,
    validationgroupid integer NOT NULL
);


ALTER TABLE public.validationrulegroupmembers OWNER TO dhis;

--
-- Name: validationrulegroupusergroupaccesses; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE validationrulegroupusergroupaccesses (
    validationrulegroupid integer NOT NULL,
    usergroupaccessid integer NOT NULL
);


ALTER TABLE public.validationrulegroupusergroupaccesses OWNER TO dhis;

--
-- Name: validationrulegroupusergroupstoalert; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE validationrulegroupusergroupstoalert (
    validationgroupid integer NOT NULL,
    usergroupid integer NOT NULL
);


ALTER TABLE public.validationrulegroupusergroupstoalert OWNER TO dhis;

--
-- Name: version; Type: TABLE; Schema: public; Owner: dhis; Tablespace: 
--

CREATE TABLE version (
    versionid integer NOT NULL,
    versionkey character varying(230) NOT NULL,
    versionvalue character varying(255)
);


ALTER TABLE public.version OWNER TO dhis;

--
-- Data for Name: attribute; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY attribute (attributeid, uid, code, created, lastupdated, name, valuetype, mandatory, isunique, dataelementattribute, dataelementgroupattribute, indicatorattribute, indicatorgroupattribute, datasetattribute, organisationunitattribute, organisationunitgroupattribute, organisationunitgroupsetattribute, userattribute, usergroupattribute, programattribute, programstageattribute, trackedentityattribute, trackedentityattributeattribute, categoryoptionattribute, categoryoptiongroupattribute, documentattribute, optionattribute, optionsetattribute, sortorder, optionsetid) FROM stdin;
\.


--
-- Data for Name: attributevalue; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY attributevalue (attributevalueid, created, lastupdated, value, attributeid) FROM stdin;
\.


--
-- Data for Name: caseaggregationcondition; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY caseaggregationcondition (caseaggregationconditionid, uid, code, created, lastupdated, name, operator, aggregationexpression, aggregationdataelementid, optioncomboid, desum) FROM stdin;
\.


--
-- Data for Name: categories_categoryoptions; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categories_categoryoptions (categoryoptionid, categoryid, sort_order) FROM stdin;
12	13	1
\.


--
-- Data for Name: categorycombo; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categorycombo (categorycomboid, uid, code, created, lastupdated, name, datadimensiontype, skiptotal, userid, publicaccess) FROM stdin;
14	ND8KKbm7t60	\N	2016-02-08 19:05:18.463	2016-02-08 19:05:18.464	default	DISAGGREGATION	f	\N	--------
\.


--
-- Data for Name: categorycombos_categories; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categorycombos_categories (categoryid, categorycomboid, sort_order) FROM stdin;
13	14	1
\.


--
-- Data for Name: categorycombos_optioncombos; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categorycombos_optioncombos (categoryoptioncomboid, categorycomboid) FROM stdin;
15	14
\.


--
-- Data for Name: categorycombousergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categorycombousergroupaccesses (categorycomboid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: categorydimension; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categorydimension (categorydimensionid, categoryid) FROM stdin;
\.


--
-- Data for Name: categorydimension_items; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categorydimension_items (categorydimensionid, categoryoptionid, sort_order) FROM stdin;
\.


--
-- Data for Name: categoryoption_organisationunits; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categoryoption_organisationunits (categoryoptionid, organisationunitid) FROM stdin;
\.


--
-- Data for Name: categoryoptioncombo; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categoryoptioncombo (categoryoptioncomboid, uid, code, created, lastupdated, name, ignoreapproval) FROM stdin;
15	ErBiOjbEn0L	\N	2016-02-08 19:05:18.464	2016-02-08 19:05:18.464	default	f
\.


--
-- Data for Name: categoryoptioncombos_categoryoptions; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categoryoptioncombos_categoryoptions (categoryoptioncomboid, categoryoptionid) FROM stdin;
15	12
\.


--
-- Data for Name: categoryoptiongroup; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categoryoptiongroup (categoryoptiongroupid, uid, code, created, lastupdated, name, shortname, datadimensiontype, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: categoryoptiongroupattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categoryoptiongroupattributevalues (categoryoptiongroupid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: categoryoptiongroupmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categoryoptiongroupmembers (categoryoptionid, categoryoptiongroupid) FROM stdin;
\.


--
-- Data for Name: categoryoptiongroupset; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categoryoptiongroupset (categoryoptiongroupsetid, uid, code, created, lastupdated, name, description, datadimension, datadimensiontype, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: categoryoptiongroupsetmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categoryoptiongroupsetmembers (categoryoptiongroupid, categoryoptiongroupsetid, sort_order) FROM stdin;
\.


--
-- Data for Name: categoryoptiongroupsetusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categoryoptiongroupsetusergroupaccesses (categoryoptiongroupsetid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: categoryoptiongroupusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY categoryoptiongroupusergroupaccesses (categoryoptiongroupid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: chart; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart (chartid, uid, code, created, lastupdated, name, domainaxislabel, rangeaxislabel, type, series, category, hidelegend, regression, hidetitle, hidesubtitle, title, targetlinevalue, targetlinelabel, baselinevalue, baselinelabel, relativeperiodsid, programid, userorganisationunit, userorganisationunitchildren, userorganisationunitgrandchildren, aggregationtype, completedonly, showdata, hideemptyrows, rangeaxismaxvalue, rangeaxisminvalue, rangeaxissteps, rangeaxisdecimals, sortorder, externalaccess, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: chart_categorydimensions; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart_categorydimensions (chartid, categorydimensionid, sort_order) FROM stdin;
\.


--
-- Data for Name: chart_categoryoptiongroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart_categoryoptiongroups (chartid, categoryoptiongroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: chart_datadimensionitems; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart_datadimensionitems (chartid, datadimensionitemid, sort_order) FROM stdin;
\.


--
-- Data for Name: chart_dataelementgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart_dataelementgroups (chartid, dataelementgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: chart_filters; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart_filters (chartid, filter, sort_order) FROM stdin;
\.


--
-- Data for Name: chart_itemorgunitgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart_itemorgunitgroups (chartid, orgunitgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: chart_organisationunits; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart_organisationunits (chartid, organisationunitid, sort_order) FROM stdin;
\.


--
-- Data for Name: chart_orgunitgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart_orgunitgroups (chartid, orgunitgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: chart_orgunitlevels; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart_orgunitlevels (chartid, orgunitlevel, sort_order) FROM stdin;
\.


--
-- Data for Name: chart_periods; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chart_periods (chartid, periodid, sort_order) FROM stdin;
\.


--
-- Data for Name: chartusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY chartusergroupaccesses (chartid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: color; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY color (colorid, uid, code, created, lastupdated, name, color) FROM stdin;
\.


--
-- Data for Name: colorset; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY colorset (colorsetid, uid, code, created, lastupdated, name) FROM stdin;
\.


--
-- Data for Name: colorset_colors; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY colorset_colors (colorsetid, colorid, sort_order) FROM stdin;
\.


--
-- Data for Name: completedatasetregistration; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY completedatasetregistration (datasetid, periodid, sourceid, attributeoptioncomboid, date, storedby) FROM stdin;
\.


--
-- Data for Name: configuration; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY configuration (configurationid, systemid, feedbackrecipientsid, offlineorgunitlevelid, infrastructuralindicatorsid, infrastructuraldataelementsid, infrastructuralperiodtypeid, selfregistrationrole, selfregistrationorgunit) FROM stdin;
17	24f924fd-8470-4e00-a6f5-c161af3fe57c	\N	\N	\N	\N	\N	\N	\N
\.


--
-- Data for Name: configuration_corswhitelist; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY configuration_corswhitelist (configurationid, corswhitelist) FROM stdin;
\.


--
-- Data for Name: constant; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY constant (constantid, uid, code, created, lastupdated, name, shortname, description, value, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: constantusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY constantusergroupaccesses (constantid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: dashboard; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dashboard (dashboardid, uid, code, created, lastupdated, name, userid, externalaccess, publicaccess) FROM stdin;
\.


--
-- Data for Name: dashboard_items; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dashboard_items (dashboardid, dashboarditemid, sort_order) FROM stdin;
\.


--
-- Data for Name: dashboarditem; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dashboarditem (dashboarditemid, uid, code, created, lastupdated, chartid, eventchartid, mapid, reporttable, eventreport, messages, shape) FROM stdin;
\.


--
-- Data for Name: dashboarditem_reports; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dashboarditem_reports (dashboarditemid, reportid, sort_order) FROM stdin;
\.


--
-- Data for Name: dashboarditem_resources; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dashboarditem_resources (dashboarditemid, resourceid, sort_order) FROM stdin;
\.


--
-- Data for Name: dashboarditem_users; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dashboarditem_users (dashboarditemid, userid, sort_order) FROM stdin;
\.


--
-- Data for Name: dashboardusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dashboardusergroupaccesses (dashboardid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: dataapproval; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataapproval (dataapprovalid, dataapprovallevelid, workflowid, periodid, organisationunitid, attributeoptioncomboid, accepted, created, creator) FROM stdin;
\.


--
-- Data for Name: dataapprovallevel; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataapprovallevel (dataapprovallevelid, uid, code, created, lastupdated, name, level, orgunitlevel, categoryoptiongroupsetid, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: dataapprovallevelusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataapprovallevelusergroupaccesses (dataapprovallevelid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: dataapprovalworkflow; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataapprovalworkflow (workflowid, uid, code, created, lastupdated, name, periodtypeid, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: dataapprovalworkflowlevels; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataapprovalworkflowlevels (workflowid, dataapprovallevelid) FROM stdin;
\.


--
-- Data for Name: dataapprovalworkflowusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataapprovalworkflowusergroupaccesses (workflowid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: datadimensionitem; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY datadimensionitem (datadimensionitemid, indicatorid, dataelementid, dataelementoperandid, datasetid, programindicatorid, programdataelementid, programattributeid) FROM stdin;
\.


--
-- Data for Name: dataelement; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelement (dataelementid, uid, code, created, lastupdated, name, shortname, description, formname, valuetype, domaintype, aggregationtype, categorycomboid, url, zeroissignificant, optionsetid, commentoptionsetid, legendsetid, userid, publicaccess) FROM stdin;
51	wVaWSh5dcWf	\N	2016-02-08 19:19:15.628	2016-02-08 19:26:27.966	Test AAA	Test AAA	\N	\N	NUMBER	AGGREGATE	SUM	14	\N	f	\N	\N	\N	46	rw------
52	KjDB2Cav1Xr	\N	2016-02-08 19:19:52.383	2016-02-08 19:27:45.515	Test BBB	Test BBB	\N	\N	NUMBER	AGGREGATE	SUM	14	\N	f	\N	\N	\N	46	rw------
53	lz1yGhULUTE	\N	2016-02-08 19:20:11.181	2016-02-08 19:31:27.334	Test CCC	Test CCC	\N	\N	NUMBER	AGGREGATE	SUM	14	\N	f	\N	\N	\N	46	rw------
\.


--
-- Data for Name: dataelementaggregationlevels; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementaggregationlevels (dataelementid, aggregationlevel, sort_order) FROM stdin;
\.


--
-- Data for Name: dataelementattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementattributevalues (dataelementid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: dataelementcategory; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementcategory (categoryid, uid, code, created, lastupdated, name, datadimensiontype, datadimension, userid, publicaccess) FROM stdin;
13	tsUlfDD6oYR	\N	2016-02-08 19:05:18.461	2016-02-08 19:05:18.582	default	DISAGGREGATION	t	\N	--------
\.


--
-- Data for Name: dataelementcategoryoption; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementcategoryoption (categoryoptionid, uid, code, created, lastupdated, name, shortname, startdate, enddate, userid, publicaccess) FROM stdin;
12	lVwUvsqnbFX	\N	2016-02-08 19:05:18.452	2016-02-08 19:05:18.466	default	default	\N	\N	\N	--------
\.


--
-- Data for Name: dataelementcategoryoptionattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementcategoryoptionattributevalues (categoryoptionid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: dataelementcategoryoptionusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementcategoryoptionusergroupaccesses (categoryoptionid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: dataelementcategoryusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementcategoryusergroupaccesses (categoryid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: dataelementgroup; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementgroup (dataelementgroupid, uid, code, created, lastupdated, name, shortname, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: dataelementgroupattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementgroupattributevalues (dataelementgroupid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: dataelementgroupmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementgroupmembers (dataelementgroupid, dataelementid) FROM stdin;
\.


--
-- Data for Name: dataelementgroupset; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementgroupset (dataelementgroupsetid, uid, code, created, lastupdated, name, description, compulsory, datadimension, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: dataelementgroupsetmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementgroupsetmembers (dataelementgroupid, dataelementgroupsetid, sort_order) FROM stdin;
\.


--
-- Data for Name: dataelementgroupsetusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementgroupsetusergroupaccesses (dataelementgroupsetid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: dataelementgroupusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementgroupusergroupaccesses (dataelementgroupid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: dataelementoperand; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementoperand (dataelementoperandid, dataelementid, categoryoptioncomboid) FROM stdin;
\.


--
-- Data for Name: dataelementusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataelementusergroupaccesses (dataelementid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: dataentryform; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataentryform (dataentryformid, uid, code, created, lastupdated, name, style, htmlcode, format) FROM stdin;
\.


--
-- Data for Name: dataset; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY dataset (datasetid, uid, code, created, lastupdated, name, shortname, description, periodtypeid, categorycomboid, dataentryform, mobile, version, expirydays, timelydays, notificationrecipients, notifycompletinguser, workflowid, openfutureperiods, fieldcombinationrequired, validcompleteonly, novaluerequirescomment, skipoffline, dataelementdecoration, renderastabs, renderhorizontally, userid, publicaccess, legendsetid) FROM stdin;
54	A25bXlDXwOi	\N	2016-02-08 19:22:53.51	2016-02-08 19:23:00.636	ordertest	ordertest	\N	1	14	\N	f	1	0	15	\N	f	\N	0	f	f	f	f	f	f	f	46	rw------	\N
\.


--
-- Data for Name: datasetattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY datasetattributevalues (datasetid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: datasetindicators; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY datasetindicators (indicatorid, datasetid) FROM stdin;
\.


--
-- Data for Name: datasetmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY datasetmembers (dataelementid, datasetid) FROM stdin;
51	54
52	54
53	54
\.


--
-- Data for Name: datasetoperands; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY datasetoperands (datasetid, dataelementoperandid) FROM stdin;
\.


--
-- Data for Name: datasetsource; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY datasetsource (sourceid, datasetid) FROM stdin;
49	54
\.


--
-- Data for Name: datasetusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY datasetusergroupaccesses (datasetid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: datavalue; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY datavalue (dataelementid, periodid, sourceid, categoryoptioncomboid, attributeoptioncomboid, value, storedby, created, lastupdated, comment, followup) FROM stdin;
\.


--
-- Data for Name: datavalueaudit; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY datavalueaudit (datavalueauditid, dataelementid, periodid, organisationunitid, categoryoptioncomboid, attributeoptioncomboid, value, created, modifiedby, audittype) FROM stdin;
\.


--
-- Data for Name: document; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY document (documentid, uid, code, created, lastupdated, name, url, external, contenttype, attachment, externalaccess, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: documentattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY documentattributevalues (documentid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: documentusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY documentusergroupaccesses (documentid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: eventchart; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart (eventchartid, uid, code, created, lastupdated, name, relativeperiodsid, userorganisationunit, userorganisationunitchildren, userorganisationunitgrandchildren, programid, programstageid, startdate, enddate, dataelementvaluedimensionid, attributevaluedimensionid, aggregationtype, completedonly, type, showdata, hideemptyrows, hidenadata, rangeaxismaxvalue, rangeaxisminvalue, rangeaxissteps, rangeaxisdecimals, outputtype, collapsedatadimensions, domainaxislabel, rangeaxislabel, hidelegend, regression, hidetitle, hidesubtitle, title, targetlinevalue, targetlinelabel, baselinevalue, baselinelabel, sortorder, externalaccess, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: eventchart_attributedimensions; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_attributedimensions (eventchartid, trackedentityattributedimensionid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchart_columns; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_columns (eventchartid, dimension, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchart_dataelementdimensions; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_dataelementdimensions (eventchartid, trackedentitydataelementdimensionid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchart_filters; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_filters (eventchartid, dimension, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchart_itemorgunitgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_itemorgunitgroups (eventchartid, orgunitgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchart_organisationunits; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_organisationunits (eventchartid, organisationunitid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchart_orgunitgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_orgunitgroups (eventchartid, orgunitgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchart_orgunitlevels; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_orgunitlevels (eventchartid, orgunitlevel, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchart_periods; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_periods (eventchartid, periodid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchart_programindicatordimensions; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_programindicatordimensions (eventchartid, trackedentityprogramindicatordimensionid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchart_rows; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchart_rows (eventchartid, dimension, sort_order) FROM stdin;
\.


--
-- Data for Name: eventchartusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventchartusergroupaccesses (eventchartid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: eventreport; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport (eventreportid, uid, code, created, lastupdated, name, relativeperiodsid, userorganisationunit, userorganisationunitchildren, userorganisationunitgrandchildren, programid, programstageid, startdate, enddate, dataelementvaluedimensionid, attributevaluedimensionid, aggregationtype, completedonly, datatype, rowtotals, coltotals, rowsubtotals, colsubtotals, hideemptyrows, hidenadata, showhierarchy, outputtype, collapsedatadimensions, showdimensionlabels, digitgroupseparator, displaydensity, fontsize, sortorder, toplimit, externalaccess, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: eventreport_attributedimensions; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_attributedimensions (eventreportid, trackedentityattributedimensionid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreport_columns; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_columns (eventreportid, dimension, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreport_dataelementdimensions; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_dataelementdimensions (eventreportid, trackedentitydataelementdimensionid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreport_filters; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_filters (eventreportid, dimension, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreport_itemorgunitgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_itemorgunitgroups (eventreportid, orgunitgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreport_organisationunits; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_organisationunits (eventreportid, organisationunitid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreport_orgunitgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_orgunitgroups (eventreportid, orgunitgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreport_orgunitlevels; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_orgunitlevels (eventreportid, orgunitlevel, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreport_periods; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_periods (eventreportid, periodid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreport_programindicatordimensions; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_programindicatordimensions (eventreportid, trackedentityprogramindicatordimensionid, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreport_rows; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreport_rows (eventreportid, dimension, sort_order) FROM stdin;
\.


--
-- Data for Name: eventreportusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY eventreportusergroupaccesses (eventreportid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: expression; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY expression (expressionid, description, expression, missingvaluestrategy) FROM stdin;
\.


--
-- Data for Name: expressiondataelement; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY expressiondataelement (expressionid, dataelementid) FROM stdin;
\.


--
-- Data for Name: fileresource; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY fileresource (fileresourceid, uid, code, created, lastupdated, name, contenttype, contentlength, contentmd5, storagekey, isassigned, storagestatus, domain, userid) FROM stdin;
\.


--
-- Name: hibernate_sequence; Type: SEQUENCE SET; Schema: public; Owner: dhis
--

SELECT pg_catalog.setval('hibernate_sequence', 59, true);


--
-- Data for Name: i18nlocale; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY i18nlocale (i18nlocaleid, uid, code, created, lastupdated, name, locale) FROM stdin;
18	FfH1GSNnN9L	\N	2016-02-08 19:05:22.171	2016-02-08 19:05:22.171	Afrikaans	af
19	yA1zIkSoDLD	\N	2016-02-08 19:05:22.175	2016-02-08 19:05:22.175	Arabic	ar
20	G78Ga4QLNK5	\N	2016-02-08 19:05:22.177	2016-02-08 19:05:22.177	Bislama	bi
21	KHGIU4x5gPC	\N	2016-02-08 19:05:22.179	2016-02-08 19:05:22.179	Amharic	am
22	zPdwJP1NYC7	\N	2016-02-08 19:05:22.181	2016-02-08 19:05:22.181	German	de
23	hdwI3TNT21i	\N	2016-02-08 19:05:22.191	2016-02-08 19:05:22.191	Dzongkha	dz
24	EzfzWvk4HYf	\N	2016-02-08 19:05:22.193	2016-02-08 19:05:22.193	English	en
25	bjSER9LFpUa	\N	2016-02-08 19:05:22.205	2016-02-08 19:05:22.205	Spanish	es
26	wI02A7eE3d8	\N	2016-02-08 19:05:22.219	2016-02-08 19:05:22.219	Persian	fa
27	oPgJsrMAQAr	\N	2016-02-08 19:05:22.221	2016-02-08 19:05:22.221	French	fr
28	kP70RKVhty4	\N	2016-02-08 19:05:22.222	2016-02-08 19:05:22.222	Gujarati	gu
29	QHdgod5hFhx	\N	2016-02-08 19:05:22.224	2016-02-08 19:05:22.224	Hindi	hi
30	obQCUdfsww2	\N	2016-02-08 19:05:22.226	2016-02-08 19:05:22.226	Indonesian	in
31	DkCMGhRqwHw	\N	2016-02-08 19:05:22.227	2016-02-08 19:05:22.227	Italian	it
32	IoQlhxNjwzq	\N	2016-02-08 19:05:22.228	2016-02-08 19:05:22.228	Khmer	km
33	SV98pr6tL8j	\N	2016-02-08 19:05:22.23	2016-02-08 19:05:22.23	Lao	lo
34	KEzdGr3TjaT	\N	2016-02-08 19:05:22.231	2016-02-08 19:05:22.231	Burmese	my
35	vJeRlPeJTLE	\N	2016-02-08 19:05:22.233	2016-02-08 19:05:22.233	Nepali	ne
36	MmlR5Zv0zun	\N	2016-02-08 19:05:22.234	2016-02-08 19:05:22.234	Dutch	nl
37	OE8mfnMoPkn	\N	2016-02-08 19:05:22.235	2016-02-08 19:05:22.235	Norwegian	no
38	laNNMZResgi	\N	2016-02-08 19:05:22.236	2016-02-08 19:05:22.236	Pushto	ps
39	B4L0m9I8DMN	\N	2016-02-08 19:05:22.237	2016-02-08 19:05:22.237	Portuguese	pt
40	DCI0TMYcsHj	\N	2016-02-08 19:05:22.239	2016-02-08 19:05:22.239	Russian	ru
41	iUV68JQDpm0	\N	2016-02-08 19:05:22.24	2016-02-08 19:05:22.24	Kinyarwanda	rw
42	C8QI0CnG7zl	\N	2016-02-08 19:05:22.241	2016-02-08 19:05:22.241	Swahili	sw
43	TzkLuGcmp0m	\N	2016-02-08 19:05:22.243	2016-02-08 19:05:22.243	Tajik	tg
44	K5dSSVlR4GN	\N	2016-02-08 19:05:22.244	2016-02-08 19:05:22.244	Vietnamese	vi
45	PXC4rJj6Jd4	\N	2016-02-08 19:05:22.245	2016-02-08 19:05:22.245	Chinese	zh
\.


--
-- Data for Name: incomingsms; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY incomingsms (id, originator, encoding, sentdate, receiveddate, text, gatewayid, status, parsed, statusmessage) FROM stdin;
\.


--
-- Data for Name: indicator; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicator (indicatorid, uid, code, created, lastupdated, name, shortname, description, annualized, decimals, indicatortypeid, numerator, numeratordescription, denominator, denominatordescription, url, userid, publicaccess, legendsetid) FROM stdin;
\.


--
-- Data for Name: indicatorattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicatorattributevalues (indicatorid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: indicatorgroup; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicatorgroup (indicatorgroupid, uid, code, created, lastupdated, name, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: indicatorgroupattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicatorgroupattributevalues (indicatorgroupid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: indicatorgroupmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicatorgroupmembers (indicatorgroupid, indicatorid) FROM stdin;
\.


--
-- Data for Name: indicatorgroupset; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicatorgroupset (indicatorgroupsetid, uid, code, created, lastupdated, name, description, compulsory, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: indicatorgroupsetmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicatorgroupsetmembers (indicatorgroupid, indicatorgroupsetid, sort_order) FROM stdin;
\.


--
-- Data for Name: indicatorgroupsetusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicatorgroupsetusergroupaccesses (indicatorgroupsetid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: indicatorgroupusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicatorgroupusergroupaccesses (indicatorgroupid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: indicatortype; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicatortype (indicatortypeid, uid, code, created, lastupdated, name, indicatorfactor, indicatornumber) FROM stdin;
\.


--
-- Data for Name: indicatorusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY indicatorusergroupaccesses (indicatorid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: interpretation; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY interpretation (interpretationid, uid, lastupdated, chartid, mapid, reporttableid, datasetid, periodid, organisationunitid, interpretationtext, created, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: interpretation_comments; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY interpretation_comments (interpretationid, interpretationcommentid, sort_order) FROM stdin;
\.


--
-- Data for Name: interpretationcomment; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY interpretationcomment (interpretationcommentid, uid, lastupdated, commenttext, userid, created) FROM stdin;
\.


--
-- Data for Name: interpretationusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY interpretationusergroupaccesses (interpretationid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: keyjsonvalue; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY keyjsonvalue (keyjsonvalueid, uid, code, created, lastupdated, namespace, namespacekey, value) FROM stdin;
\.


--
-- Data for Name: lockexception; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY lockexception (lockexceptionid, organisationunitid, periodid, datasetid) FROM stdin;
\.


--
-- Data for Name: map; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY map (mapid, uid, code, created, lastupdated, name, longitude, latitude, zoom, externalaccess, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: maplayer; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY maplayer (maplayerid, uid, code, created, lastupdated, name, type, url, layers, "time", fillcolor, fillopacity, strokecolor, strokewidth) FROM stdin;
\.


--
-- Data for Name: maplegend; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY maplegend (maplegendid, uid, code, created, lastupdated, name, startvalue, endvalue, color, image) FROM stdin;
\.


--
-- Data for Name: maplegendset; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY maplegendset (maplegendsetid, uid, code, created, lastupdated, name, symbolizer) FROM stdin;
\.


--
-- Data for Name: maplegendsetmaplegend; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY maplegendsetmaplegend (legendsetid, maplegendid) FROM stdin;
\.


--
-- Data for Name: mapmapviews; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY mapmapviews (mapid, mapviewid, sort_order) FROM stdin;
\.


--
-- Data for Name: mapusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY mapusergroupaccesses (mapid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: mapview; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY mapview (mapviewid, uid, created, lastupdated, layer, relativeperiodsid, programid, userorganisationunit, userorganisationunitchildren, userorganisationunitgrandchildren, method, classes, colorlow, colorhigh, legendsetid, radiuslow, radiushigh, opacity, orgunitgroupsetid, arearadius, hidden, labels, labelfontsize, labelfontweight, labelfontstyle, labelfontcolor) FROM stdin;
\.


--
-- Data for Name: mapview_datadimensionitems; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY mapview_datadimensionitems (mapviewid, datadimensionitemid, sort_order) FROM stdin;
\.


--
-- Data for Name: mapview_itemorgunitgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY mapview_itemorgunitgroups (mapviewid, orgunitgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: mapview_organisationunits; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY mapview_organisationunits (mapviewid, organisationunitid, sort_order) FROM stdin;
\.


--
-- Data for Name: mapview_orgunitlevels; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY mapview_orgunitlevels (mapviewid, orgunitlevel, sort_order) FROM stdin;
\.


--
-- Data for Name: mapview_periods; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY mapview_periods (mapviewid, periodid, sort_order) FROM stdin;
\.


--
-- Data for Name: message; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY message (messageid, uid, created, lastupdated, messagetext, metadata, userid) FROM stdin;
\.


--
-- Data for Name: messageconversation; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY messageconversation (messageconversationid, uid, created, lastupdated, subject, lastsenderid, lastmessage, userid) FROM stdin;
\.


--
-- Data for Name: messageconversation_messages; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY messageconversation_messages (messageconversationid, messageid, sort_order) FROM stdin;
\.


--
-- Data for Name: messageconversation_usermessages; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY messageconversation_usermessages (messageconversationid, usermessageid) FROM stdin;
\.


--
-- Data for Name: metadatafilter; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY metadatafilter (metadatafilterid, uid, code, created, lastupdated, name, description, jsonfilter) FROM stdin;
\.


--
-- Data for Name: minmaxdataelement; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY minmaxdataelement (minmaxdataelementid, sourceid, dataelementid, categoryoptioncomboid, minimumvalue, maximumvalue, generatedvalue) FROM stdin;
\.


--
-- Data for Name: oauth2client; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY oauth2client (oauth2clientid, uid, code, created, lastupdated, name, cid, secret) FROM stdin;
\.


--
-- Data for Name: oauth2clientgranttypes; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY oauth2clientgranttypes (oauth2clientid, granttype, sort_order) FROM stdin;
\.


--
-- Data for Name: oauth2clientredirecturis; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY oauth2clientredirecturis (oauth2clientid, redirecturi, sort_order) FROM stdin;
\.


--
-- Data for Name: oauth_access_token; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY oauth_access_token (token_id, token, authentication_id, user_name, client_id, authentication, refresh_token) FROM stdin;
\.


--
-- Data for Name: oauth_code; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY oauth_code (code, authentication) FROM stdin;
\.


--
-- Data for Name: oauth_refresh_token; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY oauth_refresh_token (token_id, token, authentication) FROM stdin;
\.


--
-- Data for Name: optionattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY optionattributevalues (optionvalueid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: optionset; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY optionset (optionsetid, uid, code, created, lastupdated, name, valuetype, version, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: optionsetattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY optionsetattributevalues (optionsetid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: optionsetusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY optionsetusergroupaccesses (optionsetid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: optionvalue; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY optionvalue (optionvalueid, uid, code, created, lastupdated, name, optionsetid, sort_order) FROM stdin;
\.


--
-- Data for Name: organisationunit; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY organisationunit (organisationunitid, uid, code, created, lastupdated, name, shortname, parentid, path, hierarchylevel, uuid, description, openingdate, closeddate, comment, featuretype, coordinates, url, contactperson, address, email, phonenumber, userid) FROM stdin;
49	y5YjNPFy11j	\N	2016-02-08 19:18:26.299	2016-02-08 19:18:26.32	test	test	\N	/y5YjNPFy11j	1	648ba0db-5050-4ab5-ae4e-a44878eb286c		2016-02-08	\N	\N	NONE	\N	\N	\N	\N	\N	\N	46
\.


--
-- Data for Name: organisationunitattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY organisationunitattributevalues (organisationunitid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: orgunitgroup; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY orgunitgroup (orgunitgroupid, uid, code, created, lastupdated, name, shortname, symbol, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: orgunitgroupattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY orgunitgroupattributevalues (orgunitgroupid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: orgunitgroupmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY orgunitgroupmembers (organisationunitid, orgunitgroupid) FROM stdin;
\.


--
-- Data for Name: orgunitgroupset; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY orgunitgroupset (orgunitgroupsetid, uid, code, created, lastupdated, name, description, compulsory, datadimension, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: orgunitgroupsetattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY orgunitgroupsetattributevalues (orgunitgroupsetid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: orgunitgroupsetmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY orgunitgroupsetmembers (orgunitgroupid, orgunitgroupsetid) FROM stdin;
\.


--
-- Data for Name: orgunitgroupsetusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY orgunitgroupsetusergroupaccesses (orgunitgroupsetid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: orgunitgroupusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY orgunitgroupusergroupaccesses (orgunitgroupid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: orgunitlevel; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY orgunitlevel (orgunitlevelid, uid, code, created, lastupdated, name, level, offlinelevels) FROM stdin;
50	B0zDjm00eBE	\N	2016-02-08 19:18:30.885	2016-02-08 19:18:30.885	Level 1	1	\N
\.


--
-- Data for Name: outbound_sms; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY outbound_sms (id, date, message, status, sender) FROM stdin;
\.


--
-- Data for Name: outbound_sms_recipients; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY outbound_sms_recipients (outbound_sms_id, elt) FROM stdin;
\.


--
-- Data for Name: period; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY period (periodid, periodtypeid, startdate, enddate) FROM stdin;
55	1	2016-02-06	2016-02-06
56	1	2016-02-07	2016-02-07
57	1	2016-02-02	2016-02-02
58	1	2016-01-31	2016-01-31
59	1	2016-02-01	2016-02-01
\.


--
-- Data for Name: periodtype; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY periodtype (periodtypeid, name) FROM stdin;
1	Daily
2	Weekly
3	Monthly
4	BiMonthly
5	Quarterly
6	SixMonthly
7	SixMonthlyApril
8	Yearly
9	FinancialApril
10	FinancialJuly
11	FinancialOct
\.


--
-- Data for Name: program; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY program (programid, uid, code, created, lastupdated, name, shortname, description, version, enrollmentdatelabel, incidentdatelabel, type, displayincidentdate, onlyenrollonce, skipoffline, displayfrontpagelist, ignoreoverdueevents, selectenrollmentdatesinfuture, selectincidentdatesinfuture, relationshiptext, relationshiptypeid, relationshipfroma, relatedprogramid, dataentrymethod, categorycomboid, trackedentityid, dataentryformid, workflowid, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: program_attributes; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY program_attributes (programtrackedentityattributeid, uid, code, created, lastupdated, programid, trackedentityattributeid, displayinlist, mandatory, allowfuturedate, sort_order) FROM stdin;
\.


--
-- Data for Name: program_criteria; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY program_criteria (programid, validationcriteriaid) FROM stdin;
\.


--
-- Data for Name: program_organisationunits; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY program_organisationunits (programid, organisationunitid) FROM stdin;
\.


--
-- Data for Name: program_userroles; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY program_userroles (programid, userroleid) FROM stdin;
\.


--
-- Data for Name: programattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programattributevalues (programid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: programdataelement; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programdataelement (programdataelementid, uid, code, created, lastupdated, programid, dataelementid) FROM stdin;
\.


--
-- Data for Name: programexpression; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programexpression (programexpressionid, description, expression) FROM stdin;
\.


--
-- Data for Name: programindicator; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programindicator (programindicatorid, uid, code, created, lastupdated, name, shortname, description, programid, expression, filter, aggregationtype, decimals, legendsetid, displayinform, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: programindicatorusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programindicatorusergroupaccesses (programindicatorid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: programinstance; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programinstance (programinstanceid, uid, created, lastupdated, incidentdate, enrollmentdate, enddate, followup, completedby, status, trackedentityinstanceid, programid, organisationunitid) FROM stdin;
\.


--
-- Data for Name: programinstance_messageconversation; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programinstance_messageconversation (programinstanceid, messageconversationid, sort_order) FROM stdin;
\.


--
-- Data for Name: programinstance_outboundsms; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programinstance_outboundsms (programinstanceid, outboundsmsid, sort_order) FROM stdin;
\.


--
-- Data for Name: programinstancecomments; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programinstancecomments (programinstanceid, trackedentitycommentid, sort_order) FROM stdin;
\.


--
-- Data for Name: programrule; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programrule (programruleid, uid, code, created, lastupdated, name, description, programid, programstageid, rulecondition, priority) FROM stdin;
\.


--
-- Data for Name: programruleaction; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programruleaction (programruleactionid, uid, code, created, lastupdated, programruleid, actiontype, dataelementid, trackedentityattributeid, programindicatorid, programstagesectionid, programstageid, location, content, data) FROM stdin;
\.


--
-- Data for Name: programrulevariable; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programrulevariable (programrulevariableid, uid, code, created, lastupdated, name, programid, sourcetype, trackedentityattributeid, dataelementid, programstageid) FROM stdin;
\.


--
-- Data for Name: programstage; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programstage (programstageid, uid, code, created, lastupdated, name, description, mindaysfromstart, programid, repeatable, dataentryformid, standardinterval, excecutiondatelabel, autogenerateevent, validcompleteonly, displaygenerateeventbox, capturecoordinates, generatedbyenrollmentdate, blockentryform, remindcompleted, allowgeneratenextvisit, openafterenrollment, reportdatetouse, pregenerateuid, hideduedate, sort_order, periodtypeid) FROM stdin;
\.


--
-- Data for Name: programstageattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programstageattributevalues (programstageid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: programstagedataelement; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programstagedataelement (programstagedataelementid, uid, code, created, lastupdated, programstageid, dataelementid, compulsory, allowprovidedelsewhere, sort_order, displayinreports, allowfuturedate, programstagesectionid, section_sort_order) FROM stdin;
\.


--
-- Data for Name: programstageinstance; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programstageinstance (programstageinstanceid, uid, created, lastupdated, programinstanceid, programstageid, attributeoptioncomboid, storedby, duedate, executiondate, organisationunitid, status, longitude, latitude, completedby, completeddate) FROM stdin;
\.


--
-- Data for Name: programstageinstance_messageconversation; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programstageinstance_messageconversation (programstageinstanceid, messageconversationid, sort_order) FROM stdin;
\.


--
-- Data for Name: programstageinstance_outboundsms; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programstageinstance_outboundsms (programstageinstanceid, outboundsmsid, sort_order) FROM stdin;
\.


--
-- Data for Name: programstageinstancecomments; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programstageinstancecomments (programstageinstanceid, trackedentitycommentid, sort_order) FROM stdin;
\.


--
-- Data for Name: programstagesection; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programstagesection (programstagesectionid, uid, code, created, lastupdated, name, programstageid, sortorder) FROM stdin;
\.


--
-- Data for Name: programstagesection_programindicators; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programstagesection_programindicators (programstagesectionid, programindicatorid, sort_order) FROM stdin;
\.


--
-- Data for Name: programusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programusergroupaccesses (programid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: programvalidation; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY programvalidation (programvalidationid, uid, code, created, lastupdated, name, leftprogramexpressionid, operator, rightprogramexpressionid, programid) FROM stdin;
\.


--
-- Data for Name: relationship; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY relationship (relationshipid, trackedentityinstanceaid, relationshiptypeid, trackedentityinstancebid) FROM stdin;
\.


--
-- Data for Name: relationshiptype; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY relationshiptype (relationshiptypeid, uid, code, created, lastupdated, name, a_is_to_b, b_is_to_a) FROM stdin;
\.


--
-- Data for Name: relativeperiods; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY relativeperiods (relativeperiodsid, thismonth, lastmonth, thisbimonth, lastbimonth, thisquarter, lastquarter, thissixmonth, lastsixmonth, monthsthisyear, quartersthisyear, thisyear, monthslastyear, quarterslastyear, lastyear, last5years, last12months, last6months, last3months, last6bimonths, last4quarters, last2sixmonths, thisfinancialyear, lastfinancialyear, last5financialyears, thisweek, lastweek, last4weeks, last12weeks, last52weeks) FROM stdin;
\.


--
-- Data for Name: report; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY report (reportid, uid, code, created, lastupdated, name, type, designcontent, reporttableid, relativeperiodsid, paramreportingmonth, paramorganisationunit, cachestrategy, externalaccess, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: reporttable; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable (reporttableid, uid, code, created, lastupdated, name, regression, cumulative, relativeperiodsid, programid, paramreportingmonth, paramgrandparentorganisationunit, paramparentorganisationunit, paramorganisationunit, sortorder, toplimit, rowtotals, coltotals, rowsubtotals, colsubtotals, hideemptyrows, aggregationtype, completedonly, digitgroupseparator, displaydensity, fontsize, userorganisationunit, userorganisationunitchildren, userorganisationunitgrandchildren, legendsetid, showhierarchy, showdimensionlabels, skiprounding, externalaccess, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: reporttable_categorydimensions; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_categorydimensions (reporttableid, categorydimensionid, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_categoryoptiongroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_categoryoptiongroups (reporttableid, categoryoptiongroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_columns; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_columns (reporttableid, dimension, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_datadimensionitems; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_datadimensionitems (reporttableid, datadimensionitemid, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_dataelementgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_dataelementgroups (reporttableid, dataelementgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_filters; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_filters (reporttableid, dimension, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_itemorgunitgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_itemorgunitgroups (reporttableid, orgunitgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_organisationunits; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_organisationunits (reporttableid, organisationunitid, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_orgunitgroups; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_orgunitgroups (reporttableid, orgunitgroupid, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_orgunitlevels; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_orgunitlevels (reporttableid, orgunitlevel, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_periods; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_periods (reporttableid, periodid, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttable_rows; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttable_rows (reporttableid, dimension, sort_order) FROM stdin;
\.


--
-- Data for Name: reporttableusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reporttableusergroupaccesses (reporttableid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: reportusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY reportusergroupaccesses (reportid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: section; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY section (sectionid, uid, code, created, lastupdated, name, description, datasetid, sortorder) FROM stdin;
\.


--
-- Data for Name: sectiondataelements; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY sectiondataelements (sectionid, dataelementid, sort_order) FROM stdin;
\.


--
-- Data for Name: sectiongreyedfields; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY sectiongreyedfields (sectionid, dataelementoperandid) FROM stdin;
\.


--
-- Data for Name: sectionindicators; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY sectionindicators (sectionid, indicatorid, sort_order) FROM stdin;
\.


--
-- Data for Name: smscodes; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY smscodes (smscodeid, code, formula, dataelementid, trackedentityattributeid, optionid) FROM stdin;
\.


--
-- Data for Name: smscommandcodes; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY smscommandcodes (id, codeid) FROM stdin;
\.


--
-- Data for Name: smscommands; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY smscommands (smscommandid, name, parser, parsertype, separatorkey, codeseparator, defaultmessage, receivedmessage, wrongformatmessage, nousermessage, morethanoneorgunitmessage, successmessage, currentperiodusedforreporting, completenessmethod, datasetid, usergroupid, programid) FROM stdin;
\.


--
-- Data for Name: smscommandspecialcharacters; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY smscommandspecialcharacters (smscommandid, specialcharacterid) FROM stdin;
\.


--
-- Data for Name: smsspecialcharacter; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY smsspecialcharacter (specialcharacterid, name, value) FROM stdin;
\.


--
-- Data for Name: sqlview; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY sqlview (sqlviewid, uid, code, created, lastupdated, name, description, sqlquery, type, cachestrategy, externalaccess, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: sqlviewusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY sqlviewusergroupaccesses (sqlviewid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: systemsetting; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY systemsetting (systemsettingid, name, value) FROM stdin;
\.


--
-- Data for Name: trackedentity; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentity (trackedentityid, uid, code, created, lastupdated, name, description) FROM stdin;
16	PMKf0CCigg7	\N	\N	\N	Person	Person
\.


--
-- Data for Name: trackedentityattribute; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityattribute (trackedentityattributeid, uid, code, created, lastupdated, name, shortname, description, valuetype, aggregationtype, trackedentityattributegroupid, optionsetid, trackedentityid, legendsetid, inherit, expression, displayonvisitschedule, sortorderinvisitschedule, displayinlistnoprogram, sortorderinlistnoprogram, confidential, uniquefield, orgunitscope, programscope, userid, publicaccess, sort_order) FROM stdin;
\.


--
-- Data for Name: trackedentityattributeattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityattributeattributevalues (trackedentityattributeid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: trackedentityattributedimension; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityattributedimension (trackedentityattributedimensionid, trackedentityattributeid, legendsetid, filter) FROM stdin;
\.


--
-- Data for Name: trackedentityattributegroup; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityattributegroup (trackedentityattributegroupid, uid, code, created, lastupdated, name, description, sortorder) FROM stdin;
\.


--
-- Data for Name: trackedentityattributeusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityattributeusergroupaccesses (trackedentityattributeid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: trackedentityattributevalue; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityattributevalue (trackedentityinstanceid, trackedentityattributeid, created, lastupdated, value, encryptedvalue) FROM stdin;
\.


--
-- Data for Name: trackedentityattributevalueaudit; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityattributevalueaudit (trackedentityattributevalueauditid, trackedentityinstanceid, trackedentityattributeid, value, encryptedvalue, created, modifiedby, audittype) FROM stdin;
\.


--
-- Data for Name: trackedentityattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityattributevalues (trackedentityid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: trackedentitycomment; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentitycomment (trackedentitycommentid, commenttext, createddate, creator) FROM stdin;
\.


--
-- Data for Name: trackedentitydataelementdimension; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentitydataelementdimension (trackedentitydataelementdimensionid, dataelementid, legendsetid, filter) FROM stdin;
\.


--
-- Data for Name: trackedentitydatavalue; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentitydatavalue (programstageinstanceid, dataelementid, value, created, lastupdated, providedelsewhere, storedby) FROM stdin;
\.


--
-- Data for Name: trackedentitydatavalueaudit; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentitydatavalueaudit (trackedentitydatavalueauditid, programstageinstanceid, dataelementid, value, created, providedelsewhere, modifiedby, audittype) FROM stdin;
\.


--
-- Data for Name: trackedentityinstance; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityinstance (trackedentityinstanceid, uid, code, created, lastupdated, inactive, representativeid, organisationunitid, trackedentityid) FROM stdin;
\.


--
-- Data for Name: trackedentityinstancereminder; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityinstancereminder (trackedentityinstancereminderid, uid, code, created, lastupdated, name, daysallowedsendmessage, templatemessage, datetocompare, sendto, whentosend, messagetype, usergroupid, programid, programstageid) FROM stdin;
\.


--
-- Data for Name: trackedentityprogramindicatordimension; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY trackedentityprogramindicatordimension (trackedentityprogramindicatordimensionid, programindicatorid, legendsetid, filter) FROM stdin;
\.


--
-- Data for Name: translation; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY translation (translationid, uid, code, created, lastupdated, objectclass, objectuid, locale, objectproperty, value) FROM stdin;
\.


--
-- Data for Name: userapps; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY userapps (userinfoid, app, sort_order) FROM stdin;
\.


--
-- Data for Name: userattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY userattributevalues (userinfoid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: userdatavieworgunits; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY userdatavieworgunits (userinfoid, organisationunitid) FROM stdin;
\.


--
-- Data for Name: usergroup; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY usergroup (usergroupid, uid, code, created, lastupdated, name, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: usergroupaccess; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY usergroupaccess (usergroupaccessid, access, usergroupid) FROM stdin;
\.


--
-- Data for Name: usergroupattributevalues; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY usergroupattributevalues (usergroupid, attributevalueid) FROM stdin;
\.


--
-- Data for Name: usergroupmanaged; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY usergroupmanaged (managedbygroupid, managedgroupid) FROM stdin;
\.


--
-- Data for Name: usergroupmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY usergroupmembers (userid, usergroupid) FROM stdin;
\.


--
-- Data for Name: usergroupusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY usergroupusergroupaccesses (usergroupid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: userinfo; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY userinfo (userinfoid, uid, code, lastupdated, created, surname, firstname, email, phonenumber, jobtitle, introduction, gender, birthday, nationality, employer, education, interests, languages, lastcheckedinterpretations) FROM stdin;
46	ZCwe4C9iPtm	\N	2016-02-08 19:18:01.568	2016-02-08 19:18:01.568	admin	admin	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
\.


--
-- Data for Name: usermembership; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY usermembership (userinfoid, organisationunitid) FROM stdin;
46	49
\.


--
-- Data for Name: usermessage; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY usermessage (usermessageid, usermessagekey, userid, isread, isfollowup) FROM stdin;
\.


--
-- Data for Name: userrole; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY userrole (userroleid, uid, code, created, lastupdated, name, description, userid, publicaccess) FROM stdin;
47	XZ9RXy77HPj	\N	2016-02-08 19:18:01.606	2016-02-08 19:18:01.606	Superuser	\N	\N	--------
\.


--
-- Data for Name: userroleauthorities; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY userroleauthorities (userroleid, authority) FROM stdin;
47	F_TRACKED_ENTITY_INSTANCE_SEARCH_IN_ALL_ORGUNITS
47	ALL
47	F_USERGROUP_MANAGING_RELATIONSHIPS_ADD
47	F_REPORTTABLE_PUBLIC_ADD
47	F_TRACKED_ENTITY_INSTANCE_DELETE
47	F_USER_GROUPS_READ_ONLY_ADD_MEMBERS
47	F_MAP_PUBLIC_ADD
47	F_USER_ADD_WITHIN_MANAGED_GROUP
47	F_TRACKED_ENTITY_INSTANCE_SEARCH
47	F_PROGRAM_ENROLLMENT
47	F_REPORTTABLE_EXTERNAL
47	F_SQLVIEW_EXTERNAL
47	F_GIS_ADMIN
47	F_REPLICATE_USER
47	F_INSERT_CUSTOM_JS_CSS
47	F_DASHBOARD_PUBLIC_ADD
47	F_METADATA_IMPORT
47	F_CHART_PUBLIC_ADD
47	F_VIEW_UNAPPROVED_DATA
47	F_CHART_EXTERNAL
47	F_USERGROUP_MANAGING_RELATIONSHIPS_VIEW
47	F_METADATA_EXPORT
47	F_PROGRAM_UNENROLLMENT
47	F_APPROVE_DATA
47	F_ACCEPT_DATA_LOWER_LEVELS
47	F_TRACKED_ENTITY_INSTANCE_ADD
47	F_USERGROUP_PUBLIC_ADD
47	F_OAUTH2_CLIENT_MANAGE
47	F_TRACKED_ENTITY_DATAVALUE_ADD
47	F_PROGRAM_DASHBOARD_CONFIG_ADMIN
47	F_MAP_EXTERNAL
47	F_APPROVE_DATA_LOWER_LEVELS
47	F_TRACKED_ENTITY_DATAVALUE_DELETE
\.


--
-- Data for Name: userroledataset; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY userroledataset (userroleid, datasetid) FROM stdin;
\.


--
-- Data for Name: userrolemembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY userrolemembers (userroleid, userid) FROM stdin;
47	46
\.


--
-- Data for Name: userroleusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY userroleusergroupaccesses (userroleid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: users; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY users (userid, creatoruserid, username, password, externalauth, openid, ldapid, passwordlastupdated, lastlogin, restoretoken, restorecode, restoreexpiry, selfregistered, invitation, disabled, created) FROM stdin;
46	\N	admin	$2a$10$MMUeEm2/egksrH/xAgytauItdphOBC8yEMCcrfUOZQtfdE22L1C6W	f	\N	\N	2016-02-08 19:18:01.617	2016-02-08 19:18:01.617	\N	\N	\N	f	f	f	2016-02-08 19:18:01.699
\.


--
-- Data for Name: users_catdimensionconstraints; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY users_catdimensionconstraints (userid, dataelementcategoryid) FROM stdin;
\.


--
-- Data for Name: users_cogsdimensionconstraints; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY users_cogsdimensionconstraints (userid, categoryoptiongroupsetid) FROM stdin;
\.


--
-- Data for Name: usersetting; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY usersetting (userinfoid, name, value) FROM stdin;
\.


--
-- Data for Name: validationcriteria; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY validationcriteria (validationcriteriaid, uid, code, created, lastupdated, name, description, property, operator, value) FROM stdin;
\.


--
-- Data for Name: validationrule; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY validationrule (validationruleid, uid, code, created, lastupdated, name, description, instruction, importance, ruletype, operator, leftexpressionid, rightexpressionid, organisationunitlevel, periodtypeid, sequentialsamplecount, annualsamplecount) FROM stdin;
\.


--
-- Data for Name: validationrulegroup; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY validationrulegroup (validationrulegroupid, uid, code, created, lastupdated, name, description, alertbyorgunits, userid, publicaccess) FROM stdin;
\.


--
-- Data for Name: validationrulegroupmembers; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY validationrulegroupmembers (validationruleid, validationgroupid) FROM stdin;
\.


--
-- Data for Name: validationrulegroupusergroupaccesses; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY validationrulegroupusergroupaccesses (validationrulegroupid, usergroupaccessid) FROM stdin;
\.


--
-- Data for Name: validationrulegroupusergroupstoalert; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY validationrulegroupusergroupstoalert (validationgroupid, usergroupid) FROM stdin;
\.


--
-- Data for Name: version; Type: TABLE DATA; Schema: public; Owner: dhis
--

COPY version (versionid, versionkey, versionvalue) FROM stdin;
48	organisationUnit	f2ed419a-ead1-4937-80d9-d0999c526671
\.


--
-- Name: attribute_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY attribute
    ADD CONSTRAINT attribute_pkey PRIMARY KEY (attributeid);


--
-- Name: attributevalue_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY attributevalue
    ADD CONSTRAINT attributevalue_pkey PRIMARY KEY (attributevalueid);


--
-- Name: caseaggregationcondition_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY caseaggregationcondition
    ADD CONSTRAINT caseaggregationcondition_pkey PRIMARY KEY (caseaggregationconditionid);


--
-- Name: categories_categoryoptions_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categories_categoryoptions
    ADD CONSTRAINT categories_categoryoptions_pkey PRIMARY KEY (categoryid, sort_order);


--
-- Name: categorycombo_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categorycombo
    ADD CONSTRAINT categorycombo_pkey PRIMARY KEY (categorycomboid);


--
-- Name: categorycombos_categories_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categorycombos_categories
    ADD CONSTRAINT categorycombos_categories_pkey PRIMARY KEY (categorycomboid, sort_order);


--
-- Name: categorycombos_optioncombos_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categorycombos_optioncombos
    ADD CONSTRAINT categorycombos_optioncombos_pkey PRIMARY KEY (categoryoptioncomboid);


--
-- Name: categorycombousergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categorycombousergroupaccesses
    ADD CONSTRAINT categorycombousergroupaccesses_pkey PRIMARY KEY (categorycomboid, usergroupaccessid);


--
-- Name: categorydimension_items_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categorydimension_items
    ADD CONSTRAINT categorydimension_items_pkey PRIMARY KEY (categorydimensionid, sort_order);


--
-- Name: categorydimension_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categorydimension
    ADD CONSTRAINT categorydimension_pkey PRIMARY KEY (categorydimensionid);


--
-- Name: categoryoption_organisationunits_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoption_organisationunits
    ADD CONSTRAINT categoryoption_organisationunits_pkey PRIMARY KEY (categoryoptionid, organisationunitid);


--
-- Name: categoryoptioncombo_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptioncombo
    ADD CONSTRAINT categoryoptioncombo_pkey PRIMARY KEY (categoryoptioncomboid);


--
-- Name: categoryoptioncombos_categoryoptions_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptioncombos_categoryoptions
    ADD CONSTRAINT categoryoptioncombos_categoryoptions_pkey PRIMARY KEY (categoryoptioncomboid, categoryoptionid);


--
-- Name: categoryoptiongroup_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroup
    ADD CONSTRAINT categoryoptiongroup_pkey PRIMARY KEY (categoryoptiongroupid);


--
-- Name: categoryoptiongroupattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupattributevalues
    ADD CONSTRAINT categoryoptiongroupattributevalues_pkey PRIMARY KEY (categoryoptiongroupid, attributevalueid);


--
-- Name: categoryoptiongroupmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupmembers
    ADD CONSTRAINT categoryoptiongroupmembers_pkey PRIMARY KEY (categoryoptiongroupid, categoryoptionid);


--
-- Name: categoryoptiongroupset_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupset
    ADD CONSTRAINT categoryoptiongroupset_pkey PRIMARY KEY (categoryoptiongroupsetid);


--
-- Name: categoryoptiongroupsetmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupsetmembers
    ADD CONSTRAINT categoryoptiongroupsetmembers_pkey PRIMARY KEY (categoryoptiongroupsetid, sort_order);


--
-- Name: categoryoptiongroupsetusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupsetusergroupaccesses
    ADD CONSTRAINT categoryoptiongroupsetusergroupaccesses_pkey PRIMARY KEY (categoryoptiongroupsetid, usergroupaccessid);


--
-- Name: categoryoptiongroupusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupusergroupaccesses
    ADD CONSTRAINT categoryoptiongroupusergroupaccesses_pkey PRIMARY KEY (categoryoptiongroupid, usergroupaccessid);


--
-- Name: chart_categorydimensions_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart_categorydimensions
    ADD CONSTRAINT chart_categorydimensions_pkey PRIMARY KEY (chartid, sort_order);


--
-- Name: chart_categoryoptiongroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart_categoryoptiongroups
    ADD CONSTRAINT chart_categoryoptiongroups_pkey PRIMARY KEY (chartid, sort_order);


--
-- Name: chart_datadimensionitems_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart_datadimensionitems
    ADD CONSTRAINT chart_datadimensionitems_pkey PRIMARY KEY (chartid, sort_order);


--
-- Name: chart_dataelementgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart_dataelementgroups
    ADD CONSTRAINT chart_dataelementgroups_pkey PRIMARY KEY (chartid, sort_order);


--
-- Name: chart_filters_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart_filters
    ADD CONSTRAINT chart_filters_pkey PRIMARY KEY (chartid, sort_order);


--
-- Name: chart_itemorgunitgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart_itemorgunitgroups
    ADD CONSTRAINT chart_itemorgunitgroups_pkey PRIMARY KEY (chartid, sort_order);


--
-- Name: chart_organisationunits_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart_organisationunits
    ADD CONSTRAINT chart_organisationunits_pkey PRIMARY KEY (chartid, sort_order);


--
-- Name: chart_orgunitgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart_orgunitgroups
    ADD CONSTRAINT chart_orgunitgroups_pkey PRIMARY KEY (chartid, sort_order);


--
-- Name: chart_orgunitlevels_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart_orgunitlevels
    ADD CONSTRAINT chart_orgunitlevels_pkey PRIMARY KEY (chartid, sort_order);


--
-- Name: chart_periods_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart_periods
    ADD CONSTRAINT chart_periods_pkey PRIMARY KEY (chartid, sort_order);


--
-- Name: chart_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart
    ADD CONSTRAINT chart_pkey PRIMARY KEY (chartid);


--
-- Name: chartusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chartusergroupaccesses
    ADD CONSTRAINT chartusergroupaccesses_pkey PRIMARY KEY (chartid, usergroupaccessid);


--
-- Name: color_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY color
    ADD CONSTRAINT color_pkey PRIMARY KEY (colorid);


--
-- Name: colorset_colors_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY colorset_colors
    ADD CONSTRAINT colorset_colors_pkey PRIMARY KEY (colorsetid, sort_order);


--
-- Name: colorset_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY colorset
    ADD CONSTRAINT colorset_pkey PRIMARY KEY (colorsetid);


--
-- Name: completedatasetregistration_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY completedatasetregistration
    ADD CONSTRAINT completedatasetregistration_pkey PRIMARY KEY (datasetid, periodid, sourceid, attributeoptioncomboid);


--
-- Name: configuration_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY configuration
    ADD CONSTRAINT configuration_pkey PRIMARY KEY (configurationid);


--
-- Name: constant_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY constant
    ADD CONSTRAINT constant_pkey PRIMARY KEY (constantid);


--
-- Name: constantusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY constantusergroupaccesses
    ADD CONSTRAINT constantusergroupaccesses_pkey PRIMARY KEY (constantid, usergroupaccessid);


--
-- Name: dashboard_items_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboard_items
    ADD CONSTRAINT dashboard_items_pkey PRIMARY KEY (dashboardid, sort_order);


--
-- Name: dashboard_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboard
    ADD CONSTRAINT dashboard_pkey PRIMARY KEY (dashboardid);


--
-- Name: dashboarditem_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboarditem
    ADD CONSTRAINT dashboarditem_pkey PRIMARY KEY (dashboarditemid);


--
-- Name: dashboarditem_reports_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboarditem_reports
    ADD CONSTRAINT dashboarditem_reports_pkey PRIMARY KEY (dashboarditemid, sort_order);


--
-- Name: dashboarditem_resources_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboarditem_resources
    ADD CONSTRAINT dashboarditem_resources_pkey PRIMARY KEY (dashboarditemid, sort_order);


--
-- Name: dashboarditem_users_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboarditem_users
    ADD CONSTRAINT dashboarditem_users_pkey PRIMARY KEY (dashboarditemid, sort_order);


--
-- Name: dashboardusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboardusergroupaccesses
    ADD CONSTRAINT dashboardusergroupaccesses_pkey PRIMARY KEY (dashboardid, usergroupaccessid);


--
-- Name: dataapproval_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapproval
    ADD CONSTRAINT dataapproval_pkey PRIMARY KEY (dataapprovalid);


--
-- Name: dataapproval_unique_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapproval
    ADD CONSTRAINT dataapproval_unique_key UNIQUE (dataapprovallevelid, workflowid, periodid, organisationunitid, attributeoptioncomboid);


--
-- Name: dataapprovallevel_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovallevel
    ADD CONSTRAINT dataapprovallevel_pkey PRIMARY KEY (dataapprovallevelid);


--
-- Name: dataapprovallevelusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovallevelusergroupaccesses
    ADD CONSTRAINT dataapprovallevelusergroupaccesses_pkey PRIMARY KEY (dataapprovallevelid, usergroupaccessid);


--
-- Name: dataapprovalworkflow_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovalworkflow
    ADD CONSTRAINT dataapprovalworkflow_pkey PRIMARY KEY (workflowid);


--
-- Name: dataapprovalworkflowlevels_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovalworkflowlevels
    ADD CONSTRAINT dataapprovalworkflowlevels_pkey PRIMARY KEY (workflowid, dataapprovallevelid);


--
-- Name: dataapprovalworkflowusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovalworkflowusergroupaccesses
    ADD CONSTRAINT dataapprovalworkflowusergroupaccesses_pkey PRIMARY KEY (workflowid, usergroupaccessid);


--
-- Name: datadimensionitem_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datadimensionitem
    ADD CONSTRAINT datadimensionitem_pkey PRIMARY KEY (datadimensionitemid);


--
-- Name: dataelement_code_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT dataelement_code_key UNIQUE (code);


--
-- Name: dataelement_operand_unique_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementoperand
    ADD CONSTRAINT dataelement_operand_unique_key UNIQUE (dataelementid, categoryoptioncomboid);


--
-- Name: dataelement_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT dataelement_pkey PRIMARY KEY (dataelementid);


--
-- Name: dataelementaggregationlevels_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementaggregationlevels
    ADD CONSTRAINT dataelementaggregationlevels_pkey PRIMARY KEY (dataelementid, sort_order);


--
-- Name: dataelementattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementattributevalues
    ADD CONSTRAINT dataelementattributevalues_pkey PRIMARY KEY (dataelementid, attributevalueid);


--
-- Name: dataelementcategory_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategory
    ADD CONSTRAINT dataelementcategory_pkey PRIMARY KEY (categoryid);


--
-- Name: dataelementcategoryoption_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryoption
    ADD CONSTRAINT dataelementcategoryoption_pkey PRIMARY KEY (categoryoptionid);


--
-- Name: dataelementcategoryoptionattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryoptionattributevalues
    ADD CONSTRAINT dataelementcategoryoptionattributevalues_pkey PRIMARY KEY (categoryoptionid, attributevalueid);


--
-- Name: dataelementcategoryoptionusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryoptionusergroupaccesses
    ADD CONSTRAINT dataelementcategoryoptionusergroupaccesses_pkey PRIMARY KEY (categoryoptionid, usergroupaccessid);


--
-- Name: dataelementcategoryusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryusergroupaccesses
    ADD CONSTRAINT dataelementcategoryusergroupaccesses_pkey PRIMARY KEY (categoryid, usergroupaccessid);


--
-- Name: dataelementgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroup
    ADD CONSTRAINT dataelementgroup_pkey PRIMARY KEY (dataelementgroupid);


--
-- Name: dataelementgroupattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupattributevalues
    ADD CONSTRAINT dataelementgroupattributevalues_pkey PRIMARY KEY (dataelementgroupid, attributevalueid);


--
-- Name: dataelementgroupmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupmembers
    ADD CONSTRAINT dataelementgroupmembers_pkey PRIMARY KEY (dataelementgroupid, dataelementid);


--
-- Name: dataelementgroupset_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupset
    ADD CONSTRAINT dataelementgroupset_pkey PRIMARY KEY (dataelementgroupsetid);


--
-- Name: dataelementgroupsetmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupsetmembers
    ADD CONSTRAINT dataelementgroupsetmembers_pkey PRIMARY KEY (dataelementgroupsetid, sort_order);


--
-- Name: dataelementgroupsetusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupsetusergroupaccesses
    ADD CONSTRAINT dataelementgroupsetusergroupaccesses_pkey PRIMARY KEY (dataelementgroupsetid, usergroupaccessid);


--
-- Name: dataelementgroupusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupusergroupaccesses
    ADD CONSTRAINT dataelementgroupusergroupaccesses_pkey PRIMARY KEY (dataelementgroupid, usergroupaccessid);


--
-- Name: dataelementoperand_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementoperand
    ADD CONSTRAINT dataelementoperand_pkey PRIMARY KEY (dataelementoperandid);


--
-- Name: dataelementusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementusergroupaccesses
    ADD CONSTRAINT dataelementusergroupaccesses_pkey PRIMARY KEY (dataelementid, usergroupaccessid);


--
-- Name: dataentryform_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataentryform
    ADD CONSTRAINT dataentryform_pkey PRIMARY KEY (dataentryformid);


--
-- Name: dataset_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataset
    ADD CONSTRAINT dataset_pkey PRIMARY KEY (datasetid);


--
-- Name: datasetattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datasetattributevalues
    ADD CONSTRAINT datasetattributevalues_pkey PRIMARY KEY (datasetid, attributevalueid);


--
-- Name: datasetindicators_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datasetindicators
    ADD CONSTRAINT datasetindicators_pkey PRIMARY KEY (datasetid, indicatorid);


--
-- Name: datasetmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datasetmembers
    ADD CONSTRAINT datasetmembers_pkey PRIMARY KEY (datasetid, dataelementid);


--
-- Name: datasetoperands_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datasetoperands
    ADD CONSTRAINT datasetoperands_pkey PRIMARY KEY (datasetid, dataelementoperandid);


--
-- Name: datasetsource_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datasetsource
    ADD CONSTRAINT datasetsource_pkey PRIMARY KEY (datasetid, sourceid);


--
-- Name: datasetusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datasetusergroupaccesses
    ADD CONSTRAINT datasetusergroupaccesses_pkey PRIMARY KEY (datasetid, usergroupaccessid);


--
-- Name: datavalue_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datavalue
    ADD CONSTRAINT datavalue_pkey PRIMARY KEY (dataelementid, periodid, sourceid, categoryoptioncomboid, attributeoptioncomboid);


--
-- Name: datavalueaudit_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datavalueaudit
    ADD CONSTRAINT datavalueaudit_pkey PRIMARY KEY (datavalueauditid);


--
-- Name: document_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY document
    ADD CONSTRAINT document_pkey PRIMARY KEY (documentid);


--
-- Name: documentattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY documentattributevalues
    ADD CONSTRAINT documentattributevalues_pkey PRIMARY KEY (documentid, attributevalueid);


--
-- Name: documentusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY documentusergroupaccesses
    ADD CONSTRAINT documentusergroupaccesses_pkey PRIMARY KEY (documentid, usergroupaccessid);


--
-- Name: eventchart_attributedimensions_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_attributedimensions
    ADD CONSTRAINT eventchart_attributedimensions_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchart_columns_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_columns
    ADD CONSTRAINT eventchart_columns_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchart_dataelementdimensions_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_dataelementdimensions
    ADD CONSTRAINT eventchart_dataelementdimensions_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchart_filters_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_filters
    ADD CONSTRAINT eventchart_filters_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchart_itemorgunitgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_itemorgunitgroups
    ADD CONSTRAINT eventchart_itemorgunitgroups_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchart_organisationunits_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_organisationunits
    ADD CONSTRAINT eventchart_organisationunits_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchart_orgunitgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_orgunitgroups
    ADD CONSTRAINT eventchart_orgunitgroups_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchart_orgunitlevels_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_orgunitlevels
    ADD CONSTRAINT eventchart_orgunitlevels_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchart_periods_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_periods
    ADD CONSTRAINT eventchart_periods_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchart_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart
    ADD CONSTRAINT eventchart_pkey PRIMARY KEY (eventchartid);


--
-- Name: eventchart_programindicatordimensions_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_programindicatordimensions
    ADD CONSTRAINT eventchart_programindicatordimensions_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchart_rows_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart_rows
    ADD CONSTRAINT eventchart_rows_pkey PRIMARY KEY (eventchartid, sort_order);


--
-- Name: eventchartusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchartusergroupaccesses
    ADD CONSTRAINT eventchartusergroupaccesses_pkey PRIMARY KEY (eventchartid, usergroupaccessid);


--
-- Name: eventreport_attributedimensions_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_attributedimensions
    ADD CONSTRAINT eventreport_attributedimensions_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreport_columns_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_columns
    ADD CONSTRAINT eventreport_columns_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreport_dataelementdimensions_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_dataelementdimensions
    ADD CONSTRAINT eventreport_dataelementdimensions_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreport_filters_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_filters
    ADD CONSTRAINT eventreport_filters_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreport_itemorgunitgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_itemorgunitgroups
    ADD CONSTRAINT eventreport_itemorgunitgroups_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreport_organisationunits_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_organisationunits
    ADD CONSTRAINT eventreport_organisationunits_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreport_orgunitgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_orgunitgroups
    ADD CONSTRAINT eventreport_orgunitgroups_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreport_orgunitlevels_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_orgunitlevels
    ADD CONSTRAINT eventreport_orgunitlevels_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreport_periods_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_periods
    ADD CONSTRAINT eventreport_periods_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreport_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport
    ADD CONSTRAINT eventreport_pkey PRIMARY KEY (eventreportid);


--
-- Name: eventreport_programindicatordimensions_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_programindicatordimensions
    ADD CONSTRAINT eventreport_programindicatordimensions_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreport_rows_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport_rows
    ADD CONSTRAINT eventreport_rows_pkey PRIMARY KEY (eventreportid, sort_order);


--
-- Name: eventreportusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreportusergroupaccesses
    ADD CONSTRAINT eventreportusergroupaccesses_pkey PRIMARY KEY (eventreportid, usergroupaccessid);


--
-- Name: expression_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY expression
    ADD CONSTRAINT expression_pkey PRIMARY KEY (expressionid);


--
-- Name: expressiondataelement_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY expressiondataelement
    ADD CONSTRAINT expressiondataelement_pkey PRIMARY KEY (expressionid, dataelementid);


--
-- Name: fileresource_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY fileresource
    ADD CONSTRAINT fileresource_pkey PRIMARY KEY (fileresourceid);


--
-- Name: i18nlocale_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY i18nlocale
    ADD CONSTRAINT i18nlocale_pkey PRIMARY KEY (i18nlocaleid);


--
-- Name: incomingsms_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY incomingsms
    ADD CONSTRAINT incomingsms_pkey PRIMARY KEY (id);


--
-- Name: indicator_code_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicator
    ADD CONSTRAINT indicator_code_key UNIQUE (code);


--
-- Name: indicator_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicator
    ADD CONSTRAINT indicator_pkey PRIMARY KEY (indicatorid);


--
-- Name: indicatorattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorattributevalues
    ADD CONSTRAINT indicatorattributevalues_pkey PRIMARY KEY (indicatorid, attributevalueid);


--
-- Name: indicatorgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroup
    ADD CONSTRAINT indicatorgroup_pkey PRIMARY KEY (indicatorgroupid);


--
-- Name: indicatorgroupattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupattributevalues
    ADD CONSTRAINT indicatorgroupattributevalues_pkey PRIMARY KEY (indicatorgroupid, attributevalueid);


--
-- Name: indicatorgroupmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupmembers
    ADD CONSTRAINT indicatorgroupmembers_pkey PRIMARY KEY (indicatorgroupid, indicatorid);


--
-- Name: indicatorgroupset_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupset
    ADD CONSTRAINT indicatorgroupset_pkey PRIMARY KEY (indicatorgroupsetid);


--
-- Name: indicatorgroupsetmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupsetmembers
    ADD CONSTRAINT indicatorgroupsetmembers_pkey PRIMARY KEY (indicatorgroupsetid, sort_order);


--
-- Name: indicatorgroupsetusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupsetusergroupaccesses
    ADD CONSTRAINT indicatorgroupsetusergroupaccesses_pkey PRIMARY KEY (indicatorgroupsetid, usergroupaccessid);


--
-- Name: indicatorgroupusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupusergroupaccesses
    ADD CONSTRAINT indicatorgroupusergroupaccesses_pkey PRIMARY KEY (indicatorgroupid, usergroupaccessid);


--
-- Name: indicatortype_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatortype
    ADD CONSTRAINT indicatortype_pkey PRIMARY KEY (indicatortypeid);


--
-- Name: indicatorusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorusergroupaccesses
    ADD CONSTRAINT indicatorusergroupaccesses_pkey PRIMARY KEY (indicatorid, usergroupaccessid);


--
-- Name: interpretation_comments_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY interpretation_comments
    ADD CONSTRAINT interpretation_comments_pkey PRIMARY KEY (interpretationid, sort_order);


--
-- Name: interpretation_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY interpretation
    ADD CONSTRAINT interpretation_pkey PRIMARY KEY (interpretationid);


--
-- Name: interpretationcomment_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY interpretationcomment
    ADD CONSTRAINT interpretationcomment_pkey PRIMARY KEY (interpretationcommentid);


--
-- Name: interpretationusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY interpretationusergroupaccesses
    ADD CONSTRAINT interpretationusergroupaccesses_pkey PRIMARY KEY (interpretationid, usergroupaccessid);


--
-- Name: key_sectionnamedataset; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY section
    ADD CONSTRAINT key_sectionnamedataset UNIQUE (name, datasetid);


--
-- Name: keyjsonvalue_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY keyjsonvalue
    ADD CONSTRAINT keyjsonvalue_pkey PRIMARY KEY (keyjsonvalueid);


--
-- Name: keyjsonvalue_unique_key_in_namespace; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY keyjsonvalue
    ADD CONSTRAINT keyjsonvalue_unique_key_in_namespace UNIQUE (namespace, namespacekey);


--
-- Name: lockexception_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY lockexception
    ADD CONSTRAINT lockexception_pkey PRIMARY KEY (lockexceptionid);


--
-- Name: map_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY map
    ADD CONSTRAINT map_pkey PRIMARY KEY (mapid);


--
-- Name: maplayer_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplayer
    ADD CONSTRAINT maplayer_pkey PRIMARY KEY (maplayerid);


--
-- Name: maplegend_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplegend
    ADD CONSTRAINT maplegend_pkey PRIMARY KEY (maplegendid);


--
-- Name: maplegendset_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplegendset
    ADD CONSTRAINT maplegendset_pkey PRIMARY KEY (maplegendsetid);


--
-- Name: maplegendsetmaplegend_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplegendsetmaplegend
    ADD CONSTRAINT maplegendsetmaplegend_pkey PRIMARY KEY (legendsetid, maplegendid);


--
-- Name: mapmapviews_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY mapmapviews
    ADD CONSTRAINT mapmapviews_pkey PRIMARY KEY (mapid, sort_order);


--
-- Name: mapusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY mapusergroupaccesses
    ADD CONSTRAINT mapusergroupaccesses_pkey PRIMARY KEY (mapid, usergroupaccessid);


--
-- Name: mapview_datadimensionitems_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY mapview_datadimensionitems
    ADD CONSTRAINT mapview_datadimensionitems_pkey PRIMARY KEY (mapviewid, sort_order);


--
-- Name: mapview_itemorgunitgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY mapview_itemorgunitgroups
    ADD CONSTRAINT mapview_itemorgunitgroups_pkey PRIMARY KEY (mapviewid, sort_order);


--
-- Name: mapview_organisationunits_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY mapview_organisationunits
    ADD CONSTRAINT mapview_organisationunits_pkey PRIMARY KEY (mapviewid, sort_order);


--
-- Name: mapview_orgunitlevels_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY mapview_orgunitlevels
    ADD CONSTRAINT mapview_orgunitlevels_pkey PRIMARY KEY (mapviewid, sort_order);


--
-- Name: mapview_periods_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY mapview_periods
    ADD CONSTRAINT mapview_periods_pkey PRIMARY KEY (mapviewid, sort_order);


--
-- Name: mapview_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY mapview
    ADD CONSTRAINT mapview_pkey PRIMARY KEY (mapviewid);


--
-- Name: message_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY message
    ADD CONSTRAINT message_pkey PRIMARY KEY (messageid);


--
-- Name: messageconversation_messages_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY messageconversation_messages
    ADD CONSTRAINT messageconversation_messages_pkey PRIMARY KEY (messageconversationid, sort_order);


--
-- Name: messageconversation_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY messageconversation
    ADD CONSTRAINT messageconversation_pkey PRIMARY KEY (messageconversationid);


--
-- Name: messageconversation_usermessages_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY messageconversation_usermessages
    ADD CONSTRAINT messageconversation_usermessages_pkey PRIMARY KEY (messageconversationid, usermessageid);


--
-- Name: metadatafilter_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY metadatafilter
    ADD CONSTRAINT metadatafilter_pkey PRIMARY KEY (metadatafilterid);


--
-- Name: minmaxdataelement_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY minmaxdataelement
    ADD CONSTRAINT minmaxdataelement_pkey PRIMARY KEY (minmaxdataelementid);


--
-- Name: oauth2client_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY oauth2client
    ADD CONSTRAINT oauth2client_pkey PRIMARY KEY (oauth2clientid);


--
-- Name: oauth2clientgranttypes_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY oauth2clientgranttypes
    ADD CONSTRAINT oauth2clientgranttypes_pkey PRIMARY KEY (oauth2clientid, sort_order);


--
-- Name: oauth2clientredirecturis_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY oauth2clientredirecturis
    ADD CONSTRAINT oauth2clientredirecturis_pkey PRIMARY KEY (oauth2clientid, sort_order);


--
-- Name: oauth_access_token_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY oauth_access_token
    ADD CONSTRAINT oauth_access_token_pkey PRIMARY KEY (authentication_id);


--
-- Name: optionattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionattributevalues
    ADD CONSTRAINT optionattributevalues_pkey PRIMARY KEY (optionvalueid, attributevalueid);


--
-- Name: optionset_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionset
    ADD CONSTRAINT optionset_pkey PRIMARY KEY (optionsetid);


--
-- Name: optionsetattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionsetattributevalues
    ADD CONSTRAINT optionsetattributevalues_pkey PRIMARY KEY (optionsetid, attributevalueid);


--
-- Name: optionsetusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionsetusergroupaccesses
    ADD CONSTRAINT optionsetusergroupaccesses_pkey PRIMARY KEY (optionsetid, usergroupaccessid);


--
-- Name: optionvalue_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionvalue
    ADD CONSTRAINT optionvalue_pkey PRIMARY KEY (optionvalueid);


--
-- Name: organisationunit_code_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY organisationunit
    ADD CONSTRAINT organisationunit_code_key UNIQUE (code);


--
-- Name: organisationunit_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY organisationunit
    ADD CONSTRAINT organisationunit_pkey PRIMARY KEY (organisationunitid);


--
-- Name: organisationunitattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY organisationunitattributevalues
    ADD CONSTRAINT organisationunitattributevalues_pkey PRIMARY KEY (organisationunitid, attributevalueid);


--
-- Name: orgunitgroup_name_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroup
    ADD CONSTRAINT orgunitgroup_name_key UNIQUE (name);


--
-- Name: orgunitgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroup
    ADD CONSTRAINT orgunitgroup_pkey PRIMARY KEY (orgunitgroupid);


--
-- Name: orgunitgroupattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupattributevalues
    ADD CONSTRAINT orgunitgroupattributevalues_pkey PRIMARY KEY (orgunitgroupid, attributevalueid);


--
-- Name: orgunitgroupmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupmembers
    ADD CONSTRAINT orgunitgroupmembers_pkey PRIMARY KEY (orgunitgroupid, organisationunitid);


--
-- Name: orgunitgroupset_name_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupset
    ADD CONSTRAINT orgunitgroupset_name_key UNIQUE (name);


--
-- Name: orgunitgroupset_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupset
    ADD CONSTRAINT orgunitgroupset_pkey PRIMARY KEY (orgunitgroupsetid);


--
-- Name: orgunitgroupsetattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupsetattributevalues
    ADD CONSTRAINT orgunitgroupsetattributevalues_pkey PRIMARY KEY (orgunitgroupsetid, attributevalueid);


--
-- Name: orgunitgroupsetmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupsetmembers
    ADD CONSTRAINT orgunitgroupsetmembers_pkey PRIMARY KEY (orgunitgroupsetid, orgunitgroupid);


--
-- Name: orgunitgroupsetusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupsetusergroupaccesses
    ADD CONSTRAINT orgunitgroupsetusergroupaccesses_pkey PRIMARY KEY (orgunitgroupsetid, usergroupaccessid);


--
-- Name: orgunitgroupusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupusergroupaccesses
    ADD CONSTRAINT orgunitgroupusergroupaccesses_pkey PRIMARY KEY (orgunitgroupid, usergroupaccessid);


--
-- Name: orgunitlevel_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitlevel
    ADD CONSTRAINT orgunitlevel_pkey PRIMARY KEY (orgunitlevelid);


--
-- Name: outbound_sms_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY outbound_sms
    ADD CONSTRAINT outbound_sms_pkey PRIMARY KEY (id);


--
-- Name: period_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY period
    ADD CONSTRAINT period_pkey PRIMARY KEY (periodid);


--
-- Name: periodtype_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY periodtype
    ADD CONSTRAINT periodtype_pkey PRIMARY KEY (periodtypeid);


--
-- Name: program_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program_attributes
    ADD CONSTRAINT program_attributes_pkey PRIMARY KEY (programtrackedentityattributeid);


--
-- Name: program_criteria_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program_criteria
    ADD CONSTRAINT program_criteria_pkey PRIMARY KEY (programid, validationcriteriaid);


--
-- Name: program_organisationunits_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program_organisationunits
    ADD CONSTRAINT program_organisationunits_pkey PRIMARY KEY (programid, organisationunitid);


--
-- Name: program_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program
    ADD CONSTRAINT program_pkey PRIMARY KEY (programid);


--
-- Name: program_userroles_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program_userroles
    ADD CONSTRAINT program_userroles_pkey PRIMARY KEY (userroleid, programid);


--
-- Name: programattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programattributevalues
    ADD CONSTRAINT programattributevalues_pkey PRIMARY KEY (programid, attributevalueid);


--
-- Name: programdataelement_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programdataelement
    ADD CONSTRAINT programdataelement_pkey PRIMARY KEY (programdataelementid);


--
-- Name: programdataelement_unique_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programdataelement
    ADD CONSTRAINT programdataelement_unique_key UNIQUE (programid, dataelementid);


--
-- Name: programexpression_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programexpression
    ADD CONSTRAINT programexpression_pkey PRIMARY KEY (programexpressionid);


--
-- Name: programindicator_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programindicator
    ADD CONSTRAINT programindicator_pkey PRIMARY KEY (programindicatorid);


--
-- Name: programindicatorusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programindicatorusergroupaccesses
    ADD CONSTRAINT programindicatorusergroupaccesses_pkey PRIMARY KEY (programindicatorid, usergroupaccessid);


--
-- Name: programinstance_messageconversation_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programinstance_messageconversation
    ADD CONSTRAINT programinstance_messageconversation_pkey PRIMARY KEY (programinstanceid, sort_order);


--
-- Name: programinstance_outboundsms_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programinstance_outboundsms
    ADD CONSTRAINT programinstance_outboundsms_pkey PRIMARY KEY (programinstanceid, sort_order);


--
-- Name: programinstance_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programinstance
    ADD CONSTRAINT programinstance_pkey PRIMARY KEY (programinstanceid);


--
-- Name: programinstancecomments_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programinstancecomments
    ADD CONSTRAINT programinstancecomments_pkey PRIMARY KEY (programinstanceid, sort_order);


--
-- Name: programrule_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programrule
    ADD CONSTRAINT programrule_pkey PRIMARY KEY (programruleid);


--
-- Name: programruleaction_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programruleaction
    ADD CONSTRAINT programruleaction_pkey PRIMARY KEY (programruleactionid);


--
-- Name: programrulevariable_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programrulevariable
    ADD CONSTRAINT programrulevariable_pkey PRIMARY KEY (programrulevariableid);


--
-- Name: programstage_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstage
    ADD CONSTRAINT programstage_pkey PRIMARY KEY (programstageid);


--
-- Name: programstageattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstageattributevalues
    ADD CONSTRAINT programstageattributevalues_pkey PRIMARY KEY (programstageid, attributevalueid);


--
-- Name: programstagedataelement_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstagedataelement
    ADD CONSTRAINT programstagedataelement_pkey PRIMARY KEY (programstagedataelementid);


--
-- Name: programstagedataelement_unique_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstagedataelement
    ADD CONSTRAINT programstagedataelement_unique_key UNIQUE (programstageid, dataelementid);


--
-- Name: programstageinstance_messageconversation_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstageinstance_messageconversation
    ADD CONSTRAINT programstageinstance_messageconversation_pkey PRIMARY KEY (programstageinstanceid, sort_order);


--
-- Name: programstageinstance_outboundsms_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstageinstance_outboundsms
    ADD CONSTRAINT programstageinstance_outboundsms_pkey PRIMARY KEY (programstageinstanceid, sort_order);


--
-- Name: programstageinstance_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstageinstance
    ADD CONSTRAINT programstageinstance_pkey PRIMARY KEY (programstageinstanceid);


--
-- Name: programstageinstancecomments_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstageinstancecomments
    ADD CONSTRAINT programstageinstancecomments_pkey PRIMARY KEY (programstageinstanceid, sort_order);


--
-- Name: programstagesection_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstagesection
    ADD CONSTRAINT programstagesection_pkey PRIMARY KEY (programstagesectionid);


--
-- Name: programstagesection_programindicators_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstagesection_programindicators
    ADD CONSTRAINT programstagesection_programindicators_pkey PRIMARY KEY (programstagesectionid, sort_order);


--
-- Name: programtrackedentityattribute_unique_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program_attributes
    ADD CONSTRAINT programtrackedentityattribute_unique_key UNIQUE (programid, trackedentityattributeid);


--
-- Name: programusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programusergroupaccesses
    ADD CONSTRAINT programusergroupaccesses_pkey PRIMARY KEY (programid, usergroupaccessid);


--
-- Name: programvalidation_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programvalidation
    ADD CONSTRAINT programvalidation_pkey PRIMARY KEY (programvalidationid);


--
-- Name: relationship_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY relationship
    ADD CONSTRAINT relationship_pkey PRIMARY KEY (relationshipid);


--
-- Name: relationshiptype_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY relationshiptype
    ADD CONSTRAINT relationshiptype_pkey PRIMARY KEY (relationshiptypeid);


--
-- Name: relativeperiods_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY relativeperiods
    ADD CONSTRAINT relativeperiods_pkey PRIMARY KEY (relativeperiodsid);


--
-- Name: report_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY report
    ADD CONSTRAINT report_pkey PRIMARY KEY (reportid);


--
-- Name: reporttable_categorydimensions_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_categorydimensions
    ADD CONSTRAINT reporttable_categorydimensions_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_categoryoptiongroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_categoryoptiongroups
    ADD CONSTRAINT reporttable_categoryoptiongroups_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_columns_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_columns
    ADD CONSTRAINT reporttable_columns_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_datadimensionitems_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_datadimensionitems
    ADD CONSTRAINT reporttable_datadimensionitems_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_dataelementgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_dataelementgroups
    ADD CONSTRAINT reporttable_dataelementgroups_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_filters_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_filters
    ADD CONSTRAINT reporttable_filters_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_itemorgunitgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_itemorgunitgroups
    ADD CONSTRAINT reporttable_itemorgunitgroups_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_organisationunits_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_organisationunits
    ADD CONSTRAINT reporttable_organisationunits_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_orgunitgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_orgunitgroups
    ADD CONSTRAINT reporttable_orgunitgroups_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_orgunitlevels_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_orgunitlevels
    ADD CONSTRAINT reporttable_orgunitlevels_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_periods_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_periods
    ADD CONSTRAINT reporttable_periods_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttable_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable
    ADD CONSTRAINT reporttable_pkey PRIMARY KEY (reporttableid);


--
-- Name: reporttable_rows_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable_rows
    ADD CONSTRAINT reporttable_rows_pkey PRIMARY KEY (reporttableid, sort_order);


--
-- Name: reporttableusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttableusergroupaccesses
    ADD CONSTRAINT reporttableusergroupaccesses_pkey PRIMARY KEY (reporttableid, usergroupaccessid);


--
-- Name: reportusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reportusergroupaccesses
    ADD CONSTRAINT reportusergroupaccesses_pkey PRIMARY KEY (reportid, usergroupaccessid);


--
-- Name: section_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY section
    ADD CONSTRAINT section_pkey PRIMARY KEY (sectionid);


--
-- Name: sectiondataelements_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY sectiondataelements
    ADD CONSTRAINT sectiondataelements_pkey PRIMARY KEY (sectionid, sort_order);


--
-- Name: sectiongreyedfields_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY sectiongreyedfields
    ADD CONSTRAINT sectiongreyedfields_pkey PRIMARY KEY (sectionid, dataelementoperandid);


--
-- Name: sectionindicators_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY sectionindicators
    ADD CONSTRAINT sectionindicators_pkey PRIMARY KEY (sectionid, sort_order);


--
-- Name: smscodes_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY smscodes
    ADD CONSTRAINT smscodes_pkey PRIMARY KEY (smscodeid);


--
-- Name: smscommandcodes_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY smscommandcodes
    ADD CONSTRAINT smscommandcodes_pkey PRIMARY KEY (id, codeid);


--
-- Name: smscommands_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY smscommands
    ADD CONSTRAINT smscommands_pkey PRIMARY KEY (smscommandid);


--
-- Name: smscommandspecialcharacters_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY smscommandspecialcharacters
    ADD CONSTRAINT smscommandspecialcharacters_pkey PRIMARY KEY (smscommandid, specialcharacterid);


--
-- Name: smsspecialcharacter_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY smsspecialcharacter
    ADD CONSTRAINT smsspecialcharacter_pkey PRIMARY KEY (specialcharacterid);


--
-- Name: sqlview_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY sqlview
    ADD CONSTRAINT sqlview_pkey PRIMARY KEY (sqlviewid);


--
-- Name: sqlviewusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY sqlviewusergroupaccesses
    ADD CONSTRAINT sqlviewusergroupaccesses_pkey PRIMARY KEY (sqlviewid, usergroupaccessid);


--
-- Name: systemsetting_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY systemsetting
    ADD CONSTRAINT systemsetting_pkey PRIMARY KEY (systemsettingid);


--
-- Name: trackedentity_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentity
    ADD CONSTRAINT trackedentity_pkey PRIMARY KEY (trackedentityid);


--
-- Name: trackedentityattribute_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattribute
    ADD CONSTRAINT trackedentityattribute_pkey PRIMARY KEY (trackedentityattributeid);


--
-- Name: trackedentityattributeattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributeattributevalues
    ADD CONSTRAINT trackedentityattributeattributevalues_pkey PRIMARY KEY (trackedentityattributeid, attributevalueid);


--
-- Name: trackedentityattributedimension_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributedimension
    ADD CONSTRAINT trackedentityattributedimension_pkey PRIMARY KEY (trackedentityattributedimensionid);


--
-- Name: trackedentityattributegroup_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributegroup
    ADD CONSTRAINT trackedentityattributegroup_pkey PRIMARY KEY (trackedentityattributegroupid);


--
-- Name: trackedentityattributeusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributeusergroupaccesses
    ADD CONSTRAINT trackedentityattributeusergroupaccesses_pkey PRIMARY KEY (trackedentityattributeid, usergroupaccessid);


--
-- Name: trackedentityattributevalue_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributevalue
    ADD CONSTRAINT trackedentityattributevalue_pkey PRIMARY KEY (trackedentityinstanceid, trackedentityattributeid);


--
-- Name: trackedentityattributevalueaudit_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributevalueaudit
    ADD CONSTRAINT trackedentityattributevalueaudit_pkey PRIMARY KEY (trackedentityattributevalueauditid);


--
-- Name: trackedentityattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributevalues
    ADD CONSTRAINT trackedentityattributevalues_pkey PRIMARY KEY (trackedentityid, attributevalueid);


--
-- Name: trackedentitycomment_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentitycomment
    ADD CONSTRAINT trackedentitycomment_pkey PRIMARY KEY (trackedentitycommentid);


--
-- Name: trackedentitydataelementdimension_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentitydataelementdimension
    ADD CONSTRAINT trackedentitydataelementdimension_pkey PRIMARY KEY (trackedentitydataelementdimensionid);


--
-- Name: trackedentitydatavalue_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentitydatavalue
    ADD CONSTRAINT trackedentitydatavalue_pkey PRIMARY KEY (programstageinstanceid, dataelementid);


--
-- Name: trackedentitydatavalueaudit_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentitydatavalueaudit
    ADD CONSTRAINT trackedentitydatavalueaudit_pkey PRIMARY KEY (trackedentitydatavalueauditid);


--
-- Name: trackedentityinstance_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityinstance
    ADD CONSTRAINT trackedentityinstance_pkey PRIMARY KEY (trackedentityinstanceid);


--
-- Name: trackedentityinstancereminder_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityinstancereminder
    ADD CONSTRAINT trackedentityinstancereminder_pkey PRIMARY KEY (trackedentityinstancereminderid);


--
-- Name: trackedentityprogramindicatordimension_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityprogramindicatordimension
    ADD CONSTRAINT trackedentityprogramindicatordimension_pkey PRIMARY KEY (trackedentityprogramindicatordimensionid);


--
-- Name: translation_composite_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY translation
    ADD CONSTRAINT translation_composite_key UNIQUE (objectclass, objectuid, locale, objectproperty);


--
-- Name: translation_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY translation
    ADD CONSTRAINT translation_pkey PRIMARY KEY (translationid);


--
-- Name: uk_13x63e3skbl5qj4mc1qgq2xex; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrule
    ADD CONSTRAINT uk_13x63e3skbl5qj4mc1qgq2xex UNIQUE (code);


--
-- Name: uk_1774shfid1uaopl9tu8am19fq; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY attribute
    ADD CONSTRAINT uk_1774shfid1uaopl9tu8am19fq UNIQUE (code);


--
-- Name: uk_18b68rcofdwt1sbr6rf55poog; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionvalue
    ADD CONSTRAINT uk_18b68rcofdwt1sbr6rf55poog UNIQUE (uid);


--
-- Name: uk_191y3j7pfufwrenbd2h9q3pek; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chartusergroupaccesses
    ADD CONSTRAINT uk_191y3j7pfufwrenbd2h9q3pek UNIQUE (usergroupaccessid);


--
-- Name: uk_1ev6xqtcsfr4wv6rel0lkg44n; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategory
    ADD CONSTRAINT uk_1ev6xqtcsfr4wv6rel0lkg44n UNIQUE (uid);


--
-- Name: uk_1ie06vhy3begtwuuvrv0f71se; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY report
    ADD CONSTRAINT uk_1ie06vhy3begtwuuvrv0f71se UNIQUE (uid);


--
-- Name: uk_1lvk8ftq028jrr28qouou9q3c; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrulegroup
    ADD CONSTRAINT uk_1lvk8ftq028jrr28qouou9q3c UNIQUE (code);


--
-- Name: uk_1n7xvxj0jupob5f2v86cv8qer; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstageinstancecomments
    ADD CONSTRAINT uk_1n7xvxj0jupob5f2v86cv8qer UNIQUE (trackedentitycommentid);


--
-- Name: uk_1naq88t24viefq6h7lcx3lbx4; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programusergroupaccesses
    ADD CONSTRAINT uk_1naq88t24viefq6h7lcx3lbx4 UNIQUE (usergroupaccessid);


--
-- Name: uk_1sp445tglu49hyfwokjqn5bf6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart
    ADD CONSTRAINT uk_1sp445tglu49hyfwokjqn5bf6 UNIQUE (uid);


--
-- Name: uk_1tcaydw2p91wi8ib0qqa1jcfs; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program
    ADD CONSTRAINT uk_1tcaydw2p91wi8ib0qqa1jcfs UNIQUE (shortname);


--
-- Name: uk_1xk8j7j0a3li8o0ukblanosky; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupset
    ADD CONSTRAINT uk_1xk8j7j0a3li8o0ukblanosky UNIQUE (name);


--
-- Name: uk_22wt9yk9idujmywno44v9qf66; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstagesection
    ADD CONSTRAINT uk_22wt9yk9idujmywno44v9qf66 UNIQUE (code);


--
-- Name: uk_287ampe6pn4aepyn14hv71907; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupattributevalues
    ADD CONSTRAINT uk_287ampe6pn4aepyn14hv71907 UNIQUE (attributevalueid);


--
-- Name: uk_2ejl9l5vm4rhtqj8eit31g0u6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstagedataelement
    ADD CONSTRAINT uk_2ejl9l5vm4rhtqj8eit31g0u6 UNIQUE (code);


--
-- Name: uk_2l0ovv74pjtairmeyiwy4i2ui; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY i18nlocale
    ADD CONSTRAINT uk_2l0ovv74pjtairmeyiwy4i2ui UNIQUE (uid);


--
-- Name: uk_2nhc265rlfu3dlc3qouvjdprl; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT uk_2nhc265rlfu3dlc3qouvjdprl UNIQUE (name);


--
-- Name: uk_2r18tvmbtksk69j35uxpwej44; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovallevel
    ADD CONSTRAINT uk_2r18tvmbtksk69j35uxpwej44 UNIQUE (code);


--
-- Name: uk_37l2m3o1xfuagpki90gfh5kqb; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY map
    ADD CONSTRAINT uk_37l2m3o1xfuagpki90gfh5kqb UNIQUE (code);


--
-- Name: uk_3a4ee92kxafw85hsopq4qle47; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categorycombo
    ADD CONSTRAINT uk_3a4ee92kxafw85hsopq4qle47 UNIQUE (code);


--
-- Name: uk_3c2n8db21er764e4skh3qg57w; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programruleaction
    ADD CONSTRAINT uk_3c2n8db21er764e4skh3qg57w UNIQUE (uid);


--
-- Name: uk_3cl2o6ha8naw5w6my3q4el6gk; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrulegroup
    ADD CONSTRAINT uk_3cl2o6ha8naw5w6my3q4el6gk UNIQUE (name);


--
-- Name: uk_3idqsvkpmxpehxqv615s952vd; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboarditem
    ADD CONSTRAINT uk_3idqsvkpmxpehxqv615s952vd UNIQUE (uid);


--
-- Name: uk_3phvecdmy2msmcpitqifpcy3c; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroup
    ADD CONSTRAINT uk_3phvecdmy2msmcpitqifpcy3c UNIQUE (code);


--
-- Name: uk_3r6dr8m9qwa89afngtr43x9jh; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT uk_3r6dr8m9qwa89afngtr43x9jh UNIQUE (uid);


--
-- Name: uk_3svwn20y9qda34bmatesg5c0j; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovalworkflow
    ADD CONSTRAINT uk_3svwn20y9qda34bmatesg5c0j UNIQUE (code);


--
-- Name: uk_3tn4w8rs68lpvrdaksbsalta7; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupsetusergroupaccesses
    ADD CONSTRAINT uk_3tn4w8rs68lpvrdaksbsalta7 UNIQUE (usergroupaccessid);


--
-- Name: uk_3uh2stfqjquour25m5gjfdroi; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupsetusergroupaccesses
    ADD CONSTRAINT uk_3uh2stfqjquour25m5gjfdroi UNIQUE (usergroupaccessid);


--
-- Name: uk_3va2lo93o5x8of9r244sb0ini; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributeusergroupaccesses
    ADD CONSTRAINT uk_3va2lo93o5x8of9r244sb0ini UNIQUE (usergroupaccessid);


--
-- Name: uk_478bg522jkn8460hkeshlw1j1; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY report
    ADD CONSTRAINT uk_478bg522jkn8460hkeshlw1j1 UNIQUE (relativeperiodsid);


--
-- Name: uk_4dlqoc6s8ilws9yhacy5qkddb; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY fileresource
    ADD CONSTRAINT uk_4dlqoc6s8ilws9yhacy5qkddb UNIQUE (code);


--
-- Name: uk_4pi5lfmisrt8un89dnb17xrdy; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryoption
    ADD CONSTRAINT uk_4pi5lfmisrt8un89dnb17xrdy UNIQUE (uid);


--
-- Name: uk_4sfn84gjcjre8ni3ofvhmkkvk; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionsetattributevalues
    ADD CONSTRAINT uk_4sfn84gjcjre8ni3ofvhmkkvk UNIQUE (attributevalueid);


--
-- Name: uk_4tswo711nejksm9k8cbmlkj77; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY translation
    ADD CONSTRAINT uk_4tswo711nejksm9k8cbmlkj77 UNIQUE (uid);


--
-- Name: uk_4wluhhaibua3a52cts7jnrt5b; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupusergroupaccesses
    ADD CONSTRAINT uk_4wluhhaibua3a52cts7jnrt5b UNIQUE (usergroupaccessid);


--
-- Name: uk_50aqn6tun6lt4u3ablvdxgoi6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY sqlview
    ADD CONSTRAINT uk_50aqn6tun6lt4u3ablvdxgoi6 UNIQUE (code);


--
-- Name: uk_59abitsfd3u0jx4ntrrblven0; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programindicator
    ADD CONSTRAINT uk_59abitsfd3u0jx4ntrrblven0 UNIQUE (uid);


--
-- Name: uk_5a5jsn8bx5phnsjnbxc3donn; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY organisationunit
    ADD CONSTRAINT uk_5a5jsn8bx5phnsjnbxc3donn UNIQUE (uuid);


--
-- Name: uk_5iwcc2c18pxom1nom9sxvo22f; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY documentattributevalues
    ADD CONSTRAINT uk_5iwcc2c18pxom1nom9sxvo22f UNIQUE (attributevalueid);


--
-- Name: uk_5j9yoodla0votbmjtfy3clgva; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY metadatafilter
    ADD CONSTRAINT uk_5j9yoodla0votbmjtfy3clgva UNIQUE (code);


--
-- Name: uk_5ja97bh6qdr10ovrfgvyabaeq; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY translation
    ADD CONSTRAINT uk_5ja97bh6qdr10ovrfgvyabaeq UNIQUE (code);


--
-- Name: uk_5km0xiwk0dg7pnoru5yfvqsdo; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitlevel
    ADD CONSTRAINT uk_5km0xiwk0dg7pnoru5yfvqsdo UNIQUE (uid);


--
-- Name: uk_5mq4bmpyevmr1ddkkopweted1; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovallevel
    ADD CONSTRAINT uk_5mq4bmpyevmr1ddkkopweted1 UNIQUE (name);


--
-- Name: uk_5w429v9hdlvivan4a69x3ntx5; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart
    ADD CONSTRAINT uk_5w429v9hdlvivan4a69x3ntx5 UNIQUE (relativeperiodsid);


--
-- Name: uk_60p9gh2un0pb7l9tctfd4o3b3; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptioncombo
    ADD CONSTRAINT uk_60p9gh2un0pb7l9tctfd4o3b3 UNIQUE (code);


--
-- Name: uk_61yelmsucg67isxc2habccq57; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usergroupattributevalues
    ADD CONSTRAINT uk_61yelmsucg67isxc2habccq57 UNIQUE (attributevalueid);


--
-- Name: uk_679r4uoqpust6h694bed8nrh9; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart
    ADD CONSTRAINT uk_679r4uoqpust6h694bed8nrh9 UNIQUE (uid);


--
-- Name: uk_6dyim42vl218i9e9waqrvw36k; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchart
    ADD CONSTRAINT uk_6dyim42vl218i9e9waqrvw36k UNIQUE (code);


--
-- Name: uk_6gnwbmpissx2s1manr6bwxriu; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorusergroupaccesses
    ADD CONSTRAINT uk_6gnwbmpissx2s1manr6bwxriu UNIQUE (usergroupaccessid);


--
-- Name: uk_6hh8abnhp5bf53rgf2r2maxgb; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovalworkflowusergroupaccesses
    ADD CONSTRAINT uk_6hh8abnhp5bf53rgf2r2maxgb UNIQUE (usergroupaccessid);


--
-- Name: uk_6itpx2frqt3msln8p32rk7qta; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupset
    ADD CONSTRAINT uk_6itpx2frqt3msln8p32rk7qta UNIQUE (uid);


--
-- Name: uk_6sq5y5hpb4kqf2fmas69rql3g; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorattributevalues
    ADD CONSTRAINT uk_6sq5y5hpb4kqf2fmas69rql3g UNIQUE (attributevalueid);


--
-- Name: uk_6x37lph70r5mh15a71pf1tj17; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroup
    ADD CONSTRAINT uk_6x37lph70r5mh15a71pf1tj17 UNIQUE (shortname);


--
-- Name: uk_75d35u3n0i5wea6bevn7v6t3l; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboardusergroupaccesses
    ADD CONSTRAINT uk_75d35u3n0i5wea6bevn7v6t3l UNIQUE (usergroupaccessid);


--
-- Name: uk_77crrlh4cbe91h32mnspu2bqx; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programvalidation
    ADD CONSTRAINT uk_77crrlh4cbe91h32mnspu2bqx UNIQUE (code);


--
-- Name: uk_7b9jcu4di1s4yxwfrbv790h3o; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programdataelement
    ADD CONSTRAINT uk_7b9jcu4di1s4yxwfrbv790h3o UNIQUE (uid);


--
-- Name: uk_7esqbdqxkias3jcev9elqks9y; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY metadatafilter
    ADD CONSTRAINT uk_7esqbdqxkias3jcev9elqks9y UNIQUE (uid);


--
-- Name: uk_7if26yibpw5hn2gjsrn2xst0m; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable
    ADD CONSTRAINT uk_7if26yibpw5hn2gjsrn2xst0m UNIQUE (uid);


--
-- Name: uk_7odx4uo6s5bg55kt1fxky4a8v; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programrule
    ADD CONSTRAINT uk_7odx4uo6s5bg55kt1fxky4a8v UNIQUE (code);


--
-- Name: uk_7rnfvkitq6l0kr5ju2slxopfi; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY relationshiptype
    ADD CONSTRAINT uk_7rnfvkitq6l0kr5ju2slxopfi UNIQUE (uid);


--
-- Name: uk_7udjng39j4ddafjn57r58v7oq; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programindicator
    ADD CONSTRAINT uk_7udjng39j4ddafjn57r58v7oq UNIQUE (name);


--
-- Name: uk_81gfx3yt7ngwmkk0t8qgcovhi; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionset
    ADD CONSTRAINT uk_81gfx3yt7ngwmkk0t8qgcovhi UNIQUE (uid);


--
-- Name: uk_842ips1xb81udqc3dw5uax7u5; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplegendset
    ADD CONSTRAINT uk_842ips1xb81udqc3dw5uax7u5 UNIQUE (name);


--
-- Name: uk_84a9xamm9l60e6179ehh35pqj; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY colorset_colors
    ADD CONSTRAINT uk_84a9xamm9l60e6179ehh35pqj UNIQUE (colorid);


--
-- Name: uk_8alvmsgu0onl4i0a0sqb6mqx; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrulegroup
    ADD CONSTRAINT uk_8alvmsgu0onl4i0a0sqb6mqx UNIQUE (uid);


--
-- Name: uk_8d4xrx2gygb4aivpcwrp613hj; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY relationshiptype
    ADD CONSTRAINT uk_8d4xrx2gygb4aivpcwrp613hj UNIQUE (name);


--
-- Name: uk_8dcmrupnoi7hiiom466aoa2y; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatortype
    ADD CONSTRAINT uk_8dcmrupnoi7hiiom466aoa2y UNIQUE (code);


--
-- Name: uk_8eyremdx683wcd9owh1t5jufs; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY mapview
    ADD CONSTRAINT uk_8eyremdx683wcd9owh1t5jufs UNIQUE (relativeperiodsid);


--
-- Name: uk_8ua8n1965xfvefwmpl7xld6lf; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributegroup
    ADD CONSTRAINT uk_8ua8n1965xfvefwmpl7xld6lf UNIQUE (uid);


--
-- Name: uk_94srnunkibylfaxt4knxfn58e; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT uk_94srnunkibylfaxt4knxfn58e UNIQUE (code);


--
-- Name: uk_9a0eh0b7g9invjjs34nuvntkd; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY constantusergroupaccesses
    ADD CONSTRAINT uk_9a0eh0b7g9invjjs34nuvntkd UNIQUE (usergroupaccessid);


--
-- Name: uk_9bk8wrffte75y236jgv1pmp81; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionsetusergroupaccesses
    ADD CONSTRAINT uk_9bk8wrffte75y236jgv1pmp81 UNIQUE (usergroupaccessid);


--
-- Name: uk_9csrw908a1fvfwbhjwm0jfl4e; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplegend
    ADD CONSTRAINT uk_9csrw908a1fvfwbhjwm0jfl4e UNIQUE (uid);


--
-- Name: uk_9hvlbsw019hscf35xb5behfx9; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY section
    ADD CONSTRAINT uk_9hvlbsw019hscf35xb5behfx9 UNIQUE (code);


--
-- Name: uk_9j6xjgegveyc0uqs506yy2wrp; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY i18nlocale
    ADD CONSTRAINT uk_9j6xjgegveyc0uqs506yy2wrp UNIQUE (locale);


--
-- Name: uk_9mqbhximifdn1n8ru52lan3fw; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY attribute
    ADD CONSTRAINT uk_9mqbhximifdn1n8ru52lan3fw UNIQUE (uid);


--
-- Name: uk_9nbu5m63pd0n13liu13i3nvb5; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart
    ADD CONSTRAINT uk_9nbu5m63pd0n13liu13i3nvb5 UNIQUE (relativeperiodsid);


--
-- Name: uk_9ut6k8m3216v5kjcryy7d2y9w; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrule
    ADD CONSTRAINT uk_9ut6k8m3216v5kjcryy7d2y9w UNIQUE (name);


--
-- Name: uk_a50otc0l2chm0heii6scpit4k; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY section
    ADD CONSTRAINT uk_a50otc0l2chm0heii6scpit4k UNIQUE (uid);


--
-- Name: uk_actuoxkkqulslxjpj5hagib9r; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupset
    ADD CONSTRAINT uk_actuoxkkqulslxjpj5hagib9r UNIQUE (code);


--
-- Name: uk_aqbaj76r9qxmnylr6p8kj9g37; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroup
    ADD CONSTRAINT uk_aqbaj76r9qxmnylr6p8kj9g37 UNIQUE (name);


--
-- Name: uk_asp8ntgg2muwvqbs60qnm1vq7; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reportusergroupaccesses
    ADD CONSTRAINT uk_asp8ntgg2muwvqbs60qnm1vq7 UNIQUE (usergroupaccessid);


--
-- Name: uk_aygjfui3fpgrsxbj6qj782h6f; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY constant
    ADD CONSTRAINT uk_aygjfui3fpgrsxbj6qj782h6f UNIQUE (shortname);


--
-- Name: uk_ayk5ey2r1fh1akknxtpcpyp9r; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataset
    ADD CONSTRAINT uk_ayk5ey2r1fh1akknxtpcpyp9r UNIQUE (uid);


--
-- Name: uk_b0aojuanxabfuylrbc2k6xk20; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentity
    ADD CONSTRAINT uk_b0aojuanxabfuylrbc2k6xk20 UNIQUE (name);


--
-- Name: uk_b0ii4jdfy88pffbapohsr2lor; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategory
    ADD CONSTRAINT uk_b0ii4jdfy88pffbapohsr2lor UNIQUE (name);


--
-- Name: uk_b39cpkfasrbt96274tbaedtmp; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable
    ADD CONSTRAINT uk_b39cpkfasrbt96274tbaedtmp UNIQUE (relativeperiodsid);


--
-- Name: uk_b3oan3noe4cj9dvyi0amofndv; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstage
    ADD CONSTRAINT uk_b3oan3noe4cj9dvyi0amofndv UNIQUE (uid);


--
-- Name: uk_badofxhbq3oi2d4u7fj8w1kt8; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT uk_badofxhbq3oi2d4u7fj8w1kt8 UNIQUE (openid);


--
-- Name: uk_bjs0n874pj6eoag98jmeidy9a; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupset
    ADD CONSTRAINT uk_bjs0n874pj6eoag98jmeidy9a UNIQUE (code);


--
-- Name: uk_bv71u83esume24hp4gsaj5p4f; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplegendset
    ADD CONSTRAINT uk_bv71u83esume24hp4gsaj5p4f UNIQUE (code);


--
-- Name: uk_by4pqq1ans00ffmrgqqh9ehog; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovalworkflow
    ADD CONSTRAINT uk_by4pqq1ans00ffmrgqqh9ehog UNIQUE (uid);


--
-- Name: uk_c7e1q9b728qh7iki2cvdbpfrb; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY organisationunitattributevalues
    ADD CONSTRAINT uk_c7e1q9b728qh7iki2cvdbpfrb UNIQUE (attributevalueid);


--
-- Name: uk_c8bnosb06cchme5sig7b54uot; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboarditem
    ADD CONSTRAINT uk_c8bnosb06cchme5sig7b54uot UNIQUE (code);


--
-- Name: uk_cbnc5ktj6whhh690w32k8cyh8; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY color
    ADD CONSTRAINT uk_cbnc5ktj6whhh690w32k8cyh8 UNIQUE (code);


--
-- Name: uk_cto4jvd9q49voite13v0egy3i; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programrulevariable
    ADD CONSTRAINT uk_cto4jvd9q49voite13v0egy3i UNIQUE (code);


--
-- Name: uk_d3lsa2h8me94ksyp53l6rpe3g; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programinstance
    ADD CONSTRAINT uk_d3lsa2h8me94ksyp53l6rpe3g UNIQUE (uid);


--
-- Name: uk_d4l5rkqnmc6qdfa6hh11g3h74; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationcriteria
    ADD CONSTRAINT uk_d4l5rkqnmc6qdfa6hh11g3h74 UNIQUE (name);


--
-- Name: uk_dfbmp0sfgkcpxtwrfw2rejumg; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupusergroupaccesses
    ADD CONSTRAINT uk_dfbmp0sfgkcpxtwrfw2rejumg UNIQUE (usergroupaccessid);


--
-- Name: uk_dhl0qt8y7hht7krbiym1e9x3n; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataentryform
    ADD CONSTRAINT uk_dhl0qt8y7hht7krbiym1e9x3n UNIQUE (code);


--
-- Name: uk_dlhi39gmt2e0dun73f04w7w7u; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categorycombo
    ADD CONSTRAINT uk_dlhi39gmt2e0dun73f04w7w7u UNIQUE (uid);


--
-- Name: uk_do17h5nk71uvc3xjry6kgevj9; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programindicator
    ADD CONSTRAINT uk_do17h5nk71uvc3xjry6kgevj9 UNIQUE (code);


--
-- Name: uk_do99wgsyk5wflbhb937u5av8m; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY systemsetting
    ADD CONSTRAINT uk_do99wgsyk5wflbhb937u5av8m UNIQUE (name);


--
-- Name: uk_dp5tf46w1wmujd4tnvk82f99y; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplayer
    ADD CONSTRAINT uk_dp5tf46w1wmujd4tnvk82f99y UNIQUE (uid);


--
-- Name: uk_dq1cneyi4cgarkqaspifgmjqn; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementusergroupaccesses
    ADD CONSTRAINT uk_dq1cneyi4cgarkqaspifgmjqn UNIQUE (usergroupaccessid);


--
-- Name: uk_dvxv0mw5bonk4pb38o8rctku3; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationcriteria
    ADD CONSTRAINT uk_dvxv0mw5bonk4pb38o8rctku3 UNIQUE (uid);


--
-- Name: uk_e5mhmtj1h7xdfiio2panhapgg; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programrulevariable
    ADD CONSTRAINT uk_e5mhmtj1h7xdfiio2panhapgg UNIQUE (uid);


--
-- Name: uk_e6s6o9jau6tx04m62t7ey4i81; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstage
    ADD CONSTRAINT uk_e6s6o9jau6tx04m62t7ey4i81 UNIQUE (code);


--
-- Name: uk_eb7jbyiwhse2kd64y3ufee977; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributeattributevalues
    ADD CONSTRAINT uk_eb7jbyiwhse2kd64y3ufee977 UNIQUE (attributevalueid);


--
-- Name: uk_ec7ehyocpresxxhm7yjstdnwt; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplegendset
    ADD CONSTRAINT uk_ec7ehyocpresxxhm7yjstdnwt UNIQUE (uid);


--
-- Name: uk_edy7cktu2fqg01r3n0fjyk1kk; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY constant
    ADD CONSTRAINT uk_edy7cktu2fqg01r3n0fjyk1kk UNIQUE (code);


--
-- Name: uk_eh2epuhchf9mci86ihl06i31g; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY fileresource
    ADD CONSTRAINT uk_eh2epuhchf9mci86ihl06i31g UNIQUE (uid);


--
-- Name: uk_eh4c3whbwi94nhh772q6l5t7m; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattribute
    ADD CONSTRAINT uk_eh4c3whbwi94nhh772q6l5t7m UNIQUE (code);


--
-- Name: uk_ehl4v33tq7hlkmc28vbno1b4n; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY organisationunit
    ADD CONSTRAINT uk_ehl4v33tq7hlkmc28vbno1b4n UNIQUE (code);


--
-- Name: uk_ekb018cvmpvll5dgtn97leerj; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usergroup
    ADD CONSTRAINT uk_ekb018cvmpvll5dgtn97leerj UNIQUE (uid);


--
-- Name: uk_elt3kiqdmmm5fwqfxsxk9lvh0; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY document
    ADD CONSTRAINT uk_elt3kiqdmmm5fwqfxsxk9lvh0 UNIQUE (code);


--
-- Name: uk_em6b7qxcas7dn6y506i3nd2x6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY keyjsonvalue
    ADD CONSTRAINT uk_em6b7qxcas7dn6y506i3nd2x6 UNIQUE (uid);


--
-- Name: uk_emoyyyy114ofh6cwo6do8xsi0; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY version
    ADD CONSTRAINT uk_emoyyyy114ofh6cwo6do8xsi0 UNIQUE (versionkey);


--
-- Name: uk_emyh4fed0f1kknqhimmrhnek8; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboard
    ADD CONSTRAINT uk_emyh4fed0f1kknqhimmrhnek8 UNIQUE (code);


--
-- Name: uk_eol69wovoy6rdsf83affs376e; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovallevelusergroupaccesses
    ADD CONSTRAINT uk_eol69wovoy6rdsf83affs376e UNIQUE (usergroupaccessid);


--
-- Name: uk_eqd95mucf5pd856dqlwe6y36c; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport
    ADD CONSTRAINT uk_eqd95mucf5pd856dqlwe6y36c UNIQUE (code);


--
-- Name: uk_etm1elt7pbwyia8e0kfnrvqo3; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY smscommandspecialcharacters
    ADD CONSTRAINT uk_etm1elt7pbwyia8e0kfnrvqo3 UNIQUE (specialcharacterid);


--
-- Name: uk_evp7d8obarxt3kewepigkwahc; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattribute
    ADD CONSTRAINT uk_evp7d8obarxt3kewepigkwahc UNIQUE (name);


--
-- Name: uk_eyke73kujhkth5elabmkpy4ca; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY chart
    ADD CONSTRAINT uk_eyke73kujhkth5elabmkpy4ca UNIQUE (code);


--
-- Name: uk_f1lcs0g7sjp18kn76owjsf2hv; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY metadatafilter
    ADD CONSTRAINT uk_f1lcs0g7sjp18kn76owjsf2hv UNIQUE (name);


--
-- Name: uk_fbferisvig2o4f5owb5lnygf3; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programruleaction
    ADD CONSTRAINT uk_fbferisvig2o4f5owb5lnygf3 UNIQUE (code);


--
-- Name: uk_ff1da38in40mg91rlgqhw02ff; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userrole
    ADD CONSTRAINT uk_ff1da38in40mg91rlgqhw02ff UNIQUE (uid);


--
-- Name: uk_ficc46qh952uupa5o04svktv2; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryoptionattributevalues
    ADD CONSTRAINT uk_ficc46qh952uupa5o04svktv2 UNIQUE (attributevalueid);


--
-- Name: uk_fokuy0yq9krttmqaf95ne7ql7; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupattributevalues
    ADD CONSTRAINT uk_fokuy0yq9krttmqaf95ne7ql7 UNIQUE (attributevalueid);


--
-- Name: uk_fps2ja521pudngaitlp0805du; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY sqlview
    ADD CONSTRAINT uk_fps2ja521pudngaitlp0805du UNIQUE (uid);


--
-- Name: uk_fuentbuhbbr0ix49td9jqlfe5; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupset
    ADD CONSTRAINT uk_fuentbuhbbr0ix49td9jqlfe5 UNIQUE (uid);


--
-- Name: uk_fuq6kda6folarp19oggaf02vb; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program
    ADD CONSTRAINT uk_fuq6kda6folarp19oggaf02vb UNIQUE (code);


--
-- Name: uk_fvgc7isaflcan55g51ysm9df2; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitlevel
    ADD CONSTRAINT uk_fvgc7isaflcan55g51ysm9df2 UNIQUE (code);


--
-- Name: uk_fwso2d10icu8j6720w82tywmq; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY colorset
    ADD CONSTRAINT uk_fwso2d10icu8j6720w82tywmq UNIQUE (code);


--
-- Name: uk_fx3xx9xe0xpurjt6v5p7rv8da; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY oauth2client
    ADD CONSTRAINT uk_fx3xx9xe0xpurjt6v5p7rv8da UNIQUE (uid);


--
-- Name: uk_fymtho48lmccwmlag2amy7gc1; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentity
    ADD CONSTRAINT uk_fymtho48lmccwmlag2amy7gc1 UNIQUE (uid);


--
-- Name: uk_g1nrfjv5x04ap1ceohiwah380; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY organisationunit
    ADD CONSTRAINT uk_g1nrfjv5x04ap1ceohiwah380 UNIQUE (uid);


--
-- Name: uk_g51ij19h9pv4bythd05ajm284; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplayer
    ADD CONSTRAINT uk_g51ij19h9pv4bythd05ajm284 UNIQUE (name);


--
-- Name: uk_g7l1v9ghhdmxbyagk6s61ym27; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupsetusergroupaccesses
    ADD CONSTRAINT uk_g7l1v9ghhdmxbyagk6s61ym27 UNIQUE (usergroupaccessid);


--
-- Name: uk_gdawhakuh5sgetn8agy2y8iqs; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryoptionusergroupaccesses
    ADD CONSTRAINT uk_gdawhakuh5sgetn8agy2y8iqs UNIQUE (usergroupaccessid);


--
-- Name: uk_gdfuf3j66jxnvwwnksjxqysac; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY oauth2client
    ADD CONSTRAINT uk_gdfuf3j66jxnvwwnksjxqysac UNIQUE (code);


--
-- Name: uk_ge3y4pf6qlne9p7rfmhlvg941; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroup
    ADD CONSTRAINT uk_ge3y4pf6qlne9p7rfmhlvg941 UNIQUE (code);


--
-- Name: uk_gg9gc0pyaqjuxi8mr4y93i03w; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattribute
    ADD CONSTRAINT uk_gg9gc0pyaqjuxi8mr4y93i03w UNIQUE (shortname);


--
-- Name: uk_gi1od6nead01u7wxu6h10k76j; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryusergroupaccesses
    ADD CONSTRAINT uk_gi1od6nead01u7wxu6h10k76j UNIQUE (usergroupaccessid);


--
-- Name: uk_gio4nn8l23jikmebud3jwql43; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY relationshiptype
    ADD CONSTRAINT uk_gio4nn8l23jikmebud3jwql43 UNIQUE (code);


--
-- Name: uk_gky85ptfkcumyuqhr5yvjxwsa; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userinfo
    ADD CONSTRAINT uk_gky85ptfkcumyuqhr5yvjxwsa UNIQUE (code);


--
-- Name: uk_grp9b5jne53f806pc92sfd5s8; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY map
    ADD CONSTRAINT uk_grp9b5jne53f806pc92sfd5s8 UNIQUE (uid);


--
-- Name: uk_gy44hufdeduoma7eeh3j6abm7; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstageinstance
    ADD CONSTRAINT uk_gy44hufdeduoma7eeh3j6abm7 UNIQUE (uid);


--
-- Name: uk_h3qgkg0gvi3c0ohs07y00c96p; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userroleusergroupaccesses
    ADD CONSTRAINT uk_h3qgkg0gvi3c0ohs07y00c96p UNIQUE (usergroupaccessid);


--
-- Name: uk_h4omjcs2ktifdrf2m36u886ae; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program
    ADD CONSTRAINT uk_h4omjcs2ktifdrf2m36u886ae UNIQUE (uid);


--
-- Name: uk_h97pko7n41oky8pfptkflp8l6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categorycombo
    ADD CONSTRAINT uk_h97pko7n41oky8pfptkflp8l6 UNIQUE (name);


--
-- Name: uk_hbpqcltj8paday3y0yystbw6p; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementattributevalues
    ADD CONSTRAINT uk_hbpqcltj8paday3y0yystbw6p UNIQUE (attributevalueid);


--
-- Name: uk_hebhkhm8gpwg9xsp8q4f7wlx1; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userrole
    ADD CONSTRAINT uk_hebhkhm8gpwg9xsp8q4f7wlx1 UNIQUE (code);


--
-- Name: uk_hjocbvo9fla04bgj7ku32vwsn; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userrole
    ADD CONSTRAINT uk_hjocbvo9fla04bgj7ku32vwsn UNIQUE (name);


--
-- Name: uk_hpwum0iq12fs4ej5d0tgy6wsn; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY attribute
    ADD CONSTRAINT uk_hpwum0iq12fs4ej5d0tgy6wsn UNIQUE (name);


--
-- Name: uk_hqekpuhjg3g4k4t7xdnu10jy4; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovallevel
    ADD CONSTRAINT uk_hqekpuhjg3g4k4t7xdnu10jy4 UNIQUE (orgunitlevel, categoryoptiongroupsetid);


--
-- Name: uk_hs57i9hma97ps6jpsrbb24lm9; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupset
    ADD CONSTRAINT uk_hs57i9hma97ps6jpsrbb24lm9 UNIQUE (code);


--
-- Name: uk_i1uhc0c8jgxkhlswl9fujsicf; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovallevel
    ADD CONSTRAINT uk_i1uhc0c8jgxkhlswl9fujsicf UNIQUE (uid);


--
-- Name: uk_i5fq2uvmldylk7kkwxhmap5d1; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityinstancereminder
    ADD CONSTRAINT uk_i5fq2uvmldylk7kkwxhmap5d1 UNIQUE (uid);


--
-- Name: uk_i8fi14r4cfuvmqhaai5w1x6fl; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programvalidation
    ADD CONSTRAINT uk_i8fi14r4cfuvmqhaai5w1x6fl UNIQUE (name);


--
-- Name: uk_id4stsb5slq35axmjeojnjnoa; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplegend
    ADD CONSTRAINT uk_id4stsb5slq35axmjeojnjnoa UNIQUE (code);


--
-- Name: uk_iedn1e511sbiosnic2nb8n6lk; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programindicatorusergroupaccesses
    ADD CONSTRAINT uk_iedn1e511sbiosnic2nb8n6lk UNIQUE (usergroupaccessid);


--
-- Name: uk_iedy6hh42wl3gr3m87ntd6so8; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY sqlview
    ADD CONSTRAINT uk_iedy6hh42wl3gr3m87ntd6so8 UNIQUE (name);


--
-- Name: uk_j5pi1qwi2m228qrsxql48o61s; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY messageconversation_usermessages
    ADD CONSTRAINT uk_j5pi1qwi2m228qrsxql48o61s UNIQUE (usermessageid);


--
-- Name: uk_j9oya1t1tvj8yn5h8fega4ltr; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroup
    ADD CONSTRAINT uk_j9oya1t1tvj8yn5h8fega4ltr UNIQUE (name);


--
-- Name: uk_jc27pe1xeptws5xprct7mgxrj; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT uk_jc27pe1xeptws5xprct7mgxrj UNIQUE (shortname);


--
-- Name: uk_jfy289hg8eudoop91b1496ba3; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitlevel
    ADD CONSTRAINT uk_jfy289hg8eudoop91b1496ba3 UNIQUE (name);


--
-- Name: uk_jga8ebd6t2nkrfcapucx1wcbq; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupattributevalues
    ADD CONSTRAINT uk_jga8ebd6t2nkrfcapucx1wcbq UNIQUE (attributevalueid);


--
-- Name: uk_ji8e92141qdirt8ycldqfkkb9; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programvalidation
    ADD CONSTRAINT uk_ji8e92141qdirt8ycldqfkkb9 UNIQUE (uid);


--
-- Name: uk_jkg0r5akwcxtamstsq9kv4t4p; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT uk_jkg0r5akwcxtamstsq9kv4t4p UNIQUE (ldapid);


--
-- Name: uk_jo65jc3wyrxfekiu3upk80mtr; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroup
    ADD CONSTRAINT uk_jo65jc3wyrxfekiu3upk80mtr UNIQUE (code);


--
-- Name: uk_jxodv1lvot26euasttk021jio; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY document
    ADD CONSTRAINT uk_jxodv1lvot26euasttk021jio UNIQUE (uid);


--
-- Name: uk_jxqj907hbrng860p6mypvl63k; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY fileresource
    ADD CONSTRAINT uk_jxqj907hbrng860p6mypvl63k UNIQUE (storagekey);


--
-- Name: uk_k48tayhxu52jiq782pikev9d9; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY interpretation_comments
    ADD CONSTRAINT uk_k48tayhxu52jiq782pikev9d9 UNIQUE (interpretationcommentid);


--
-- Name: uk_kbqnrdakcjfooofmti30d4p8x; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattribute
    ADD CONSTRAINT uk_kbqnrdakcjfooofmti30d4p8x UNIQUE (uid);


--
-- Name: uk_kc1wmcky1ooleovi36oqcqmqe; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY report
    ADD CONSTRAINT uk_kc1wmcky1ooleovi36oqcqmqe UNIQUE (code);


--
-- Name: uk_ke8p30sy68dl7fggednkimdb6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupset
    ADD CONSTRAINT uk_ke8p30sy68dl7fggednkimdb6 UNIQUE (name);


--
-- Name: uk_kk6o2c0eb5bex4sn1p5n7juu5; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupsetusergroupaccesses
    ADD CONSTRAINT uk_kk6o2c0eb5bex4sn1p5n7juu5 UNIQUE (usergroupaccessid);


--
-- Name: uk_klp41jyfuo6kfe8akt58fk1am; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrulegroupusergroupaccesses
    ADD CONSTRAINT uk_klp41jyfuo6kfe8akt58fk1am UNIQUE (usergroupaccessid);


--
-- Name: uk_kmpefoaw81v4bxpoey6y1y3xl; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicator
    ADD CONSTRAINT uk_kmpefoaw81v4bxpoey6y1y3xl UNIQUE (code);


--
-- Name: uk_kqbwxccoqctky1kdkimjya03s; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroup
    ADD CONSTRAINT uk_kqbwxccoqctky1kdkimjya03s UNIQUE (uid);


--
-- Name: uk_krfvmvcrf3agy0jlmbh7n2kvb; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventchartusergroupaccesses
    ADD CONSTRAINT uk_krfvmvcrf3agy0jlmbh7n2kvb UNIQUE (usergroupaccessid);


--
-- Name: uk_krm9w69donjqsejkmfw17jbcx; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY i18nlocale
    ADD CONSTRAINT uk_krm9w69donjqsejkmfw17jbcx UNIQUE (code);


--
-- Name: uk_kw8ong945syafd2310ahwfu9l; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroupusergroupaccesses
    ADD CONSTRAINT uk_kw8ong945syafd2310ahwfu9l UNIQUE (usergroupaccessid);


--
-- Name: uk_l1cufoqirp2onveti3bpuyo92; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupsetattributevalues
    ADD CONSTRAINT uk_l1cufoqirp2onveti3bpuyo92 UNIQUE (attributevalueid);


--
-- Name: uk_l4rldmsxivwmlhg2xt9bn0k25; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY maplayer
    ADD CONSTRAINT uk_l4rldmsxivwmlhg2xt9bn0k25 UNIQUE (code);


--
-- Name: uk_ldbbgacwc69ab5tha0u7dhg82; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programattributevalues
    ADD CONSTRAINT uk_ldbbgacwc69ab5tha0u7dhg82 UNIQUE (attributevalueid);


--
-- Name: uk_lgju00pi2jk7y6sl4dkhaykux; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program_attributes
    ADD CONSTRAINT uk_lgju00pi2jk7y6sl4dkhaykux UNIQUE (uid);


--
-- Name: uk_lnnx8vmalkhkmneryv1ytjq68; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport
    ADD CONSTRAINT uk_lnnx8vmalkhkmneryv1ytjq68 UNIQUE (uid);


--
-- Name: uk_lrnagoy2wi83nwmataolh7t6d; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroup
    ADD CONSTRAINT uk_lrnagoy2wi83nwmataolh7t6d UNIQUE (shortname);


--
-- Name: uk_lswbn93sime7vmdqqe9lks7ge; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroup
    ADD CONSTRAINT uk_lswbn93sime7vmdqqe9lks7ge UNIQUE (uid);


--
-- Name: uk_ltwhby0s0iwayxrcdu6yefeqt; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitlevel
    ADD CONSTRAINT uk_ltwhby0s0iwayxrcdu6yefeqt UNIQUE (level);


--
-- Name: uk_lu295rc1y01c7p7t76y6ajaas; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupset
    ADD CONSTRAINT uk_lu295rc1y01c7p7t76y6ajaas UNIQUE (uid);


--
-- Name: uk_lvk31hlxg4sl301nxyt1iupd6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttable
    ADD CONSTRAINT uk_lvk31hlxg4sl301nxyt1iupd6 UNIQUE (code);


--
-- Name: uk_lwep604j10w1ey7vunqdmotx2; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programinstancecomments
    ADD CONSTRAINT uk_lwep604j10w1ey7vunqdmotx2 UNIQUE (trackedentitycommentid);


--
-- Name: uk_lycal9jdw3cs0wwebxciswwgr; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstagesection
    ADD CONSTRAINT uk_lycal9jdw3cs0wwebxciswwgr UNIQUE (uid);


--
-- Name: uk_mlop2afk26fwowa69lr9a138y; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryoption
    ADD CONSTRAINT uk_mlop2afk26fwowa69lr9a138y UNIQUE (code);


--
-- Name: uk_myox13mr8r27oxl7ts33ntpd5; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dashboard
    ADD CONSTRAINT uk_myox13mr8r27oxl7ts33ntpd5 UNIQUE (uid);


--
-- Name: uk_n18s4feicujvngv2ajoesdgio; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataapprovalworkflow
    ADD CONSTRAINT uk_n18s4feicujvngv2ajoesdgio UNIQUE (name);


--
-- Name: uk_n4xputyk31femiaxls6lbl2rw; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupset
    ADD CONSTRAINT uk_n4xputyk31femiaxls6lbl2rw UNIQUE (uid);


--
-- Name: uk_n8mbmryeksa80ucyxj0vg6p9b; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatortype
    ADD CONSTRAINT uk_n8mbmryeksa80ucyxj0vg6p9b UNIQUE (name);


--
-- Name: uk_ni7epmbxtn4jcax3ya324ff9w; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY oauth2client
    ADD CONSTRAINT uk_ni7epmbxtn4jcax3ya324ff9w UNIQUE (cid);


--
-- Name: uk_nqdtggpr548q0tnbu919puw0p; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY messageconversation_messages
    ADD CONSTRAINT uk_nqdtggpr548q0tnbu919puw0p UNIQUE (messageid);


--
-- Name: uk_nwgvrevv2slj1bvc9m01p89lf; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY oauth2client
    ADD CONSTRAINT uk_nwgvrevv2slj1bvc9m01p89lf UNIQUE (name);


--
-- Name: uk_nwomu20vyjce2jxwdjdfx29lx; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributegroup
    ADD CONSTRAINT uk_nwomu20vyjce2jxwdjdfx29lx UNIQUE (name);


--
-- Name: uk_nywvip5682tuvxrnwjomeyg6y; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY constant
    ADD CONSTRAINT uk_nywvip5682tuvxrnwjomeyg6y UNIQUE (uid);


--
-- Name: uk_o2xbcli806eba6dkdfco0o3kc; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY constant
    ADD CONSTRAINT uk_o2xbcli806eba6dkdfco0o3kc UNIQUE (name);


--
-- Name: uk_oaeinmk3jp70e5pkrffra5oak; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributegroup
    ADD CONSTRAINT uk_oaeinmk3jp70e5pkrffra5oak UNIQUE (code);


--
-- Name: uk_oeni5ndit5g033f1s1j08bdry; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataset
    ADD CONSTRAINT uk_oeni5ndit5g033f1s1j08bdry UNIQUE (code);


--
-- Name: uk_ofc2a89rccimogdp9ownwcuy1; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY colorset
    ADD CONSTRAINT uk_ofc2a89rccimogdp9ownwcuy1 UNIQUE (name);


--
-- Name: uk_ofw2gg6ghv4rkqo24rm9yhpdt; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionattributevalues
    ADD CONSTRAINT uk_ofw2gg6ghv4rkqo24rm9yhpdt UNIQUE (attributevalueid);


--
-- Name: uk_og1fdqhhylbk69fxpoth4bd36; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY sqlviewusergroupaccesses
    ADD CONSTRAINT uk_og1fdqhhylbk69fxpoth4bd36 UNIQUE (usergroupaccessid);


--
-- Name: uk_oith7i266qbjggmij30psueoo; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreportusergroupaccesses
    ADD CONSTRAINT uk_oith7i266qbjggmij30psueoo UNIQUE (usergroupaccessid);


--
-- Name: uk_oj2bhkjfgcl9rcwlf579dl1d6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY colorset
    ADD CONSTRAINT uk_oj2bhkjfgcl9rcwlf579dl1d6 UNIQUE (uid);


--
-- Name: uk_ol8n7oq6clgxvqjedlpn85aqo; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptiongroup
    ADD CONSTRAINT uk_ol8n7oq6clgxvqjedlpn85aqo UNIQUE (uid);


--
-- Name: uk_orq3pwtro2yu9yydh046bn40j; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityinstance
    ADD CONSTRAINT uk_orq3pwtro2yu9yydh046bn40j UNIQUE (code);


--
-- Name: uk_os4r1umsvtmbuqm2bo25s5ej0; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstagedataelement
    ADD CONSTRAINT uk_os4r1umsvtmbuqm2bo25s5ej0 UNIQUE (uid);


--
-- Name: uk_otvwcgv4bxjtqfj3flhrnmgf7; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroup
    ADD CONSTRAINT uk_otvwcgv4bxjtqfj3flhrnmgf7 UNIQUE (uid);


--
-- Name: uk_p0p3bwhgbsdemu14v23p47qne; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatortype
    ADD CONSTRAINT uk_p0p3bwhgbsdemu14v23p47qne UNIQUE (uid);


--
-- Name: uk_p0rvldurcmk0x3mx39lt5uvsd; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionset
    ADD CONSTRAINT uk_p0rvldurcmk0x3mx39lt5uvsd UNIQUE (name);


--
-- Name: uk_p7arcbl58mmcrj2didtr0ruqh; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programrule
    ADD CONSTRAINT uk_p7arcbl58mmcrj2didtr0ruqh UNIQUE (uid);


--
-- Name: uk_p7egnv3sj4ugyl23mk4vga40k; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementgroupset
    ADD CONSTRAINT uk_p7egnv3sj4ugyl23mk4vga40k UNIQUE (code);


--
-- Name: uk_p8tvo9tqrdn5tb45d0g5cko5o; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataentryform
    ADD CONSTRAINT uk_p8tvo9tqrdn5tb45d0g5cko5o UNIQUE (name);


--
-- Name: uk_p95o4dnytx8vxb7yugxlu2hhf; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categorycombousergroupaccesses
    ADD CONSTRAINT uk_p95o4dnytx8vxb7yugxlu2hhf UNIQUE (usergroupaccessid);


--
-- Name: uk_pag45qp5gr17svxsntj5tjw66; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY mapusergroupaccesses
    ADD CONSTRAINT uk_pag45qp5gr17svxsntj5tjw66 UNIQUE (usergroupaccessid);


--
-- Name: uk_pbj3u1nk9vnuof8f47utvowmv; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryoption
    ADD CONSTRAINT uk_pbj3u1nk9vnuof8f47utvowmv UNIQUE (name);


--
-- Name: uk_pw2bgc9ykjad2obefeqha28t4; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY organisationunit
    ADD CONSTRAINT uk_pw2bgc9ykjad2obefeqha28t4 UNIQUE (path);


--
-- Name: uk_pw87bi64e3ev11k7dwrmljo78; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategory
    ADD CONSTRAINT uk_pw87bi64e3ev11k7dwrmljo78 UNIQUE (code);


--
-- Name: uk_q0obvr5rvxhlnjs367y1f0bav; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataentryform
    ADD CONSTRAINT uk_q0obvr5rvxhlnjs367y1f0bav UNIQUE (uid);


--
-- Name: uk_q0oyainj1lis9c8kkh5sky2ri; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY eventreport
    ADD CONSTRAINT uk_q0oyainj1lis9c8kkh5sky2ri UNIQUE (relativeperiodsid);


--
-- Name: uk_q20sh82vk885ooi7fekwtboej; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usergroup
    ADD CONSTRAINT uk_q20sh82vk885ooi7fekwtboej UNIQUE (code);


--
-- Name: uk_q2mhld3431cikld8ocnognnl3; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userattributevalues
    ADD CONSTRAINT uk_q2mhld3431cikld8ocnognnl3 UNIQUE (attributevalueid);


--
-- Name: uk_qa5c4eva4rxafw5b7eyddp64m; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usergroupusergroupaccesses
    ADD CONSTRAINT uk_qa5c4eva4rxafw5b7eyddp64m UNIQUE (usergroupaccessid);


--
-- Name: uk_qaqvbi3rmqrmsesdwr2dkltwd; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroupattributevalues
    ADD CONSTRAINT uk_qaqvbi3rmqrmsesdwr2dkltwd UNIQUE (attributevalueid);


--
-- Name: uk_qba465kdmkyxal2f05g3f1f94; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY interpretationusergroupaccesses
    ADD CONSTRAINT uk_qba465kdmkyxal2f05g3f1f94 UNIQUE (usergroupaccessid);


--
-- Name: uk_qki43s9vdndg15c9tyv718u1j; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY categoryoptioncombo
    ADD CONSTRAINT uk_qki43s9vdndg15c9tyv718u1j UNIQUE (uid);


--
-- Name: uk_qogg9a7yy4qconomxt4j4upql; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY i18nlocale
    ADD CONSTRAINT uk_qogg9a7yy4qconomxt4j4upql UNIQUE (name);


--
-- Name: uk_qp9201a4m6jl53sei0huh4l6s; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY dataelementcategoryoption
    ADD CONSTRAINT uk_qp9201a4m6jl53sei0huh4l6s UNIQUE (shortname);


--
-- Name: uk_qwk9qdapql867enp5r7fa0uic; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroup
    ADD CONSTRAINT uk_qwk9qdapql867enp5r7fa0uic UNIQUE (name);


--
-- Name: uk_r0njvkxgdxior87ay09qxvd4g; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupusergroupaccesses
    ADD CONSTRAINT uk_r0njvkxgdxior87ay09qxvd4g UNIQUE (usergroupaccessid);


--
-- Name: uk_r2f9o8i6th2w8vqdexdfo72ui; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY program_attributes
    ADD CONSTRAINT uk_r2f9o8i6th2w8vqdexdfo72ui UNIQUE (code);


--
-- Name: uk_r43af9ap4edm43mmtq01oddj6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT uk_r43af9ap4edm43mmtq01oddj6 UNIQUE (username);


--
-- Name: uk_r7hbkahkkbgfg9xtxlp9mhq3q; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentity
    ADD CONSTRAINT uk_r7hbkahkkbgfg9xtxlp9mhq3q UNIQUE (code);


--
-- Name: uk_rbr4kyuk4s0kb4jo1r77cuaq9; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityinstance
    ADD CONSTRAINT uk_rbr4kyuk4s0kb4jo1r77cuaq9 UNIQUE (uid);


--
-- Name: uk_reg868y2sf1u7nqeedx44sl9c; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY caseaggregationcondition
    ADD CONSTRAINT uk_reg868y2sf1u7nqeedx44sl9c UNIQUE (name);


--
-- Name: uk_rh1jwubao1t728iys0662k7go; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datasetattributevalues
    ADD CONSTRAINT uk_rh1jwubao1t728iys0662k7go UNIQUE (attributevalueid);


--
-- Name: uk_rrv70c7ej18sptdwj7h6ac5rv; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY color
    ADD CONSTRAINT uk_rrv70c7ej18sptdwj7h6ac5rv UNIQUE (uid);


--
-- Name: uk_rtty45gvm30id8sglrlmacatq; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY documentusergroupaccesses
    ADD CONSTRAINT uk_rtty45gvm30id8sglrlmacatq UNIQUE (usergroupaccessid);


--
-- Name: uk_rvfiukug5ui7qidoiln3el3aa; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY optionset
    ADD CONSTRAINT uk_rvfiukug5ui7qidoiln3el3aa UNIQUE (code);


--
-- Name: uk_rwk01y8pn2jo3plo7ap28tgb6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programdataelement
    ADD CONSTRAINT uk_rwk01y8pn2jo3plo7ap28tgb6 UNIQUE (code);


--
-- Name: uk_sc8477b26totcch3j096m2n2y; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY datasetusergroupaccesses
    ADD CONSTRAINT uk_sc8477b26totcch3j096m2n2y UNIQUE (usergroupaccessid);


--
-- Name: uk_scct22hvsdg7ulw7c1mlqivk4; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityinstancereminder
    ADD CONSTRAINT uk_scct22hvsdg7ulw7c1mlqivk4 UNIQUE (code);


--
-- Name: uk_skin40axv0jcme3bhsbb7156i; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationcriteria
    ADD CONSTRAINT uk_skin40axv0jcme3bhsbb7156i UNIQUE (code);


--
-- Name: uk_smv9qylxikotjgjc26t86ps4w; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY trackedentityattributevalues
    ADD CONSTRAINT uk_smv9qylxikotjgjc26t86ps4w UNIQUE (attributevalueid);


--
-- Name: uk_snvmtdujf8utme36jqx2g1dwe; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY caseaggregationcondition
    ADD CONSTRAINT uk_snvmtdujf8utme36jqx2g1dwe UNIQUE (code);


--
-- Name: uk_sspviu4m0l0lf7ef3t3cagfxd; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicatorgroup
    ADD CONSTRAINT uk_sspviu4m0l0lf7ef3t3cagfxd UNIQUE (code);


--
-- Name: uk_t0dg39dopew9f6y64ucsx7194; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrule
    ADD CONSTRAINT uk_t0dg39dopew9f6y64ucsx7194 UNIQUE (uid);


--
-- Name: uk_t0srkng3akwg3pcp5qlwcx06n; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroup
    ADD CONSTRAINT uk_t0srkng3akwg3pcp5qlwcx06n UNIQUE (shortname);


--
-- Name: uk_t5lxvc1km3ylon5st1fuabsgl; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY orgunitgroupset
    ADD CONSTRAINT uk_t5lxvc1km3ylon5st1fuabsgl UNIQUE (name);


--
-- Name: uk_t9e1mnpydje0rsvinxq68q1i6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY smscommandcodes
    ADD CONSTRAINT uk_t9e1mnpydje0rsvinxq68q1i6 UNIQUE (codeid);


--
-- Name: uk_ta80keoi67443tkvvmx8l872x; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY indicator
    ADD CONSTRAINT uk_ta80keoi67443tkvvmx8l872x UNIQUE (uid);


--
-- Name: uk_tbkbjga8h4j5u33d7hbcuk66t; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY period
    ADD CONSTRAINT uk_tbkbjga8h4j5u33d7hbcuk66t UNIQUE (periodtypeid, startdate, enddate);


--
-- Name: uk_tbro727eo15qmn3ghlhoyifih; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY reporttableusergroupaccesses
    ADD CONSTRAINT uk_tbro727eo15qmn3ghlhoyifih UNIQUE (usergroupaccessid);


--
-- Name: uk_tcx1w0yoc6k0h8qnagg18eqs6; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY programstageattributevalues
    ADD CONSTRAINT uk_tcx1w0yoc6k0h8qnagg18eqs6 UNIQUE (attributevalueid);


--
-- Name: uk_tikknlgl0im3w68yvlb0swrgd; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY keyjsonvalue
    ADD CONSTRAINT uk_tikknlgl0im3w68yvlb0swrgd UNIQUE (code);


--
-- Name: uk_toc5okc2yqhceyw6jg3rk36lo; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY caseaggregationcondition
    ADD CONSTRAINT uk_toc5okc2yqhceyw6jg3rk36lo UNIQUE (uid);


--
-- Name: userapps_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userapps
    ADD CONSTRAINT userapps_pkey PRIMARY KEY (userinfoid, sort_order);


--
-- Name: userattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userattributevalues
    ADD CONSTRAINT userattributevalues_pkey PRIMARY KEY (userinfoid, attributevalueid);


--
-- Name: userdatavieworgunits_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userdatavieworgunits
    ADD CONSTRAINT userdatavieworgunits_pkey PRIMARY KEY (userinfoid, organisationunitid);


--
-- Name: usergroup_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usergroup
    ADD CONSTRAINT usergroup_pkey PRIMARY KEY (usergroupid);


--
-- Name: usergroupaccess_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usergroupaccess
    ADD CONSTRAINT usergroupaccess_pkey PRIMARY KEY (usergroupaccessid);


--
-- Name: usergroupattributevalues_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usergroupattributevalues
    ADD CONSTRAINT usergroupattributevalues_pkey PRIMARY KEY (usergroupid, attributevalueid);


--
-- Name: usergroupmanaged_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usergroupmanaged
    ADD CONSTRAINT usergroupmanaged_pkey PRIMARY KEY (managedbygroupid, managedgroupid);


--
-- Name: usergroupmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usergroupmembers
    ADD CONSTRAINT usergroupmembers_pkey PRIMARY KEY (usergroupid, userid);


--
-- Name: usergroupusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usergroupusergroupaccesses
    ADD CONSTRAINT usergroupusergroupaccesses_pkey PRIMARY KEY (usergroupid, usergroupaccessid);


--
-- Name: userinfo_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userinfo
    ADD CONSTRAINT userinfo_pkey PRIMARY KEY (userinfoid);


--
-- Name: usermembership_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usermembership
    ADD CONSTRAINT usermembership_pkey PRIMARY KEY (userinfoid, organisationunitid);


--
-- Name: usermessage_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usermessage
    ADD CONSTRAINT usermessage_pkey PRIMARY KEY (usermessageid);


--
-- Name: userrole_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userrole
    ADD CONSTRAINT userrole_pkey PRIMARY KEY (userroleid);


--
-- Name: userroledataset_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userroledataset
    ADD CONSTRAINT userroledataset_pkey PRIMARY KEY (userroleid, datasetid);


--
-- Name: userrolemembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userrolemembers
    ADD CONSTRAINT userrolemembers_pkey PRIMARY KEY (userid, userroleid);


--
-- Name: userroleusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY userroleusergroupaccesses
    ADD CONSTRAINT userroleusergroupaccesses_pkey PRIMARY KEY (userroleid, usergroupaccessid);


--
-- Name: users_catdimensionconstraints_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY users_catdimensionconstraints
    ADD CONSTRAINT users_catdimensionconstraints_pkey PRIMARY KEY (userid, dataelementcategoryid);


--
-- Name: users_cogsdimensionconstraints_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY users_cogsdimensionconstraints
    ADD CONSTRAINT users_cogsdimensionconstraints_pkey PRIMARY KEY (userid, categoryoptiongroupsetid);


--
-- Name: users_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_pkey PRIMARY KEY (userid);


--
-- Name: usersetting_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY usersetting
    ADD CONSTRAINT usersetting_pkey PRIMARY KEY (userinfoid, name);


--
-- Name: validationcriteria_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationcriteria
    ADD CONSTRAINT validationcriteria_pkey PRIMARY KEY (validationcriteriaid);


--
-- Name: validationrule_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrule
    ADD CONSTRAINT validationrule_pkey PRIMARY KEY (validationruleid);


--
-- Name: validationrulegroup_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrulegroup
    ADD CONSTRAINT validationrulegroup_pkey PRIMARY KEY (validationrulegroupid);


--
-- Name: validationrulegroupmembers_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrulegroupmembers
    ADD CONSTRAINT validationrulegroupmembers_pkey PRIMARY KEY (validationgroupid, validationruleid);


--
-- Name: validationrulegroupusergroupaccesses_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrulegroupusergroupaccesses
    ADD CONSTRAINT validationrulegroupusergroupaccesses_pkey PRIMARY KEY (validationrulegroupid, usergroupaccessid);


--
-- Name: validationrulegroupusergroupstoalert_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY validationrulegroupusergroupstoalert
    ADD CONSTRAINT validationrulegroupusergroupstoalert_pkey PRIMARY KEY (validationgroupid, usergroupid);


--
-- Name: version_pkey; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY version
    ADD CONSTRAINT version_pkey PRIMARY KEY (versionid);


--
-- Name: version_versionkey_key; Type: CONSTRAINT; Schema: public; Owner: dhis; Tablespace: 
--

ALTER TABLE ONLY version
    ADD CONSTRAINT version_versionkey_key UNIQUE (versionkey);


--
-- Name: id_datavalueaudit_created; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX id_datavalueaudit_created ON datavalueaudit USING btree (created);


--
-- Name: in_dataapprovallevel_level; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX in_dataapprovallevel_level ON dataapprovallevel USING btree (level);


--
-- Name: in_datavalue_lastupdated; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX in_datavalue_lastupdated ON datavalue USING btree (lastupdated);


--
-- Name: in_datavalueaudit; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX in_datavalueaudit ON datavalueaudit USING btree (dataelementid, periodid, organisationunitid, categoryoptioncomboid, attributeoptioncomboid);


--
-- Name: in_organisationunit_hierarchylevel; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX in_organisationunit_hierarchylevel ON organisationunit USING btree (hierarchylevel);


--
-- Name: in_organisationunit_path; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX in_organisationunit_path ON organisationunit USING btree (path);


--
-- Name: in_parentid; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX in_parentid ON organisationunit USING btree (parentid);


--
-- Name: in_trackedentityattributevalue_attributeid; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX in_trackedentityattributevalue_attributeid ON trackedentityattributevalue USING btree (trackedentityattributeid);


--
-- Name: index_minmaxdataelement; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX index_minmaxdataelement ON minmaxdataelement USING btree (sourceid, dataelementid, categoryoptioncomboid);


--
-- Name: index_programinstance; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX index_programinstance ON programinstance USING btree (programinstanceid);


--
-- Name: interpretation_lastupdated; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX interpretation_lastupdated ON interpretation USING btree (lastupdated);


--
-- Name: maplegend_endvalue; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX maplegend_endvalue ON maplegend USING btree (endvalue);


--
-- Name: maplegend_startvalue; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX maplegend_startvalue ON maplegend USING btree (startvalue);


--
-- Name: messageconversation_lastmessage; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX messageconversation_lastmessage ON messageconversation USING btree (lastmessage);


--
-- Name: outbound_sms_status_index; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX outbound_sms_status_index ON outbound_sms USING btree (status);


--
-- Name: programstageinstance_executiondate; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX programstageinstance_executiondate ON programstageinstance USING btree (executiondate);


--
-- Name: programstageinstance_organisationunitid; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX programstageinstance_organisationunitid ON programstageinstance USING btree (organisationunitid);


--
-- Name: sms_originator_index; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX sms_originator_index ON incomingsms USING btree (originator);


--
-- Name: sms_status_index; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX sms_status_index ON incomingsms USING btree (status);


--
-- Name: translation_objectproperty_key; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX translation_objectproperty_key ON translation USING btree (objectproperty);


--
-- Name: usermessage_isread; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX usermessage_isread ON usermessage USING btree (isread);


--
-- Name: usermessage_userid; Type: INDEX; Schema: public; Owner: dhis; Tablespace: 
--

CREATE INDEX usermessage_userid ON usermessage USING btree (userid);


--
-- Name: fk_173igwtu5p4fpvq2ra03n0s5b; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetusergroupaccesses
    ADD CONSTRAINT fk_173igwtu5p4fpvq2ra03n0s5b FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_191y3j7pfufwrenbd2h9q3pek; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chartusergroupaccesses
    ADD CONSTRAINT fk_191y3j7pfufwrenbd2h9q3pek FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_1cciwxtt7o698c2vmxnnrjgqk; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretationusergroupaccesses
    ADD CONSTRAINT fk_1cciwxtt7o698c2vmxnnrjgqk FOREIGN KEY (interpretationid) REFERENCES interpretation(interpretationid);


--
-- Name: fk_1ecid8vtqna13pm9qm65qsfuu; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY outbound_sms_recipients
    ADD CONSTRAINT fk_1ecid8vtqna13pm9qm65qsfuu FOREIGN KEY (outbound_sms_id) REFERENCES outbound_sms(id);


--
-- Name: fk_1n7xvxj0jupob5f2v86cv8qer; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageinstancecomments
    ADD CONSTRAINT fk_1n7xvxj0jupob5f2v86cv8qer FOREIGN KEY (trackedentitycommentid) REFERENCES trackedentitycomment(trackedentitycommentid);


--
-- Name: fk_1naq88t24viefq6h7lcx3lbx4; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programusergroupaccesses
    ADD CONSTRAINT fk_1naq88t24viefq6h7lcx3lbx4 FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_1orwihy96u0j2dmt01vhmgd59; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY smscommandcodes
    ADD CONSTRAINT fk_1orwihy96u0j2dmt01vhmgd59 FOREIGN KEY (id) REFERENCES smscommands(smscommandid);


--
-- Name: fk_23tujvg5k8ahbb3pr3ev4ru4g; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupsetusergroupaccesses
    ADD CONSTRAINT fk_23tujvg5k8ahbb3pr3ev4ru4g FOREIGN KEY (indicatorgroupsetid) REFERENCES indicatorgroupset(indicatorgroupsetid);


--
-- Name: fk_287ampe6pn4aepyn14hv71907; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupattributevalues
    ADD CONSTRAINT fk_287ampe6pn4aepyn14hv71907 FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_2m9br3lto6g3kudex5fnjlu5q; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementattributevalues
    ADD CONSTRAINT fk_2m9br3lto6g3kudex5fnjlu5q FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_2wir7o5ifmimtyky3r8pw347e; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY constantusergroupaccesses
    ADD CONSTRAINT fk_2wir7o5ifmimtyky3r8pw347e FOREIGN KEY (constantid) REFERENCES constant(constantid);


--
-- Name: fk_3ebjdp5gqlb90il4grn8u8xg5; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupattributevalues
    ADD CONSTRAINT fk_3ebjdp5gqlb90il4grn8u8xg5 FOREIGN KEY (categoryoptiongroupid) REFERENCES categoryoptiongroup(categoryoptiongroupid);


--
-- Name: fk_3tn4w8rs68lpvrdaksbsalta7; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupsetusergroupaccesses
    ADD CONSTRAINT fk_3tn4w8rs68lpvrdaksbsalta7 FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_3uh2stfqjquour25m5gjfdroi; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupsetusergroupaccesses
    ADD CONSTRAINT fk_3uh2stfqjquour25m5gjfdroi FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_3va2lo93o5x8of9r244sb0ini; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributeusergroupaccesses
    ADD CONSTRAINT fk_3va2lo93o5x8of9r244sb0ini FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_41052o5dqvryv9iyp742oxbv9; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementcategoryoptionusergroupaccesses
    ADD CONSTRAINT fk_41052o5dqvryv9iyp742oxbv9 FOREIGN KEY (categoryoptionid) REFERENCES dataelementcategoryoption(categoryoptionid);


--
-- Name: fk_49cgmk9pl7bedp4lww585bbrx; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usergroupattributevalues
    ADD CONSTRAINT fk_49cgmk9pl7bedp4lww585bbrx FOREIGN KEY (usergroupid) REFERENCES usergroup(usergroupid);


--
-- Name: fk_4g59ks3urav38ix7kyqf3qova; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapprovalworkflowusergroupaccesses
    ADD CONSTRAINT fk_4g59ks3urav38ix7kyqf3qova FOREIGN KEY (workflowid) REFERENCES dataapprovalworkflow(workflowid);


--
-- Name: fk_4s85u44jluou7ix50q6dv4xgq; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY optionattributevalues
    ADD CONSTRAINT fk_4s85u44jluou7ix50q6dv4xgq FOREIGN KEY (optionvalueid) REFERENCES optionvalue(optionvalueid);


--
-- Name: fk_4sfn84gjcjre8ni3ofvhmkkvk; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY optionsetattributevalues
    ADD CONSTRAINT fk_4sfn84gjcjre8ni3ofvhmkkvk FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_4wluhhaibua3a52cts7jnrt5b; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupusergroupaccesses
    ADD CONSTRAINT fk_4wluhhaibua3a52cts7jnrt5b FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_5ejgnh1eqww2iy4m3cs98yl6m; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboardusergroupaccesses
    ADD CONSTRAINT fk_5ejgnh1eqww2iy4m3cs98yl6m FOREIGN KEY (dashboardid) REFERENCES dashboard(dashboardid);


--
-- Name: fk_5hga5ipb51aylkoieppk5vcbq; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributeusergroupaccesses
    ADD CONSTRAINT fk_5hga5ipb51aylkoieppk5vcbq FOREIGN KEY (trackedentityattributeid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_5iwcc2c18pxom1nom9sxvo22f; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY documentattributevalues
    ADD CONSTRAINT fk_5iwcc2c18pxom1nom9sxvo22f FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_5k29tii3qpfn0kx1otgpuy5gm; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY optionsetusergroupaccesses
    ADD CONSTRAINT fk_5k29tii3qpfn0kx1otgpuy5gm FOREIGN KEY (optionsetid) REFERENCES optionset(optionsetid);


--
-- Name: fk_61yelmsucg67isxc2habccq57; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usergroupattributevalues
    ADD CONSTRAINT fk_61yelmsucg67isxc2habccq57 FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_654j6saj86sn3u2da87cpmr4n; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY smscommandspecialcharacters
    ADD CONSTRAINT fk_654j6saj86sn3u2da87cpmr4n FOREIGN KEY (smscommandid) REFERENCES smscommands(smscommandid);


--
-- Name: fk_65lw6cyxo0qbd3v491sugs8i6; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY organisationunitattributevalues
    ADD CONSTRAINT fk_65lw6cyxo0qbd3v491sugs8i6 FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_6buqtfb3b0shfir6yloutkhce; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityinstancereminder
    ADD CONSTRAINT fk_6buqtfb3b0shfir6yloutkhce FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_6gnwbmpissx2s1manr6bwxriu; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorusergroupaccesses
    ADD CONSTRAINT fk_6gnwbmpissx2s1manr6bwxriu FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_6hh8abnhp5bf53rgf2r2maxgb; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapprovalworkflowusergroupaccesses
    ADD CONSTRAINT fk_6hh8abnhp5bf53rgf2r2maxgb FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_6sq5y5hpb4kqf2fmas69rql3g; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorattributevalues
    ADD CONSTRAINT fk_6sq5y5hpb4kqf2fmas69rql3g FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_71htyus0us5tgs3c9tdet9kce; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapusergroupaccesses
    ADD CONSTRAINT fk_71htyus0us5tgs3c9tdet9kce FOREIGN KEY (mapid) REFERENCES map(mapid);


--
-- Name: fk_75d35u3n0i5wea6bevn7v6t3l; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboardusergroupaccesses
    ADD CONSTRAINT fk_75d35u3n0i5wea6bevn7v6t3l FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_7e9etuauexf06887jjyp2d9ab; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupusergroupaccesses
    ADD CONSTRAINT fk_7e9etuauexf06887jjyp2d9ab FOREIGN KEY (dataelementgroupid) REFERENCES dataelementgroup(dataelementgroupid);


--
-- Name: fk_84l0gr1y8gnprsgxs3031v00i; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categorycombousergroupaccesses
    ADD CONSTRAINT fk_84l0gr1y8gnprsgxs3031v00i FOREIGN KEY (categorycomboid) REFERENCES categorycombo(categorycomboid);


--
-- Name: fk_932w5l8vbyvybhsrwwadjd3cp; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY validationrulegroupusergroupaccesses
    ADD CONSTRAINT fk_932w5l8vbyvybhsrwwadjd3cp FOREIGN KEY (validationrulegroupid) REFERENCES validationrulegroup(validationrulegroupid);


--
-- Name: fk_93jeog5cmflr7391lq9gag51m; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageinstance_messageconversation
    ADD CONSTRAINT fk_93jeog5cmflr7391lq9gag51m FOREIGN KEY (messageconversationid) REFERENCES messageconversation(messageconversationid);


--
-- Name: fk_9a0eh0b7g9invjjs34nuvntkd; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY constantusergroupaccesses
    ADD CONSTRAINT fk_9a0eh0b7g9invjjs34nuvntkd FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_9bk8wrffte75y236jgv1pmp81; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY optionsetusergroupaccesses
    ADD CONSTRAINT fk_9bk8wrffte75y236jgv1pmp81 FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_9lhu9n0rwxfpdv0tbvvi683dx; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupusergroupaccesses
    ADD CONSTRAINT fk_9lhu9n0rwxfpdv0tbvvi683dx FOREIGN KEY (categoryoptiongroupid) REFERENCES categoryoptiongroup(categoryoptiongroupid);


--
-- Name: fk_aifepg7627cpodnvy0xjc2ae5; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupsetusergroupaccesses
    ADD CONSTRAINT fk_aifepg7627cpodnvy0xjc2ae5 FOREIGN KEY (categoryoptiongroupsetid) REFERENCES categoryoptiongroupset(categoryoptiongroupsetid);


--
-- Name: fk_asp8ntgg2muwvqbs60qnm1vq7; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reportusergroupaccesses
    ADD CONSTRAINT fk_asp8ntgg2muwvqbs60qnm1vq7 FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_attribute_optionsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY attribute
    ADD CONSTRAINT fk_attribute_optionsetid FOREIGN KEY (optionsetid) REFERENCES optionset(optionsetid);


--
-- Name: fk_attributevalue_attributeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY attributevalue
    ADD CONSTRAINT fk_attributevalue_attributeid FOREIGN KEY (attributeid) REFERENCES attribute(attributeid);


--
-- Name: fk_attributevalue_trackedentityattributeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributevalue
    ADD CONSTRAINT fk_attributevalue_trackedentityattributeid FOREIGN KEY (trackedentityattributeid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_attributevalue_trackedentityinstanceid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributevalue
    ADD CONSTRAINT fk_attributevalue_trackedentityinstanceid FOREIGN KEY (trackedentityinstanceid) REFERENCES trackedentityinstance(trackedentityinstanceid);


--
-- Name: fk_attributevalueaudit_trackedentityattributeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributevalueaudit
    ADD CONSTRAINT fk_attributevalueaudit_trackedentityattributeid FOREIGN KEY (trackedentityattributeid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_attributevalueaudit_trackedentityinstanceid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributevalueaudit
    ADD CONSTRAINT fk_attributevalueaudit_trackedentityinstanceid FOREIGN KEY (trackedentityinstanceid) REFERENCES trackedentityinstance(trackedentityinstanceid);


--
-- Name: fk_bakt8xs6w33m0rc49v3mr6klp; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageinstancecomments
    ADD CONSTRAINT fk_bakt8xs6w33m0rc49v3mr6klp FOREIGN KEY (programstageinstanceid) REFERENCES programstageinstance(programstageinstanceid);


--
-- Name: fk_beu1603yxf86n5y8ephr99x77; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programinstancecomments
    ADD CONSTRAINT fk_beu1603yxf86n5y8ephr99x77 FOREIGN KEY (programinstanceid) REFERENCES programinstance(programinstanceid);


--
-- Name: fk_c3i0gwv7dful2vbdib07mrrkd; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programinstance_outboundsms
    ADD CONSTRAINT fk_c3i0gwv7dful2vbdib07mrrkd FOREIGN KEY (programinstanceid) REFERENCES programinstance(programinstanceid);


--
-- Name: fk_c7e1q9b728qh7iki2cvdbpfrb; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY organisationunitattributevalues
    ADD CONSTRAINT fk_c7e1q9b728qh7iki2cvdbpfrb FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_caseaggregationcondition_categoryoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY caseaggregationcondition
    ADD CONSTRAINT fk_caseaggregationcondition_categoryoptioncomboid FOREIGN KEY (optioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_caseaggregationcondition_dataelement; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY caseaggregationcondition
    ADD CONSTRAINT fk_caseaggregationcondition_dataelement FOREIGN KEY (aggregationdataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_caseaggregationcondition_desum; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY caseaggregationcondition
    ADD CONSTRAINT fk_caseaggregationcondition_desum FOREIGN KEY (desum) REFERENCES dataelement(dataelementid);


--
-- Name: fk_categories_categoryoptions_categoryid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categories_categoryoptions
    ADD CONSTRAINT fk_categories_categoryoptions_categoryid FOREIGN KEY (categoryid) REFERENCES dataelementcategory(categoryid);


--
-- Name: fk_category_categoryoptionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categories_categoryoptions
    ADD CONSTRAINT fk_category_categoryoptionid FOREIGN KEY (categoryoptionid) REFERENCES dataelementcategoryoption(categoryoptionid);


--
-- Name: fk_categorycombo_categoryid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categorycombos_categories
    ADD CONSTRAINT fk_categorycombo_categoryid FOREIGN KEY (categoryid) REFERENCES dataelementcategory(categoryid);


--
-- Name: fk_categorycombo_categoryoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categorycombos_optioncombos
    ADD CONSTRAINT fk_categorycombo_categoryoptioncomboid FOREIGN KEY (categoryoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_categorycombo_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categorycombo
    ADD CONSTRAINT fk_categorycombo_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_categorycombos_categories_categorycomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categorycombos_categories
    ADD CONSTRAINT fk_categorycombos_categories_categorycomboid FOREIGN KEY (categorycomboid) REFERENCES categorycombo(categorycomboid);


--
-- Name: fk_categorycombos_optioncombos_categorycomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categorycombos_optioncombos
    ADD CONSTRAINT fk_categorycombos_optioncombos_categorycomboid FOREIGN KEY (categorycomboid) REFERENCES categorycombo(categorycomboid);


--
-- Name: fk_categorydimension_category; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categorydimension
    ADD CONSTRAINT fk_categorydimension_category FOREIGN KEY (categoryid) REFERENCES dataelementcategory(categoryid);


--
-- Name: fk_categorydimension_items_categorydimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categorydimension_items
    ADD CONSTRAINT fk_categorydimension_items_categorydimensionid FOREIGN KEY (categorydimensionid) REFERENCES categorydimension(categorydimensionid);


--
-- Name: fk_categorydimension_items_categoryoptionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categorydimension_items
    ADD CONSTRAINT fk_categorydimension_items_categoryoptionid FOREIGN KEY (categoryoptionid) REFERENCES dataelementcategoryoption(categoryoptionid);


--
-- Name: fk_categoryoption_categoryoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptioncombos_categoryoptions
    ADD CONSTRAINT fk_categoryoption_categoryoptioncomboid FOREIGN KEY (categoryoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_categoryoption_organisationunits_categoryoptionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoption_organisationunits
    ADD CONSTRAINT fk_categoryoption_organisationunits_categoryoptionid FOREIGN KEY (categoryoptionid) REFERENCES dataelementcategoryoption(categoryoptionid);


--
-- Name: fk_categoryoption_organisationunits_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoption_organisationunits
    ADD CONSTRAINT fk_categoryoption_organisationunits_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_categoryoptioncombos_categoryoptions_categoryoptionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptioncombos_categoryoptions
    ADD CONSTRAINT fk_categoryoptioncombos_categoryoptions_categoryoptionid FOREIGN KEY (categoryoptionid) REFERENCES dataelementcategoryoption(categoryoptionid);


--
-- Name: fk_categoryoptiongroup_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroup
    ADD CONSTRAINT fk_categoryoptiongroup_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_categoryoptiongroupmembers_categoryoptiongroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupmembers
    ADD CONSTRAINT fk_categoryoptiongroupmembers_categoryoptiongroupid FOREIGN KEY (categoryoptionid) REFERENCES dataelementcategoryoption(categoryoptionid);


--
-- Name: fk_categoryoptiongroupmembers_categoryoptionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupmembers
    ADD CONSTRAINT fk_categoryoptiongroupmembers_categoryoptionid FOREIGN KEY (categoryoptiongroupid) REFERENCES categoryoptiongroup(categoryoptiongroupid);


--
-- Name: fk_categoryoptiongroupset_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupset
    ADD CONSTRAINT fk_categoryoptiongroupset_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_categoryoptiongroupsetmembers_categoryoptiongroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupsetmembers
    ADD CONSTRAINT fk_categoryoptiongroupsetmembers_categoryoptiongroupid FOREIGN KEY (categoryoptiongroupid) REFERENCES categoryoptiongroup(categoryoptiongroupid);


--
-- Name: fk_categoryoptiongroupsetmembers_categoryoptiongroupsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupsetmembers
    ADD CONSTRAINT fk_categoryoptiongroupsetmembers_categoryoptiongroupsetid FOREIGN KEY (categoryoptiongroupsetid) REFERENCES categoryoptiongroupset(categoryoptiongroupsetid);


--
-- Name: fk_chart_categorydimensions_categorydimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_categorydimensions
    ADD CONSTRAINT fk_chart_categorydimensions_categorydimensionid FOREIGN KEY (categorydimensionid) REFERENCES categorydimension(categorydimensionid);


--
-- Name: fk_chart_categorydimensions_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_categorydimensions
    ADD CONSTRAINT fk_chart_categorydimensions_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_chart_categoryoptiongroups_categoryoptiongroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_categoryoptiongroups
    ADD CONSTRAINT fk_chart_categoryoptiongroups_categoryoptiongroupid FOREIGN KEY (categoryoptiongroupid) REFERENCES categoryoptiongroup(categoryoptiongroupid);


--
-- Name: fk_chart_categoryoptiongroups_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_categoryoptiongroups
    ADD CONSTRAINT fk_chart_categoryoptiongroups_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_chart_datadimensionitems_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_datadimensionitems
    ADD CONSTRAINT fk_chart_datadimensionitems_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_chart_datadimensionitems_datadimensionitemid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_datadimensionitems
    ADD CONSTRAINT fk_chart_datadimensionitems_datadimensionitemid FOREIGN KEY (datadimensionitemid) REFERENCES datadimensionitem(datadimensionitemid);


--
-- Name: fk_chart_dataelementgroups_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_dataelementgroups
    ADD CONSTRAINT fk_chart_dataelementgroups_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_chart_dataelementgroups_dataelementgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_dataelementgroups
    ADD CONSTRAINT fk_chart_dataelementgroups_dataelementgroupid FOREIGN KEY (dataelementgroupid) REFERENCES dataelementgroup(dataelementgroupid);


--
-- Name: fk_chart_itemorgunitgroups_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_itemorgunitgroups
    ADD CONSTRAINT fk_chart_itemorgunitgroups_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_chart_itemorgunitunitgroups_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_itemorgunitgroups
    ADD CONSTRAINT fk_chart_itemorgunitunitgroups_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_chart_organisationunits_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_organisationunits
    ADD CONSTRAINT fk_chart_organisationunits_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_chart_organisationunits_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_organisationunits
    ADD CONSTRAINT fk_chart_organisationunits_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_chart_orgunitgroups_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_orgunitgroups
    ADD CONSTRAINT fk_chart_orgunitgroups_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_chart_orgunitlevels_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_orgunitlevels
    ADD CONSTRAINT fk_chart_orgunitlevels_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_chart_orgunitunitgroups_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_orgunitgroups
    ADD CONSTRAINT fk_chart_orgunitunitgroups_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_chart_periods_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_periods
    ADD CONSTRAINT fk_chart_periods_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_chart_periods_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_periods
    ADD CONSTRAINT fk_chart_periods_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_chart_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart
    ADD CONSTRAINT fk_chart_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_chart_relativeperiodsid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart
    ADD CONSTRAINT fk_chart_relativeperiodsid FOREIGN KEY (relativeperiodsid) REFERENCES relativeperiods(relativeperiodsid);


--
-- Name: fk_chart_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart
    ADD CONSTRAINT fk_chart_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_colorset_colors_colorid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY colorset_colors
    ADD CONSTRAINT fk_colorset_colors_colorid FOREIGN KEY (colorid) REFERENCES color(colorid);


--
-- Name: fk_colorset_colors_colorsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY colorset_colors
    ADD CONSTRAINT fk_colorset_colors_colorsetid FOREIGN KEY (colorsetid) REFERENCES colorset(colorsetid);


--
-- Name: fk_completedatasetregistration_attributeoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY completedatasetregistration
    ADD CONSTRAINT fk_completedatasetregistration_attributeoptioncomboid FOREIGN KEY (attributeoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_completedatasetregistration_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY completedatasetregistration
    ADD CONSTRAINT fk_completedatasetregistration_organisationunitid FOREIGN KEY (sourceid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_configuration_corswhitelist; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY configuration_corswhitelist
    ADD CONSTRAINT fk_configuration_corswhitelist FOREIGN KEY (configurationid) REFERENCES configuration(configurationid);


--
-- Name: fk_configuration_feedback_recipients; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY configuration
    ADD CONSTRAINT fk_configuration_feedback_recipients FOREIGN KEY (feedbackrecipientsid) REFERENCES usergroup(usergroupid);


--
-- Name: fk_configuration_infrastructural_dataelements; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY configuration
    ADD CONSTRAINT fk_configuration_infrastructural_dataelements FOREIGN KEY (infrastructuraldataelementsid) REFERENCES dataelementgroup(dataelementgroupid);


--
-- Name: fk_configuration_infrastructural_indicators; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY configuration
    ADD CONSTRAINT fk_configuration_infrastructural_indicators FOREIGN KEY (infrastructuralindicatorsid) REFERENCES indicatorgroup(indicatorgroupid);


--
-- Name: fk_configuration_infrastructural_periodtype; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY configuration
    ADD CONSTRAINT fk_configuration_infrastructural_periodtype FOREIGN KEY (infrastructuralperiodtypeid) REFERENCES periodtype(periodtypeid);


--
-- Name: fk_configuration_offline_orgunit_level; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY configuration
    ADD CONSTRAINT fk_configuration_offline_orgunit_level FOREIGN KEY (offlineorgunitlevelid) REFERENCES orgunitlevel(orgunitlevelid);


--
-- Name: fk_configuration_selfregistrationorgunit; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY configuration
    ADD CONSTRAINT fk_configuration_selfregistrationorgunit FOREIGN KEY (selfregistrationorgunit) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_configuration_selfregistrationrole; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY configuration
    ADD CONSTRAINT fk_configuration_selfregistrationrole FOREIGN KEY (selfregistrationrole) REFERENCES userrole(userroleid);


--
-- Name: fk_constant_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY constant
    ADD CONSTRAINT fk_constant_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_d092ulk11oo8kdwieke857qkp; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chart_filters
    ADD CONSTRAINT fk_d092ulk11oo8kdwieke857qkp FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_d4eelxxkijefe80e7k72w646v; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementusergroupaccesses
    ADD CONSTRAINT fk_d4eelxxkijefe80e7k72w646v FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_dashboard_items_dashboardid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboard_items
    ADD CONSTRAINT fk_dashboard_items_dashboardid FOREIGN KEY (dashboardid) REFERENCES dashboard(dashboardid);


--
-- Name: fk_dashboard_items_dashboarditemid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboard_items
    ADD CONSTRAINT fk_dashboard_items_dashboarditemid FOREIGN KEY (dashboarditemid) REFERENCES dashboarditem(dashboarditemid);


--
-- Name: fk_dashboard_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboard
    ADD CONSTRAINT fk_dashboard_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dashboarditem_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem
    ADD CONSTRAINT fk_dashboarditem_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_dashboarditem_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem
    ADD CONSTRAINT fk_dashboarditem_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_dashboarditem_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem
    ADD CONSTRAINT fk_dashboarditem_eventreportid FOREIGN KEY (eventreport) REFERENCES eventreport(eventreportid);


--
-- Name: fk_dashboarditem_mapid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem
    ADD CONSTRAINT fk_dashboarditem_mapid FOREIGN KEY (mapid) REFERENCES map(mapid);


--
-- Name: fk_dashboarditem_reports_dashboardid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem_reports
    ADD CONSTRAINT fk_dashboarditem_reports_dashboardid FOREIGN KEY (dashboarditemid) REFERENCES dashboarditem(dashboarditemid);


--
-- Name: fk_dashboarditem_reports_reportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem_reports
    ADD CONSTRAINT fk_dashboarditem_reports_reportid FOREIGN KEY (reportid) REFERENCES report(reportid);


--
-- Name: fk_dashboarditem_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem
    ADD CONSTRAINT fk_dashboarditem_reporttableid FOREIGN KEY (reporttable) REFERENCES reporttable(reporttableid);


--
-- Name: fk_dashboarditem_resources_dashboardid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem_resources
    ADD CONSTRAINT fk_dashboarditem_resources_dashboardid FOREIGN KEY (dashboarditemid) REFERENCES dashboarditem(dashboarditemid);


--
-- Name: fk_dashboarditem_resources_resourceid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem_resources
    ADD CONSTRAINT fk_dashboarditem_resources_resourceid FOREIGN KEY (resourceid) REFERENCES document(documentid);


--
-- Name: fk_dashboarditem_users_dashboardid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem_users
    ADD CONSTRAINT fk_dashboarditem_users_dashboardid FOREIGN KEY (dashboarditemid) REFERENCES dashboarditem(dashboarditemid);


--
-- Name: fk_dashboarditem_users_userinfoid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dashboarditem_users
    ADD CONSTRAINT fk_dashboarditem_users_userinfoid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dataapproval_attributeoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapproval
    ADD CONSTRAINT fk_dataapproval_attributeoptioncomboid FOREIGN KEY (attributeoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_dataapproval_creator; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapproval
    ADD CONSTRAINT fk_dataapproval_creator FOREIGN KEY (creator) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dataapproval_dataapprovallevel; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapproval
    ADD CONSTRAINT fk_dataapproval_dataapprovallevel FOREIGN KEY (dataapprovallevelid) REFERENCES dataapprovallevel(dataapprovallevelid);


--
-- Name: fk_dataapproval_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapproval
    ADD CONSTRAINT fk_dataapproval_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_dataapproval_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapproval
    ADD CONSTRAINT fk_dataapproval_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_dataapproval_workflowid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapproval
    ADD CONSTRAINT fk_dataapproval_workflowid FOREIGN KEY (workflowid) REFERENCES dataapprovalworkflow(workflowid);


--
-- Name: fk_dataapprovallevel_categoryoptiongroupsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapprovallevel
    ADD CONSTRAINT fk_dataapprovallevel_categoryoptiongroupsetid FOREIGN KEY (categoryoptiongroupsetid) REFERENCES categoryoptiongroupset(categoryoptiongroupsetid);


--
-- Name: fk_dataapprovallevel_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapprovallevel
    ADD CONSTRAINT fk_dataapprovallevel_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dataapprovalworkflow_periodtypeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapprovalworkflow
    ADD CONSTRAINT fk_dataapprovalworkflow_periodtypeid FOREIGN KEY (periodtypeid) REFERENCES periodtype(periodtypeid);


--
-- Name: fk_dataapprovalworkflow_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapprovalworkflow
    ADD CONSTRAINT fk_dataapprovalworkflow_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dataapprovalworkflowlevels_levelid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapprovalworkflowlevels
    ADD CONSTRAINT fk_dataapprovalworkflowlevels_levelid FOREIGN KEY (dataapprovallevelid) REFERENCES dataapprovallevel(dataapprovallevelid);


--
-- Name: fk_dataapprovalworkflowlevels_workflowid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapprovalworkflowlevels
    ADD CONSTRAINT fk_dataapprovalworkflowlevels_workflowid FOREIGN KEY (workflowid) REFERENCES dataapprovalworkflow(workflowid);


--
-- Name: fk_datadimensionitem_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datadimensionitem
    ADD CONSTRAINT fk_datadimensionitem_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_datadimensionitem_dataelementoperandid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datadimensionitem
    ADD CONSTRAINT fk_datadimensionitem_dataelementoperandid FOREIGN KEY (dataelementoperandid) REFERENCES dataelementoperand(dataelementoperandid);


--
-- Name: fk_datadimensionitem_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datadimensionitem
    ADD CONSTRAINT fk_datadimensionitem_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_datadimensionitem_indicatorid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datadimensionitem
    ADD CONSTRAINT fk_datadimensionitem_indicatorid FOREIGN KEY (indicatorid) REFERENCES indicator(indicatorid);


--
-- Name: fk_datadimensionitem_programattributeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datadimensionitem
    ADD CONSTRAINT fk_datadimensionitem_programattributeid FOREIGN KEY (programattributeid) REFERENCES program_attributes(programtrackedentityattributeid);


--
-- Name: fk_datadimensionitem_programdataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datadimensionitem
    ADD CONSTRAINT fk_datadimensionitem_programdataelementid FOREIGN KEY (programdataelementid) REFERENCES programdataelement(programdataelementid);


--
-- Name: fk_datadimensionitem_programindicatorid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datadimensionitem
    ADD CONSTRAINT fk_datadimensionitem_programindicatorid FOREIGN KEY (programindicatorid) REFERENCES programindicator(programindicatorid);


--
-- Name: fk_dataelement_categorycomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT fk_dataelement_categorycomboid FOREIGN KEY (categorycomboid) REFERENCES categorycombo(categorycomboid);


--
-- Name: fk_dataelement_commentoptionsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT fk_dataelement_commentoptionsetid FOREIGN KEY (commentoptionsetid) REFERENCES optionset(optionsetid);


--
-- Name: fk_dataelement_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY smscodes
    ADD CONSTRAINT fk_dataelement_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_dataelement_legendset; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT fk_dataelement_legendset FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_dataelement_optionsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT fk_dataelement_optionsetid FOREIGN KEY (optionsetid) REFERENCES optionset(optionsetid);


--
-- Name: fk_dataelement_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelement
    ADD CONSTRAINT fk_dataelement_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dataelementaggregationlevels_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementaggregationlevels
    ADD CONSTRAINT fk_dataelementaggregationlevels_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_dataelementcategory_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementcategory
    ADD CONSTRAINT fk_dataelementcategory_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dataelementcategoryoption_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementcategoryoption
    ADD CONSTRAINT fk_dataelementcategoryoption_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dataelementgroup_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupmembers
    ADD CONSTRAINT fk_dataelementgroup_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_dataelementgroup_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroup
    ADD CONSTRAINT fk_dataelementgroup_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dataelementgroupmembers_dataelementgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupmembers
    ADD CONSTRAINT fk_dataelementgroupmembers_dataelementgroupid FOREIGN KEY (dataelementgroupid) REFERENCES dataelementgroup(dataelementgroupid);


--
-- Name: fk_dataelementgroupset_dataelementgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupsetmembers
    ADD CONSTRAINT fk_dataelementgroupset_dataelementgroupid FOREIGN KEY (dataelementgroupid) REFERENCES dataelementgroup(dataelementgroupid);


--
-- Name: fk_dataelementgroupset_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupset
    ADD CONSTRAINT fk_dataelementgroupset_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dataelementgroupsetmembers_dataelementgroupsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupsetmembers
    ADD CONSTRAINT fk_dataelementgroupsetmembers_dataelementgroupsetid FOREIGN KEY (dataelementgroupsetid) REFERENCES dataelementgroupset(dataelementgroupsetid);


--
-- Name: fk_dataelementoperand_dataelement; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementoperand
    ADD CONSTRAINT fk_dataelementoperand_dataelement FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_dataelementoperand_dataelementcategoryoptioncombo; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementoperand
    ADD CONSTRAINT fk_dataelementoperand_dataelementcategoryoptioncombo FOREIGN KEY (categoryoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_dataset_categorycomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataset
    ADD CONSTRAINT fk_dataset_categorycomboid FOREIGN KEY (categorycomboid) REFERENCES categorycombo(categorycomboid);


--
-- Name: fk_dataset_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetmembers
    ADD CONSTRAINT fk_dataset_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_dataset_dataelementoperandid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetoperands
    ADD CONSTRAINT fk_dataset_dataelementoperandid FOREIGN KEY (dataelementoperandid) REFERENCES dataelementoperand(dataelementoperandid);


--
-- Name: fk_dataset_dataentryform; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataset
    ADD CONSTRAINT fk_dataset_dataentryform FOREIGN KEY (dataentryform) REFERENCES dataentryform(dataentryformid);


--
-- Name: fk_dataset_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY smscommands
    ADD CONSTRAINT fk_dataset_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_dataset_indicatorid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetindicators
    ADD CONSTRAINT fk_dataset_indicatorid FOREIGN KEY (indicatorid) REFERENCES indicator(indicatorid);


--
-- Name: fk_dataset_legendset; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataset
    ADD CONSTRAINT fk_dataset_legendset FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_dataset_notificationrecipients; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataset
    ADD CONSTRAINT fk_dataset_notificationrecipients FOREIGN KEY (notificationrecipients) REFERENCES usergroup(usergroupid);


--
-- Name: fk_dataset_organisationunit; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetsource
    ADD CONSTRAINT fk_dataset_organisationunit FOREIGN KEY (sourceid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_dataset_periodtypeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataset
    ADD CONSTRAINT fk_dataset_periodtypeid FOREIGN KEY (periodtypeid) REFERENCES periodtype(periodtypeid);


--
-- Name: fk_dataset_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataset
    ADD CONSTRAINT fk_dataset_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dataset_workflowid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataset
    ADD CONSTRAINT fk_dataset_workflowid FOREIGN KEY (workflowid) REFERENCES dataapprovalworkflow(workflowid);


--
-- Name: fk_datasetcompleteregistration_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY completedatasetregistration
    ADD CONSTRAINT fk_datasetcompleteregistration_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_datasetcompleteregistration_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY completedatasetregistration
    ADD CONSTRAINT fk_datasetcompleteregistration_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_datasetindicators_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetindicators
    ADD CONSTRAINT fk_datasetindicators_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_datasetmembers_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetmembers
    ADD CONSTRAINT fk_datasetmembers_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_datasetoperands_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetoperands
    ADD CONSTRAINT fk_datasetoperands_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_datasetsource_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetsource
    ADD CONSTRAINT fk_datasetsource_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_datavalue_attributeoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datavalue
    ADD CONSTRAINT fk_datavalue_attributeoptioncomboid FOREIGN KEY (attributeoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_datavalue_categoryoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datavalue
    ADD CONSTRAINT fk_datavalue_categoryoptioncomboid FOREIGN KEY (categoryoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_datavalue_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datavalue
    ADD CONSTRAINT fk_datavalue_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_datavalue_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datavalue
    ADD CONSTRAINT fk_datavalue_organisationunitid FOREIGN KEY (sourceid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_datavalue_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datavalue
    ADD CONSTRAINT fk_datavalue_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_datavalueaudit_attributeoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datavalueaudit
    ADD CONSTRAINT fk_datavalueaudit_attributeoptioncomboid FOREIGN KEY (attributeoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_datavalueaudit_categoryoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datavalueaudit
    ADD CONSTRAINT fk_datavalueaudit_categoryoptioncomboid FOREIGN KEY (categoryoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_datavalueaudit_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datavalueaudit
    ADD CONSTRAINT fk_datavalueaudit_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_datavalueaudit_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datavalueaudit
    ADD CONSTRAINT fk_datavalueaudit_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_datavalueaudit_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datavalueaudit
    ADD CONSTRAINT fk_datavalueaudit_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_dfbmp0sfgkcpxtwrfw2rejumg; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupusergroupaccesses
    ADD CONSTRAINT fk_dfbmp0sfgkcpxtwrfw2rejumg FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_dfr7ey1rghm2evsgr0hk678x4; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY documentusergroupaccesses
    ADD CONSTRAINT fk_dfr7ey1rghm2evsgr0hk678x4 FOREIGN KEY (documentid) REFERENCES document(documentid);


--
-- Name: fk_dip5t4mdml147shrgnse9w8ia; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY chartusergroupaccesses
    ADD CONSTRAINT fk_dip5t4mdml147shrgnse9w8ia FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_dn5m5q1tud7ixuvxiyb79u97h; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programattributevalues
    ADD CONSTRAINT fk_dn5m5q1tud7ixuvxiyb79u97h FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_document_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY document
    ADD CONSTRAINT fk_document_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_dq0upqhkxfv3qklbpbyyw6ych; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupsetusergroupaccesses
    ADD CONSTRAINT fk_dq0upqhkxfv3qklbpbyyw6ych FOREIGN KEY (orgunitgroupsetid) REFERENCES orgunitgroupset(orgunitgroupsetid);


--
-- Name: fk_dq1cneyi4cgarkqaspifgmjqn; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementusergroupaccesses
    ADD CONSTRAINT fk_dq1cneyi4cgarkqaspifgmjqn FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_e1hdccxtuffe76u6ln0lv0wdr; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorattributevalues
    ADD CONSTRAINT fk_e1hdccxtuffe76u6ln0lv0wdr FOREIGN KEY (indicatorid) REFERENCES indicator(indicatorid);


--
-- Name: fk_eb7jbyiwhse2kd64y3ufee977; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributeattributevalues
    ADD CONSTRAINT fk_eb7jbyiwhse2kd64y3ufee977 FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_entityinstancedatavalue_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentitydatavalue
    ADD CONSTRAINT fk_entityinstancedatavalue_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_entityinstancedatavalue_programstageinstanceid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentitydatavalue
    ADD CONSTRAINT fk_entityinstancedatavalue_programstageinstanceid FOREIGN KEY (programstageinstanceid) REFERENCES programstageinstance(programstageinstanceid);


--
-- Name: fk_entityinstancedatavalueaudit_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentitydatavalueaudit
    ADD CONSTRAINT fk_entityinstancedatavalueaudit_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_entityinstancedatavalueaudit_programstageinstanceid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentitydatavalueaudit
    ADD CONSTRAINT fk_entityinstancedatavalueaudit_programstageinstanceid FOREIGN KEY (programstageinstanceid) REFERENCES programstageinstance(programstageinstanceid);


--
-- Name: fk_eol69wovoy6rdsf83affs376e; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapprovallevelusergroupaccesses
    ADD CONSTRAINT fk_eol69wovoy6rdsf83affs376e FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_etm1elt7pbwyia8e0kfnrvqo3; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY smscommandspecialcharacters
    ADD CONSTRAINT fk_etm1elt7pbwyia8e0kfnrvqo3 FOREIGN KEY (specialcharacterid) REFERENCES smsspecialcharacter(specialcharacterid);


--
-- Name: fk_eventchart_attributedimensions_attributedimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_attributedimensions
    ADD CONSTRAINT fk_eventchart_attributedimensions_attributedimensionid FOREIGN KEY (trackedentityattributedimensionid) REFERENCES trackedentityattributedimension(trackedentityattributedimensionid);


--
-- Name: fk_eventchart_attributedimensions_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_attributedimensions
    ADD CONSTRAINT fk_eventchart_attributedimensions_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_attributevaluedimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart
    ADD CONSTRAINT fk_eventchart_attributevaluedimensionid FOREIGN KEY (attributevaluedimensionid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_eventchart_columns_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_columns
    ADD CONSTRAINT fk_eventchart_columns_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_dataelementdimensions_dataelementdimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_dataelementdimensions
    ADD CONSTRAINT fk_eventchart_dataelementdimensions_dataelementdimensionid FOREIGN KEY (trackedentitydataelementdimensionid) REFERENCES trackedentitydataelementdimension(trackedentitydataelementdimensionid);


--
-- Name: fk_eventchart_dataelementdimensions_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_dataelementdimensions
    ADD CONSTRAINT fk_eventchart_dataelementdimensions_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_dataelementvaluedimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart
    ADD CONSTRAINT fk_eventchart_dataelementvaluedimensionid FOREIGN KEY (dataelementvaluedimensionid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_eventchart_filters_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_filters
    ADD CONSTRAINT fk_eventchart_filters_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_itemorgunitgroups_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_itemorgunitgroups
    ADD CONSTRAINT fk_eventchart_itemorgunitgroups_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_eventchart_itemorgunitunitgroups_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_itemorgunitgroups
    ADD CONSTRAINT fk_eventchart_itemorgunitunitgroups_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_organisationunits_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_organisationunits
    ADD CONSTRAINT fk_eventchart_organisationunits_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_organisationunits_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_organisationunits
    ADD CONSTRAINT fk_eventchart_organisationunits_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_eventchart_orgunitgroups_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_orgunitgroups
    ADD CONSTRAINT fk_eventchart_orgunitgroups_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_eventchart_orgunitlevels_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_orgunitlevels
    ADD CONSTRAINT fk_eventchart_orgunitlevels_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_orgunitunitgroups_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_orgunitgroups
    ADD CONSTRAINT fk_eventchart_orgunitunitgroups_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_periods_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_periods
    ADD CONSTRAINT fk_eventchart_periods_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_periods_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_periods
    ADD CONSTRAINT fk_eventchart_periods_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_eventchart_prindicatordimensions_prindicatordimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_programindicatordimensions
    ADD CONSTRAINT fk_eventchart_prindicatordimensions_prindicatordimensionid FOREIGN KEY (trackedentityprogramindicatordimensionid) REFERENCES trackedentityprogramindicatordimension(trackedentityprogramindicatordimensionid);


--
-- Name: fk_eventchart_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart
    ADD CONSTRAINT fk_eventchart_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_eventchart_programindicatordimensions_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_programindicatordimensions
    ADD CONSTRAINT fk_eventchart_programindicatordimensions_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_programstageid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart
    ADD CONSTRAINT fk_eventchart_programstageid FOREIGN KEY (programstageid) REFERENCES programstage(programstageid);


--
-- Name: fk_eventchart_relativeperiodsid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart
    ADD CONSTRAINT fk_eventchart_relativeperiodsid FOREIGN KEY (relativeperiodsid) REFERENCES relativeperiods(relativeperiodsid);


--
-- Name: fk_eventchart_rows_eventchartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart_rows
    ADD CONSTRAINT fk_eventchart_rows_eventchartid FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_eventchart_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchart
    ADD CONSTRAINT fk_eventchart_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_eventreport_attributedimensions_attributedimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_attributedimensions
    ADD CONSTRAINT fk_eventreport_attributedimensions_attributedimensionid FOREIGN KEY (trackedentityattributedimensionid) REFERENCES trackedentityattributedimension(trackedentityattributedimensionid);


--
-- Name: fk_eventreport_attributedimensions_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_attributedimensions
    ADD CONSTRAINT fk_eventreport_attributedimensions_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_attributevaluedimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport
    ADD CONSTRAINT fk_eventreport_attributevaluedimensionid FOREIGN KEY (attributevaluedimensionid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_eventreport_columns_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_columns
    ADD CONSTRAINT fk_eventreport_columns_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_dataelementdimensions_dataelementdimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_dataelementdimensions
    ADD CONSTRAINT fk_eventreport_dataelementdimensions_dataelementdimensionid FOREIGN KEY (trackedentitydataelementdimensionid) REFERENCES trackedentitydataelementdimension(trackedentitydataelementdimensionid);


--
-- Name: fk_eventreport_dataelementdimensions_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_dataelementdimensions
    ADD CONSTRAINT fk_eventreport_dataelementdimensions_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_dataelementvaluedimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport
    ADD CONSTRAINT fk_eventreport_dataelementvaluedimensionid FOREIGN KEY (dataelementvaluedimensionid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_eventreport_filters_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_filters
    ADD CONSTRAINT fk_eventreport_filters_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_itemorgunitgroups_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_itemorgunitgroups
    ADD CONSTRAINT fk_eventreport_itemorgunitgroups_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_eventreport_itemorgunitunitgroups_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_itemorgunitgroups
    ADD CONSTRAINT fk_eventreport_itemorgunitunitgroups_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_organisationunits_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_organisationunits
    ADD CONSTRAINT fk_eventreport_organisationunits_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_organisationunits_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_organisationunits
    ADD CONSTRAINT fk_eventreport_organisationunits_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_eventreport_orgunitgroups_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_orgunitgroups
    ADD CONSTRAINT fk_eventreport_orgunitgroups_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_eventreport_orgunitlevels_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_orgunitlevels
    ADD CONSTRAINT fk_eventreport_orgunitlevels_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_orgunitunitgroups_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_orgunitgroups
    ADD CONSTRAINT fk_eventreport_orgunitunitgroups_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_periods_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_periods
    ADD CONSTRAINT fk_eventreport_periods_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_periods_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_periods
    ADD CONSTRAINT fk_eventreport_periods_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_eventreport_prindicatordimensions_prindicatordimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_programindicatordimensions
    ADD CONSTRAINT fk_eventreport_prindicatordimensions_prindicatordimensionid FOREIGN KEY (trackedentityprogramindicatordimensionid) REFERENCES trackedentityprogramindicatordimension(trackedentityprogramindicatordimensionid);


--
-- Name: fk_eventreport_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport
    ADD CONSTRAINT fk_eventreport_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_eventreport_programindicatordimensions_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_programindicatordimensions
    ADD CONSTRAINT fk_eventreport_programindicatordimensions_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_programstageid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport
    ADD CONSTRAINT fk_eventreport_programstageid FOREIGN KEY (programstageid) REFERENCES programstage(programstageid);


--
-- Name: fk_eventreport_relativeperiodsid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport
    ADD CONSTRAINT fk_eventreport_relativeperiodsid FOREIGN KEY (relativeperiodsid) REFERENCES relativeperiods(relativeperiodsid);


--
-- Name: fk_eventreport_rows_eventreportid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport_rows
    ADD CONSTRAINT fk_eventreport_rows_eventreportid FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_eventreport_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreport
    ADD CONSTRAINT fk_eventreport_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_expression_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY expressiondataelement
    ADD CONSTRAINT fk_expression_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_expressiondataelement_expressionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY expressiondataelement
    ADD CONSTRAINT fk_expressiondataelement_expressionid FOREIGN KEY (expressionid) REFERENCES expression(expressionid);


--
-- Name: fk_f6prdjqeirxsb3drx9a66sf8g; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributevalues
    ADD CONSTRAINT fk_f6prdjqeirxsb3drx9a66sf8g FOREIGN KEY (trackedentityid) REFERENCES trackedentity(trackedentityid);


--
-- Name: fk_fiaorieuh2d558nxhsxyi69d4; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupattributevalues
    ADD CONSTRAINT fk_fiaorieuh2d558nxhsxyi69d4 FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_ficc46qh952uupa5o04svktv2; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementcategoryoptionattributevalues
    ADD CONSTRAINT fk_ficc46qh952uupa5o04svktv2 FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_fileresource_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY fileresource
    ADD CONSTRAINT fk_fileresource_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_fk_users_catconstraints_dataelementcategoryid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY users_catdimensionconstraints
    ADD CONSTRAINT fk_fk_users_catconstraints_dataelementcategoryid FOREIGN KEY (dataelementcategoryid) REFERENCES dataelementcategory(categoryid);


--
-- Name: fk_fk_users_cogsconstraints_categoryoptiongroupsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY users_cogsdimensionconstraints
    ADD CONSTRAINT fk_fk_users_cogsconstraints_categoryoptiongroupsetid FOREIGN KEY (categoryoptiongroupsetid) REFERENCES categoryoptiongroupset(categoryoptiongroupsetid);


--
-- Name: fk_fokuy0yq9krttmqaf95ne7ql7; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupattributevalues
    ADD CONSTRAINT fk_fokuy0yq9krttmqaf95ne7ql7 FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_fqdnl49a19dg94tj48etme0aj; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usergroupusergroupaccesses
    ADD CONSTRAINT fk_fqdnl49a19dg94tj48etme0aj FOREIGN KEY (usergroupid) REFERENCES usergroup(usergroupid);


--
-- Name: fk_ftn43gpevax8by169pld7dl5d; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY sqlviewusergroupaccesses
    ADD CONSTRAINT fk_ftn43gpevax8by169pld7dl5d FOREIGN KEY (sqlviewid) REFERENCES sqlview(sqlviewid);


--
-- Name: fk_fw7cveiuqewtwo1ggv7rqn52r; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupusergroupaccesses
    ADD CONSTRAINT fk_fw7cveiuqewtwo1ggv7rqn52r FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_g7l1v9ghhdmxbyagk6s61ym27; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupsetusergroupaccesses
    ADD CONSTRAINT fk_g7l1v9ghhdmxbyagk6s61ym27 FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_gdawhakuh5sgetn8agy2y8iqs; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementcategoryoptionusergroupaccesses
    ADD CONSTRAINT fk_gdawhakuh5sgetn8agy2y8iqs FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_gi1od6nead01u7wxu6h10k76j; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementcategoryusergroupaccesses
    ADD CONSTRAINT fk_gi1od6nead01u7wxu6h10k76j FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_h3qgkg0gvi3c0ohs07y00c96p; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userroleusergroupaccesses
    ADD CONSTRAINT fk_h3qgkg0gvi3c0ohs07y00c96p FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_hbpqcltj8paday3y0yystbw6p; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementattributevalues
    ADD CONSTRAINT fk_hbpqcltj8paday3y0yystbw6p FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_i84g6ha8v2ycsh4h6qq2bwx4n; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY documentattributevalues
    ADD CONSTRAINT fk_i84g6ha8v2ycsh4h6qq2bwx4n FOREIGN KEY (documentid) REFERENCES document(documentid);


--
-- Name: fk_i965sd1thc68mlv9i5366vl1d; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userroleusergroupaccesses
    ADD CONSTRAINT fk_i965sd1thc68mlv9i5366vl1d FOREIGN KEY (userroleid) REFERENCES userrole(userroleid);


--
-- Name: fk_iedn1e511sbiosnic2nb8n6lk; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programindicatorusergroupaccesses
    ADD CONSTRAINT fk_iedn1e511sbiosnic2nb8n6lk FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_iidjibxkyir4yega11wvppyj4; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY optionsetattributevalues
    ADD CONSTRAINT fk_iidjibxkyir4yega11wvppyj4 FOREIGN KEY (optionsetid) REFERENCES optionset(optionsetid);


--
-- Name: fk_indicator_indicatortypeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicator
    ADD CONSTRAINT fk_indicator_indicatortypeid FOREIGN KEY (indicatortypeid) REFERENCES indicatortype(indicatortypeid);


--
-- Name: fk_indicator_legendset; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicator
    ADD CONSTRAINT fk_indicator_legendset FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_indicator_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicator
    ADD CONSTRAINT fk_indicator_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_indicatorgroup_indicatorid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupmembers
    ADD CONSTRAINT fk_indicatorgroup_indicatorid FOREIGN KEY (indicatorid) REFERENCES indicator(indicatorid);


--
-- Name: fk_indicatorgroup_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroup
    ADD CONSTRAINT fk_indicatorgroup_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_indicatorgroupmembers_indicatorgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupmembers
    ADD CONSTRAINT fk_indicatorgroupmembers_indicatorgroupid FOREIGN KEY (indicatorgroupid) REFERENCES indicatorgroup(indicatorgroupid);


--
-- Name: fk_indicatorgroupset_indicatorgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupsetmembers
    ADD CONSTRAINT fk_indicatorgroupset_indicatorgroupid FOREIGN KEY (indicatorgroupid) REFERENCES indicatorgroup(indicatorgroupid);


--
-- Name: fk_indicatorgroupset_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupset
    ADD CONSTRAINT fk_indicatorgroupset_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_indicatorgroupsetmembers_indicatorgroupsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupsetmembers
    ADD CONSTRAINT fk_indicatorgroupsetmembers_indicatorgroupsetid FOREIGN KEY (indicatorgroupsetid) REFERENCES indicatorgroupset(indicatorgroupsetid);


--
-- Name: fk_interpretation_chartid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretation
    ADD CONSTRAINT fk_interpretation_chartid FOREIGN KEY (chartid) REFERENCES chart(chartid);


--
-- Name: fk_interpretation_comments_interpretationcommentid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretation_comments
    ADD CONSTRAINT fk_interpretation_comments_interpretationcommentid FOREIGN KEY (interpretationcommentid) REFERENCES interpretationcomment(interpretationcommentid);


--
-- Name: fk_interpretation_comments_interpretationid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretation_comments
    ADD CONSTRAINT fk_interpretation_comments_interpretationid FOREIGN KEY (interpretationid) REFERENCES interpretation(interpretationid);


--
-- Name: fk_interpretation_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretation
    ADD CONSTRAINT fk_interpretation_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_interpretation_mapid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretation
    ADD CONSTRAINT fk_interpretation_mapid FOREIGN KEY (mapid) REFERENCES map(mapid);


--
-- Name: fk_interpretation_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretation
    ADD CONSTRAINT fk_interpretation_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_interpretation_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretation
    ADD CONSTRAINT fk_interpretation_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_interpretation_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretation
    ADD CONSTRAINT fk_interpretation_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_interpretation_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretation
    ADD CONSTRAINT fk_interpretation_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_interpretationcomment_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretationcomment
    ADD CONSTRAINT fk_interpretationcomment_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_j7wmrhn38j2yskotw7txyae43; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageinstance_outboundsms
    ADD CONSTRAINT fk_j7wmrhn38j2yskotw7txyae43 FOREIGN KEY (outboundsmsid) REFERENCES outbound_sms(id);


--
-- Name: fk_jga8ebd6t2nkrfcapucx1wcbq; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupattributevalues
    ADD CONSTRAINT fk_jga8ebd6t2nkrfcapucx1wcbq FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_k9yqhhdjgjs0c7ky12mvdqf0o; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupusergroupaccesses
    ADD CONSTRAINT fk_k9yqhhdjgjs0c7ky12mvdqf0o FOREIGN KEY (indicatorgroupid) REFERENCES indicatorgroup(indicatorgroupid);


--
-- Name: fk_kdu623dm6fecqya2u4c5lrvio; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupsetattributevalues
    ADD CONSTRAINT fk_kdu623dm6fecqya2u4c5lrvio FOREIGN KEY (orgunitgroupsetid) REFERENCES orgunitgroupset(orgunitgroupsetid);


--
-- Name: fk_kk6o2c0eb5bex4sn1p5n7juu5; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupsetusergroupaccesses
    ADD CONSTRAINT fk_kk6o2c0eb5bex4sn1p5n7juu5 FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_klp41jyfuo6kfe8akt58fk1am; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY validationrulegroupusergroupaccesses
    ADD CONSTRAINT fk_klp41jyfuo6kfe8akt58fk1am FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_krfvmvcrf3agy0jlmbh7n2kvb; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchartusergroupaccesses
    ADD CONSTRAINT fk_krfvmvcrf3agy0jlmbh7n2kvb FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_kw8ong945syafd2310ahwfu9l; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categoryoptiongroupusergroupaccesses
    ADD CONSTRAINT fk_kw8ong945syafd2310ahwfu9l FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_l0tnyhbaxfkdoekcaioa6l7o3; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programinstance_messageconversation
    ADD CONSTRAINT fk_l0tnyhbaxfkdoekcaioa6l7o3 FOREIGN KEY (messageconversationid) REFERENCES messageconversation(messageconversationid);


--
-- Name: fk_l1cufoqirp2onveti3bpuyo92; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupsetattributevalues
    ADD CONSTRAINT fk_l1cufoqirp2onveti3bpuyo92 FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_l1ge2twesvfey15fsgasybxo1; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataapprovallevelusergroupaccesses
    ADD CONSTRAINT fk_l1ge2twesvfey15fsgasybxo1 FOREIGN KEY (dataapprovallevelid) REFERENCES dataapprovallevel(dataapprovallevelid);


--
-- Name: fk_ldbbgacwc69ab5tha0u7dhg82; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programattributevalues
    ADD CONSTRAINT fk_ldbbgacwc69ab5tha0u7dhg82 FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_le3o66egq1xirukusp2gbtqqr; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorusergroupaccesses
    ADD CONSTRAINT fk_le3o66egq1xirukusp2gbtqqr FOREIGN KEY (indicatorid) REFERENCES indicator(indicatorid);


--
-- Name: fk_lockexception_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY lockexception
    ADD CONSTRAINT fk_lockexception_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_lockexception_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY lockexception
    ADD CONSTRAINT fk_lockexception_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_lockexception_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY lockexception
    ADD CONSTRAINT fk_lockexception_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_lwep604j10w1ey7vunqdmotx2; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programinstancecomments
    ADD CONSTRAINT fk_lwep604j10w1ey7vunqdmotx2 FOREIGN KEY (trackedentitycommentid) REFERENCES trackedentitycomment(trackedentitycommentid);


--
-- Name: fk_m5v0roik5uc954w547iejiar6; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userattributevalues
    ADD CONSTRAINT fk_m5v0roik5uc954w547iejiar6 FOREIGN KEY (userinfoid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_m97ip2yocknv5wq1hphrwgs9i; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventchartusergroupaccesses
    ADD CONSTRAINT fk_m97ip2yocknv5wq1hphrwgs9i FOREIGN KEY (eventchartid) REFERENCES eventchart(eventchartid);


--
-- Name: fk_maplegendset_maplegend; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY maplegendsetmaplegend
    ADD CONSTRAINT fk_maplegendset_maplegend FOREIGN KEY (maplegendid) REFERENCES maplegend(maplegendid);


--
-- Name: fk_maplegendsetmaplegend_legendsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY maplegendsetmaplegend
    ADD CONSTRAINT fk_maplegendsetmaplegend_legendsetid FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_mapmapview_mapid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapmapviews
    ADD CONSTRAINT fk_mapmapview_mapid FOREIGN KEY (mapid) REFERENCES map(mapid);


--
-- Name: fk_mapmapview_mapviewid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapmapviews
    ADD CONSTRAINT fk_mapmapview_mapviewid FOREIGN KEY (mapviewid) REFERENCES mapview(mapviewid);


--
-- Name: fk_mapview_datadimensionitems_datadimensionitemid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview_datadimensionitems
    ADD CONSTRAINT fk_mapview_datadimensionitems_datadimensionitemid FOREIGN KEY (datadimensionitemid) REFERENCES datadimensionitem(datadimensionitemid);


--
-- Name: fk_mapview_datadimensionitems_mapviewid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview_datadimensionitems
    ADD CONSTRAINT fk_mapview_datadimensionitems_mapviewid FOREIGN KEY (mapviewid) REFERENCES mapview(mapviewid);


--
-- Name: fk_mapview_itemorgunitgroups_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview_itemorgunitgroups
    ADD CONSTRAINT fk_mapview_itemorgunitgroups_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_mapview_itemorgunitunitgroups_mapviewid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview_itemorgunitgroups
    ADD CONSTRAINT fk_mapview_itemorgunitunitgroups_mapviewid FOREIGN KEY (mapviewid) REFERENCES mapview(mapviewid);


--
-- Name: fk_mapview_maplegendsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview
    ADD CONSTRAINT fk_mapview_maplegendsetid FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_mapview_organisationunits_mapviewid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview_organisationunits
    ADD CONSTRAINT fk_mapview_organisationunits_mapviewid FOREIGN KEY (mapviewid) REFERENCES mapview(mapviewid);


--
-- Name: fk_mapview_organisationunits_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview_organisationunits
    ADD CONSTRAINT fk_mapview_organisationunits_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_mapview_orgunitgroupsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview
    ADD CONSTRAINT fk_mapview_orgunitgroupsetid FOREIGN KEY (orgunitgroupsetid) REFERENCES orgunitgroupset(orgunitgroupsetid);


--
-- Name: fk_mapview_orgunitlevels_mapviewid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview_orgunitlevels
    ADD CONSTRAINT fk_mapview_orgunitlevels_mapviewid FOREIGN KEY (mapviewid) REFERENCES mapview(mapviewid);


--
-- Name: fk_mapview_periods_mapviewid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview_periods
    ADD CONSTRAINT fk_mapview_periods_mapviewid FOREIGN KEY (mapviewid) REFERENCES mapview(mapviewid);


--
-- Name: fk_mapview_periods_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview_periods
    ADD CONSTRAINT fk_mapview_periods_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_mapview_relativeperiodsid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview
    ADD CONSTRAINT fk_mapview_relativeperiodsid FOREIGN KEY (relativeperiodsid) REFERENCES relativeperiods(relativeperiodsid);


--
-- Name: fk_mapview_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY map
    ADD CONSTRAINT fk_mapview_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_mbvb6gbcr7l9wxvyn23okyndy; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupattributevalues
    ADD CONSTRAINT fk_mbvb6gbcr7l9wxvyn23okyndy FOREIGN KEY (dataelementgroupid) REFERENCES dataelementgroup(dataelementgroupid);


--
-- Name: fk_mcy6pmjqdeky5wophnx1ld85d; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreportusergroupaccesses
    ADD CONSTRAINT fk_mcy6pmjqdeky5wophnx1ld85d FOREIGN KEY (eventreportid) REFERENCES eventreport(eventreportid);


--
-- Name: fk_message_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY message
    ADD CONSTRAINT fk_message_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_messageconversation_lastsender_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY messageconversation
    ADD CONSTRAINT fk_messageconversation_lastsender_userid FOREIGN KEY (lastsenderid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_messageconversation_messages_messageconversationid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY messageconversation_messages
    ADD CONSTRAINT fk_messageconversation_messages_messageconversationid FOREIGN KEY (messageconversationid) REFERENCES messageconversation(messageconversationid);


--
-- Name: fk_messageconversation_messages_messageid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY messageconversation_messages
    ADD CONSTRAINT fk_messageconversation_messages_messageid FOREIGN KEY (messageid) REFERENCES message(messageid);


--
-- Name: fk_messageconversation_user_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY messageconversation
    ADD CONSTRAINT fk_messageconversation_user_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_messageconversation_usermessages_messageconversationid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY messageconversation_usermessages
    ADD CONSTRAINT fk_messageconversation_usermessages_messageconversationid FOREIGN KEY (messageconversationid) REFERENCES messageconversation(messageconversationid);


--
-- Name: fk_messageconversation_usermessages_usermessageid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY messageconversation_usermessages
    ADD CONSTRAINT fk_messageconversation_usermessages_usermessageid FOREIGN KEY (usermessageid) REFERENCES usermessage(usermessageid);


--
-- Name: fk_minmaxdataelement_categoryoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY minmaxdataelement
    ADD CONSTRAINT fk_minmaxdataelement_categoryoptioncomboid FOREIGN KEY (categoryoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_minmaxdataelement_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY minmaxdataelement
    ADD CONSTRAINT fk_minmaxdataelement_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_minmaxdataelement_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY minmaxdataelement
    ADD CONSTRAINT fk_minmaxdataelement_organisationunitid FOREIGN KEY (sourceid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_n4ouxp9pgbnup2osglke1do81; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityinstancereminder
    ADD CONSTRAINT fk_n4ouxp9pgbnup2osglke1do81 FOREIGN KEY (programstageid) REFERENCES programstage(programstageid);


--
-- Name: fk_nfxt1jiewjaskoq7kvfle8dnq; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageinstance_messageconversation
    ADD CONSTRAINT fk_nfxt1jiewjaskoq7kvfle8dnq FOREIGN KEY (programstageinstanceid) REFERENCES programstageinstance(programstageinstanceid);


--
-- Name: fk_oauth2clientgranttypes_oauth2clientid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY oauth2clientgranttypes
    ADD CONSTRAINT fk_oauth2clientgranttypes_oauth2clientid FOREIGN KEY (oauth2clientid) REFERENCES oauth2client(oauth2clientid);


--
-- Name: fk_oauth2clientredirecturis_oauth2clientid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY oauth2clientredirecturis
    ADD CONSTRAINT fk_oauth2clientredirecturis_oauth2clientid FOREIGN KEY (oauth2clientid) REFERENCES oauth2client(oauth2clientid);


--
-- Name: fk_obm86c7nteus3dklbsoosfple; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementcategoryoptionattributevalues
    ADD CONSTRAINT fk_obm86c7nteus3dklbsoosfple FOREIGN KEY (categoryoptionid) REFERENCES dataelementcategoryoption(categoryoptionid);


--
-- Name: fk_ofw2gg6ghv4rkqo24rm9yhpdt; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY optionattributevalues
    ADD CONSTRAINT fk_ofw2gg6ghv4rkqo24rm9yhpdt FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_og1fdqhhylbk69fxpoth4bd36; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY sqlviewusergroupaccesses
    ADD CONSTRAINT fk_og1fdqhhylbk69fxpoth4bd36 FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_oith7i266qbjggmij30psueoo; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY eventreportusergroupaccesses
    ADD CONSTRAINT fk_oith7i266qbjggmij30psueoo FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_optionset_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY optionset
    ADD CONSTRAINT fk_optionset_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_optionsetmembers_optionsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY optionvalue
    ADD CONSTRAINT fk_optionsetmembers_optionsetid FOREIGN KEY (optionsetid) REFERENCES optionset(optionsetid);


--
-- Name: fk_organisationunit_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY organisationunit
    ADD CONSTRAINT fk_organisationunit_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_orgunitgroup_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupmembers
    ADD CONSTRAINT fk_orgunitgroup_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_orgunitgroup_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroup
    ADD CONSTRAINT fk_orgunitgroup_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_orgunitgroupmembers_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupmembers
    ADD CONSTRAINT fk_orgunitgroupmembers_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_orgunitgroupset_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupsetmembers
    ADD CONSTRAINT fk_orgunitgroupset_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_orgunitgroupset_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupset
    ADD CONSTRAINT fk_orgunitgroupset_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_orgunitgroupsetmembers_orgunitgroupsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupsetmembers
    ADD CONSTRAINT fk_orgunitgroupsetmembers_orgunitgroupsetid FOREIGN KEY (orgunitgroupsetid) REFERENCES orgunitgroupset(orgunitgroupsetid);


--
-- Name: fk_p95o4dnytx8vxb7yugxlu2hhf; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY categorycombousergroupaccesses
    ADD CONSTRAINT fk_p95o4dnytx8vxb7yugxlu2hhf FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_pag45qp5gr17svxsntj5tjw66; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapusergroupaccesses
    ADD CONSTRAINT fk_pag45qp5gr17svxsntj5tjw66 FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_parentid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY organisationunit
    ADD CONSTRAINT fk_parentid FOREIGN KEY (parentid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_period_periodtypeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY period
    ADD CONSTRAINT fk_period_periodtypeid FOREIGN KEY (periodtypeid) REFERENCES periodtype(periodtypeid);


--
-- Name: fk_pmqig9uf4d23pw9iin8t9aiqp; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttableusergroupaccesses
    ADD CONSTRAINT fk_pmqig9uf4d23pw9iin8t9aiqp FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_program_attributeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program_attributes
    ADD CONSTRAINT fk_program_attributeid FOREIGN KEY (trackedentityattributeid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_program_categorycomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program
    ADD CONSTRAINT fk_program_categorycomboid FOREIGN KEY (categorycomboid) REFERENCES categorycombo(categorycomboid);


--
-- Name: fk_program_criteria_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program_criteria
    ADD CONSTRAINT fk_program_criteria_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_program_criteria_validationcriteriaid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program_criteria
    ADD CONSTRAINT fk_program_criteria_validationcriteriaid FOREIGN KEY (validationcriteriaid) REFERENCES validationcriteria(validationcriteriaid);


--
-- Name: fk_program_dataentryformid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program
    ADD CONSTRAINT fk_program_dataentryformid FOREIGN KEY (dataentryformid) REFERENCES dataentryform(dataentryformid);


--
-- Name: fk_program_organisationunits_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program_organisationunits
    ADD CONSTRAINT fk_program_organisationunits_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_program_organisationunits_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program_organisationunits
    ADD CONSTRAINT fk_program_organisationunits_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_program_programstageid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstagesection
    ADD CONSTRAINT fk_program_programstageid FOREIGN KEY (programstageid) REFERENCES programstage(programstageid);


--
-- Name: fk_program_relatedprogram; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program
    ADD CONSTRAINT fk_program_relatedprogram FOREIGN KEY (relatedprogramid) REFERENCES program(programid);


--
-- Name: fk_program_relationshipid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program
    ADD CONSTRAINT fk_program_relationshipid FOREIGN KEY (relationshiptypeid) REFERENCES relationshiptype(relationshiptypeid);


--
-- Name: fk_program_trackedentityid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program
    ADD CONSTRAINT fk_program_trackedentityid FOREIGN KEY (trackedentityid) REFERENCES trackedentity(trackedentityid);


--
-- Name: fk_program_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program
    ADD CONSTRAINT fk_program_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_program_workflowid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program
    ADD CONSTRAINT fk_program_workflowid FOREIGN KEY (workflowid) REFERENCES dataapprovalworkflow(workflowid);


--
-- Name: fk_programdataelement_dataelement; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programdataelement
    ADD CONSTRAINT fk_programdataelement_dataelement FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_programdataelement_program; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programdataelement
    ADD CONSTRAINT fk_programdataelement_program FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_programindicator_legendset; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programindicator
    ADD CONSTRAINT fk_programindicator_legendset FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_programindicator_program; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programindicator
    ADD CONSTRAINT fk_programindicator_program FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_programindicator_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programindicator
    ADD CONSTRAINT fk_programindicator_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_programinstance_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programinstance
    ADD CONSTRAINT fk_programinstance_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_programinstance_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programinstance
    ADD CONSTRAINT fk_programinstance_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_programinstance_trackedentityinstanceid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programinstance
    ADD CONSTRAINT fk_programinstance_trackedentityinstanceid FOREIGN KEY (trackedentityinstanceid) REFERENCES trackedentityinstance(trackedentityinstanceid);


--
-- Name: fk_programrule_program; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programrule
    ADD CONSTRAINT fk_programrule_program FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_programrule_programstage; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programrule
    ADD CONSTRAINT fk_programrule_programstage FOREIGN KEY (programstageid) REFERENCES programstage(programstageid);


--
-- Name: fk_programruleaction_dataelement; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programruleaction
    ADD CONSTRAINT fk_programruleaction_dataelement FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_programruleaction_programindicator; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programruleaction
    ADD CONSTRAINT fk_programruleaction_programindicator FOREIGN KEY (programindicatorid) REFERENCES programindicator(programindicatorid);


--
-- Name: fk_programruleaction_programrule; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programruleaction
    ADD CONSTRAINT fk_programruleaction_programrule FOREIGN KEY (programruleid) REFERENCES programrule(programruleid);


--
-- Name: fk_programruleaction_programstage; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programruleaction
    ADD CONSTRAINT fk_programruleaction_programstage FOREIGN KEY (programstageid) REFERENCES programstage(programstageid);


--
-- Name: fk_programruleaction_programstagesection; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programruleaction
    ADD CONSTRAINT fk_programruleaction_programstagesection FOREIGN KEY (programstagesectionid) REFERENCES programstagesection(programstagesectionid);


--
-- Name: fk_programruleaction_trackedentityattribute; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programruleaction
    ADD CONSTRAINT fk_programruleaction_trackedentityattribute FOREIGN KEY (trackedentityattributeid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_programrulevariable_dataelement; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programrulevariable
    ADD CONSTRAINT fk_programrulevariable_dataelement FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_programrulevariable_program; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programrulevariable
    ADD CONSTRAINT fk_programrulevariable_program FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_programrulevariable_programstage; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programrulevariable
    ADD CONSTRAINT fk_programrulevariable_programstage FOREIGN KEY (programstageid) REFERENCES programstage(programstageid);


--
-- Name: fk_programrulevariable_trackedentityattribute; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programrulevariable
    ADD CONSTRAINT fk_programrulevariable_trackedentityattribute FOREIGN KEY (trackedentityattributeid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_programstage_dataentryform; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstage
    ADD CONSTRAINT fk_programstage_dataentryform FOREIGN KEY (dataentryformid) REFERENCES dataentryform(dataentryformid);


--
-- Name: fk_programstage_periodtypeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstage
    ADD CONSTRAINT fk_programstage_periodtypeid FOREIGN KEY (periodtypeid) REFERENCES periodtype(periodtypeid);


--
-- Name: fk_programstage_program; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstage
    ADD CONSTRAINT fk_programstage_program FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_programstagedataelement_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstagedataelement
    ADD CONSTRAINT fk_programstagedataelement_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_programstagedataelement_programstageid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstagedataelement
    ADD CONSTRAINT fk_programstagedataelement_programstageid FOREIGN KEY (programstageid) REFERENCES programstage(programstageid);


--
-- Name: fk_programstageinstance_attributeoptioncomboid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageinstance
    ADD CONSTRAINT fk_programstageinstance_attributeoptioncomboid FOREIGN KEY (attributeoptioncomboid) REFERENCES categoryoptioncombo(categoryoptioncomboid);


--
-- Name: fk_programstageinstance_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageinstance
    ADD CONSTRAINT fk_programstageinstance_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_programstageinstance_programinstanceid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageinstance
    ADD CONSTRAINT fk_programstageinstance_programinstanceid FOREIGN KEY (programinstanceid) REFERENCES programinstance(programinstanceid);


--
-- Name: fk_programstageinstance_programstageid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageinstance
    ADD CONSTRAINT fk_programstageinstance_programstageid FOREIGN KEY (programstageid) REFERENCES programstage(programstageid);


--
-- Name: fk_programstagesection_programindicators_indicatorid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstagesection_programindicators
    ADD CONSTRAINT fk_programstagesection_programindicators_indicatorid FOREIGN KEY (programindicatorid) REFERENCES programindicator(programindicatorid);


--
-- Name: fk_programstagesection_programindicators_sectionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstagesection_programindicators
    ADD CONSTRAINT fk_programstagesection_programindicators_sectionid FOREIGN KEY (programstagesectionid) REFERENCES programstagesection(programstagesectionid);


--
-- Name: fk_programtrackedentityattribute_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program_attributes
    ADD CONSTRAINT fk_programtrackedentityattribute_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_programvalidation_leftprogramexpressionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programvalidation
    ADD CONSTRAINT fk_programvalidation_leftprogramexpressionid FOREIGN KEY (leftprogramexpressionid) REFERENCES programexpression(programexpressionid);


--
-- Name: fk_programvalidation_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programvalidation
    ADD CONSTRAINT fk_programvalidation_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_programvalidation_rightprogramexpressionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programvalidation
    ADD CONSTRAINT fk_programvalidation_rightprogramexpressionid FOREIGN KEY (rightprogramexpressionid) REFERENCES programexpression(programexpressionid);


--
-- Name: fk_pskuus7k5pkg5vm1rkun0h7qy; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reportusergroupaccesses
    ADD CONSTRAINT fk_pskuus7k5pkg5vm1rkun0h7qy FOREIGN KEY (reportid) REFERENCES report(reportid);


--
-- Name: fk_q2mhld3431cikld8ocnognnl3; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userattributevalues
    ADD CONSTRAINT fk_q2mhld3431cikld8ocnognnl3 FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_qa5c4eva4rxafw5b7eyddp64m; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usergroupusergroupaccesses
    ADD CONSTRAINT fk_qa5c4eva4rxafw5b7eyddp64m FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_qaheqsi26edjku0ppf0xobcx4; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programinstance_outboundsms
    ADD CONSTRAINT fk_qaheqsi26edjku0ppf0xobcx4 FOREIGN KEY (outboundsmsid) REFERENCES outbound_sms(id);


--
-- Name: fk_qaqvbi3rmqrmsesdwr2dkltwd; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupattributevalues
    ADD CONSTRAINT fk_qaqvbi3rmqrmsesdwr2dkltwd FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_qba465kdmkyxal2f05g3f1f94; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY interpretationusergroupaccesses
    ADD CONSTRAINT fk_qba465kdmkyxal2f05g3f1f94 FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_qg7rt3atr6fknd1gsdj27o2h8; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programinstance_messageconversation
    ADD CONSTRAINT fk_qg7rt3atr6fknd1gsdj27o2h8 FOREIGN KEY (programinstanceid) REFERENCES programinstance(programinstanceid);


--
-- Name: fk_qjo14558o17go6eltepli7nb; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageattributevalues
    ADD CONSTRAINT fk_qjo14558o17go6eltepli7nb FOREIGN KEY (programstageid) REFERENCES programstage(programstageid);


--
-- Name: fk_qs6f0dcyp3bf4tjmwgwpnanue; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageinstance_outboundsms
    ADD CONSTRAINT fk_qs6f0dcyp3bf4tjmwgwpnanue FOREIGN KEY (programstageinstanceid) REFERENCES programstageinstance(programstageinstanceid);


--
-- Name: fk_qwfucoqfyf59oga5nf9yb89ql; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementcategoryusergroupaccesses
    ADD CONSTRAINT fk_qwfucoqfyf59oga5nf9yb89ql FOREIGN KEY (categoryid) REFERENCES dataelementcategory(categoryid);


--
-- Name: fk_r0njvkxgdxior87ay09qxvd4g; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY orgunitgroupusergroupaccesses
    ADD CONSTRAINT fk_r0njvkxgdxior87ay09qxvd4g FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_r7l3spahtfdugg2e4rhw714xd; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY indicatorgroupattributevalues
    ADD CONSTRAINT fk_r7l3spahtfdugg2e4rhw714xd FOREIGN KEY (indicatorgroupid) REFERENCES indicatorgroup(indicatorgroupid);


--
-- Name: fk_relationship_relationshiptypeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY relationship
    ADD CONSTRAINT fk_relationship_relationshiptypeid FOREIGN KEY (relationshiptypeid) REFERENCES relationshiptype(relationshiptypeid);


--
-- Name: fk_relationship_trackedentityinstanceida; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY relationship
    ADD CONSTRAINT fk_relationship_trackedentityinstanceida FOREIGN KEY (trackedentityinstanceaid) REFERENCES trackedentityinstance(trackedentityinstanceid);


--
-- Name: fk_relationship_trackedentityinstanceidb; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY relationship
    ADD CONSTRAINT fk_relationship_trackedentityinstanceidb FOREIGN KEY (trackedentityinstancebid) REFERENCES trackedentityinstance(trackedentityinstanceid);


--
-- Name: fk_reminder_usergroup; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityinstancereminder
    ADD CONSTRAINT fk_reminder_usergroup FOREIGN KEY (usergroupid) REFERENCES usergroup(usergroupid);


--
-- Name: fk_report_relativeperiodsid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY report
    ADD CONSTRAINT fk_report_relativeperiodsid FOREIGN KEY (relativeperiodsid) REFERENCES relativeperiods(relativeperiodsid);


--
-- Name: fk_report_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY report
    ADD CONSTRAINT fk_report_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_report_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY report
    ADD CONSTRAINT fk_report_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_reporttable_categorydimensions_categorydimensionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_categorydimensions
    ADD CONSTRAINT fk_reporttable_categorydimensions_categorydimensionid FOREIGN KEY (categorydimensionid) REFERENCES categorydimension(categorydimensionid);


--
-- Name: fk_reporttable_categorydimensions_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_categorydimensions
    ADD CONSTRAINT fk_reporttable_categorydimensions_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_categoryoptiongroups_categoryoptiongroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_categoryoptiongroups
    ADD CONSTRAINT fk_reporttable_categoryoptiongroups_categoryoptiongroupid FOREIGN KEY (categoryoptiongroupid) REFERENCES categoryoptiongroup(categoryoptiongroupid);


--
-- Name: fk_reporttable_categoryoptiongroups_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_categoryoptiongroups
    ADD CONSTRAINT fk_reporttable_categoryoptiongroups_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_columns_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_columns
    ADD CONSTRAINT fk_reporttable_columns_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_datadimensionitems_datadimensionitemid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_datadimensionitems
    ADD CONSTRAINT fk_reporttable_datadimensionitems_datadimensionitemid FOREIGN KEY (datadimensionitemid) REFERENCES datadimensionitem(datadimensionitemid);


--
-- Name: fk_reporttable_datadimensionitems_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_datadimensionitems
    ADD CONSTRAINT fk_reporttable_datadimensionitems_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_dataelementgroups_dataelementgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_dataelementgroups
    ADD CONSTRAINT fk_reporttable_dataelementgroups_dataelementgroupid FOREIGN KEY (dataelementgroupid) REFERENCES dataelementgroup(dataelementgroupid);


--
-- Name: fk_reporttable_dataelementgroups_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_dataelementgroups
    ADD CONSTRAINT fk_reporttable_dataelementgroups_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_filters_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_filters
    ADD CONSTRAINT fk_reporttable_filters_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_itemorgunitgroups_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_itemorgunitgroups
    ADD CONSTRAINT fk_reporttable_itemorgunitgroups_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_reporttable_itemorgunitunitgroups_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_itemorgunitgroups
    ADD CONSTRAINT fk_reporttable_itemorgunitunitgroups_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_legendsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable
    ADD CONSTRAINT fk_reporttable_legendsetid FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_reporttable_organisationunits_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_organisationunits
    ADD CONSTRAINT fk_reporttable_organisationunits_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_reporttable_organisationunits_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_organisationunits
    ADD CONSTRAINT fk_reporttable_organisationunits_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_orgunitgroups_orgunitgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_orgunitgroups
    ADD CONSTRAINT fk_reporttable_orgunitgroups_orgunitgroupid FOREIGN KEY (orgunitgroupid) REFERENCES orgunitgroup(orgunitgroupid);


--
-- Name: fk_reporttable_orgunitlevels_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_orgunitlevels
    ADD CONSTRAINT fk_reporttable_orgunitlevels_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_orgunitunitgroups_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_orgunitgroups
    ADD CONSTRAINT fk_reporttable_orgunitunitgroups_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_periods_periodid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_periods
    ADD CONSTRAINT fk_reporttable_periods_periodid FOREIGN KEY (periodid) REFERENCES period(periodid);


--
-- Name: fk_reporttable_periods_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_periods
    ADD CONSTRAINT fk_reporttable_periods_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY mapview
    ADD CONSTRAINT fk_reporttable_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_reporttable_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable
    ADD CONSTRAINT fk_reporttable_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_reporttable_relativeperiodsid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable
    ADD CONSTRAINT fk_reporttable_relativeperiodsid FOREIGN KEY (relativeperiodsid) REFERENCES relativeperiods(relativeperiodsid);


--
-- Name: fk_reporttable_rows_reporttableid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable_rows
    ADD CONSTRAINT fk_reporttable_rows_reporttableid FOREIGN KEY (reporttableid) REFERENCES reporttable(reporttableid);


--
-- Name: fk_reporttable_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttable
    ADD CONSTRAINT fk_reporttable_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_rh1jwubao1t728iys0662k7go; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetattributevalues
    ADD CONSTRAINT fk_rh1jwubao1t728iys0662k7go FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_rholoulwiq9tjukie4obdx4b3; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetattributevalues
    ADD CONSTRAINT fk_rholoulwiq9tjukie4obdx4b3 FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_rn0k5ax86q31ihhqobeou1uxy; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY dataelementgroupsetusergroupaccesses
    ADD CONSTRAINT fk_rn0k5ax86q31ihhqobeou1uxy FOREIGN KEY (dataelementgroupsetid) REFERENCES dataelementgroupset(dataelementgroupsetid);


--
-- Name: fk_rtty45gvm30id8sglrlmacatq; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY documentusergroupaccesses
    ADD CONSTRAINT fk_rtty45gvm30id8sglrlmacatq FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_sc8477b26totcch3j096m2n2y; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY datasetusergroupaccesses
    ADD CONSTRAINT fk_sc8477b26totcch3j096m2n2y FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_section_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY sectiondataelements
    ADD CONSTRAINT fk_section_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_section_dataelementoperandid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY sectiongreyedfields
    ADD CONSTRAINT fk_section_dataelementoperandid FOREIGN KEY (dataelementoperandid) REFERENCES dataelementoperand(dataelementoperandid);


--
-- Name: fk_section_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY section
    ADD CONSTRAINT fk_section_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_section_indicatorid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY sectionindicators
    ADD CONSTRAINT fk_section_indicatorid FOREIGN KEY (indicatorid) REFERENCES indicator(indicatorid);


--
-- Name: fk_sectiondataelements_sectionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY sectiondataelements
    ADD CONSTRAINT fk_sectiondataelements_sectionid FOREIGN KEY (sectionid) REFERENCES section(sectionid);


--
-- Name: fk_sectiongreyedfields_sectionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY sectiongreyedfields
    ADD CONSTRAINT fk_sectiongreyedfields_sectionid FOREIGN KEY (sectionid) REFERENCES section(sectionid);


--
-- Name: fk_sectionindicators_sectionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY sectionindicators
    ADD CONSTRAINT fk_sectionindicators_sectionid FOREIGN KEY (sectionid) REFERENCES section(sectionid);


--
-- Name: fk_smscommand_program; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY smscommands
    ADD CONSTRAINT fk_smscommand_program FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_smscommand_usergroup; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY smscommands
    ADD CONSTRAINT fk_smscommand_usergroup FOREIGN KEY (usergroupid) REFERENCES usergroup(usergroupid);


--
-- Name: fk_smv9qylxikotjgjc26t86ps4w; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributevalues
    ADD CONSTRAINT fk_smv9qylxikotjgjc26t86ps4w FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_sqlview_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY sqlview
    ADD CONSTRAINT fk_sqlview_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_t4h6i3ryidgvvt4w971lgfck9; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstagedataelement
    ADD CONSTRAINT fk_t4h6i3ryidgvvt4w971lgfck9 FOREIGN KEY (programstagesectionid) REFERENCES programstagesection(programstagesectionid);


--
-- Name: fk_t89itqw8svb2wljyga2vxbpcq; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributeattributevalues
    ADD CONSTRAINT fk_t89itqw8svb2wljyga2vxbpcq FOREIGN KEY (trackedentityattributeid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_t9808m8vathj9dlbgfy3hlf29; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programusergroupaccesses
    ADD CONSTRAINT fk_t9808m8vathj9dlbgfy3hlf29 FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_t9e1mnpydje0rsvinxq68q1i6; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY smscommandcodes
    ADD CONSTRAINT fk_t9e1mnpydje0rsvinxq68q1i6 FOREIGN KEY (codeid) REFERENCES smscodes(smscodeid);


--
-- Name: fk_tbro727eo15qmn3ghlhoyifih; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY reporttableusergroupaccesses
    ADD CONSTRAINT fk_tbro727eo15qmn3ghlhoyifih FOREIGN KEY (usergroupaccessid) REFERENCES usergroupaccess(usergroupaccessid);


--
-- Name: fk_tcx1w0yoc6k0h8qnagg18eqs6; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programstageattributevalues
    ADD CONSTRAINT fk_tcx1w0yoc6k0h8qnagg18eqs6 FOREIGN KEY (attributevalueid) REFERENCES attributevalue(attributevalueid);


--
-- Name: fk_teattributedimension_attributeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributedimension
    ADD CONSTRAINT fk_teattributedimension_attributeid FOREIGN KEY (trackedentityattributeid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_teattributedimension_legendsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattributedimension
    ADD CONSTRAINT fk_teattributedimension_legendsetid FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_tedataelementdimension_dataelementid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentitydataelementdimension
    ADD CONSTRAINT fk_tedataelementdimension_dataelementid FOREIGN KEY (dataelementid) REFERENCES dataelement(dataelementid);


--
-- Name: fk_tedataelementdimension_legendsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentitydataelementdimension
    ADD CONSTRAINT fk_tedataelementdimension_legendsetid FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_teprogramindicatordimension_legendsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityprogramindicatordimension
    ADD CONSTRAINT fk_teprogramindicatordimension_legendsetid FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_teprogramindicatordimension_programindicatorid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityprogramindicatordimension
    ADD CONSTRAINT fk_teprogramindicatordimension_programindicatorid FOREIGN KEY (programindicatorid) REFERENCES programindicator(programindicatorid);


--
-- Name: fk_trackedentityattribute_attributegroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattribute
    ADD CONSTRAINT fk_trackedentityattribute_attributegroupid FOREIGN KEY (trackedentityattributegroupid) REFERENCES trackedentityattributegroup(trackedentityattributegroupid);


--
-- Name: fk_trackedentityattribute_legendset; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattribute
    ADD CONSTRAINT fk_trackedentityattribute_legendset FOREIGN KEY (legendsetid) REFERENCES maplegendset(maplegendsetid);


--
-- Name: fk_trackedentityattribute_optionsetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattribute
    ADD CONSTRAINT fk_trackedentityattribute_optionsetid FOREIGN KEY (optionsetid) REFERENCES optionset(optionsetid);


--
-- Name: fk_trackedentityattribute_trackedentityattributeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY smscodes
    ADD CONSTRAINT fk_trackedentityattribute_trackedentityattributeid FOREIGN KEY (trackedentityattributeid) REFERENCES trackedentityattribute(trackedentityattributeid);


--
-- Name: fk_trackedentityattribute_trackedentityid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattribute
    ADD CONSTRAINT fk_trackedentityattribute_trackedentityid FOREIGN KEY (trackedentityid) REFERENCES trackedentity(trackedentityid);


--
-- Name: fk_trackedentityattribute_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityattribute
    ADD CONSTRAINT fk_trackedentityattribute_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_trackedentityinstance_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityinstance
    ADD CONSTRAINT fk_trackedentityinstance_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_trackedentityinstance_representativeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityinstance
    ADD CONSTRAINT fk_trackedentityinstance_representativeid FOREIGN KEY (representativeid) REFERENCES trackedentityinstance(trackedentityinstanceid);


--
-- Name: fk_trackedentityinstance_trackedentityid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY trackedentityinstance
    ADD CONSTRAINT fk_trackedentityinstance_trackedentityid FOREIGN KEY (trackedentityid) REFERENCES trackedentity(trackedentityid);


--
-- Name: fk_user_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY users
    ADD CONSTRAINT fk_user_userid FOREIGN KEY (creatoruserid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_user_userinfoid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY users
    ADD CONSTRAINT fk_user_userinfoid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_userapps_userinfoid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userapps
    ADD CONSTRAINT fk_userapps_userinfoid FOREIGN KEY (userinfoid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_userdatavieworgunits_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userdatavieworgunits
    ADD CONSTRAINT fk_userdatavieworgunits_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_userdatavieworgunits_userinfoid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userdatavieworgunits
    ADD CONSTRAINT fk_userdatavieworgunits_userinfoid FOREIGN KEY (userinfoid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_usergroup_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usergroup
    ADD CONSTRAINT fk_usergroup_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_usergroupaccess_usergroup; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usergroupaccess
    ADD CONSTRAINT fk_usergroupaccess_usergroup FOREIGN KEY (usergroupid) REFERENCES usergroup(usergroupid);


--
-- Name: fk_usergroupmanaging_managedbygroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usergroupmanaged
    ADD CONSTRAINT fk_usergroupmanaging_managedbygroupid FOREIGN KEY (managedbygroupid) REFERENCES usergroup(usergroupid);


--
-- Name: fk_usergroupmanaging_managedgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usergroupmanaged
    ADD CONSTRAINT fk_usergroupmanaging_managedgroupid FOREIGN KEY (managedgroupid) REFERENCES usergroup(usergroupid);


--
-- Name: fk_usergroupmembers_usergroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usergroupmembers
    ADD CONSTRAINT fk_usergroupmembers_usergroupid FOREIGN KEY (usergroupid) REFERENCES usergroup(usergroupid);


--
-- Name: fk_usergroupmembers_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usergroupmembers
    ADD CONSTRAINT fk_usergroupmembers_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_userinfo_organisationunitid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usermembership
    ADD CONSTRAINT fk_userinfo_organisationunitid FOREIGN KEY (organisationunitid) REFERENCES organisationunit(organisationunitid);


--
-- Name: fk_usermembership_userinfoid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usermembership
    ADD CONSTRAINT fk_usermembership_userinfoid FOREIGN KEY (userinfoid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_usermessage_user; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usermessage
    ADD CONSTRAINT fk_usermessage_user FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_userrole_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userrole
    ADD CONSTRAINT fk_userrole_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_userroleauthorities_userroleid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userroleauthorities
    ADD CONSTRAINT fk_userroleauthorities_userroleid FOREIGN KEY (userroleid) REFERENCES userrole(userroleid);


--
-- Name: fk_userroledataset_datasetid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userroledataset
    ADD CONSTRAINT fk_userroledataset_datasetid FOREIGN KEY (datasetid) REFERENCES dataset(datasetid);


--
-- Name: fk_userroledataset_userroleid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userroledataset
    ADD CONSTRAINT fk_userroledataset_userroleid FOREIGN KEY (userroleid) REFERENCES userrole(userroleid);


--
-- Name: fk_userrolemembers_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userrolemembers
    ADD CONSTRAINT fk_userrolemembers_userid FOREIGN KEY (userid) REFERENCES users(userid);


--
-- Name: fk_userrolemembers_userroleid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY userrolemembers
    ADD CONSTRAINT fk_userrolemembers_userroleid FOREIGN KEY (userroleid) REFERENCES userrole(userroleid);


--
-- Name: fk_userroleprogram_programid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program_userroles
    ADD CONSTRAINT fk_userroleprogram_programid FOREIGN KEY (programid) REFERENCES program(programid);


--
-- Name: fk_userroleprogram_userroleid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY program_userroles
    ADD CONSTRAINT fk_userroleprogram_userroleid FOREIGN KEY (userroleid) REFERENCES userrole(userroleid);


--
-- Name: fk_users_catconstraints_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY users_catdimensionconstraints
    ADD CONSTRAINT fk_users_catconstraints_userid FOREIGN KEY (userid) REFERENCES users(userid);


--
-- Name: fk_users_cogsconstraints_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY users_cogsdimensionconstraints
    ADD CONSTRAINT fk_users_cogsconstraints_userid FOREIGN KEY (userid) REFERENCES users(userid);


--
-- Name: fk_usersetting_userinfoid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY usersetting
    ADD CONSTRAINT fk_usersetting_userinfoid FOREIGN KEY (userinfoid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_validationrule_leftexpressionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY validationrule
    ADD CONSTRAINT fk_validationrule_leftexpressionid FOREIGN KEY (leftexpressionid) REFERENCES expression(expressionid);


--
-- Name: fk_validationrule_periodtypeid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY validationrule
    ADD CONSTRAINT fk_validationrule_periodtypeid FOREIGN KEY (periodtypeid) REFERENCES periodtype(periodtypeid);


--
-- Name: fk_validationrule_rightexpressionid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY validationrule
    ADD CONSTRAINT fk_validationrule_rightexpressionid FOREIGN KEY (rightexpressionid) REFERENCES expression(expressionid);


--
-- Name: fk_validationrulegroup_userid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY validationrulegroup
    ADD CONSTRAINT fk_validationrulegroup_userid FOREIGN KEY (userid) REFERENCES userinfo(userinfoid);


--
-- Name: fk_validationrulegroup_validationruleid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY validationrulegroupmembers
    ADD CONSTRAINT fk_validationrulegroup_validationruleid FOREIGN KEY (validationruleid) REFERENCES validationrule(validationruleid);


--
-- Name: fk_validationrulegroupmembers_validationrulegroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY validationrulegroupmembers
    ADD CONSTRAINT fk_validationrulegroupmembers_validationrulegroupid FOREIGN KEY (validationgroupid) REFERENCES validationrulegroup(validationrulegroupid);


--
-- Name: fk_validationrulegroupusergroupstoalert_usergroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY validationrulegroupusergroupstoalert
    ADD CONSTRAINT fk_validationrulegroupusergroupstoalert_usergroupid FOREIGN KEY (usergroupid) REFERENCES usergroup(usergroupid);


--
-- Name: fk_validationrulegroupusergroupstoalert_validationgroupid; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY validationrulegroupusergroupstoalert
    ADD CONSTRAINT fk_validationrulegroupusergroupstoalert_validationgroupid FOREIGN KEY (validationgroupid) REFERENCES validationrulegroup(validationrulegroupid);


--
-- Name: fk_vvtpgpbetl65t26umk6vic92; Type: FK CONSTRAINT; Schema: public; Owner: dhis
--

ALTER TABLE ONLY programindicatorusergroupaccesses
    ADD CONSTRAINT fk_vvtpgpbetl65t26umk6vic92 FOREIGN KEY (programindicatorid) REFERENCES programindicator(programindicatorid);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

